!zone fade_achim
fade_achim_isready
  !byte $00
fade_achim_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_achim_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_achim_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_achim_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_achim_copy_name:
    ldx #$13
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_achim_clear_name:
    ldx #$13
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_achim_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    lda #$e0
    sta screen+((7*$28)+22)
    sta screen+((7*$28)+27)
    sta screen+((5*$28)+23)
    sta screen+((5*$28)+27)
    sta screen+((5*$28)+28)
    rts

.animation2:
    lda #$fe
    sta screen+((7*$28)+22)
    lda #$79
    sta screen+((7*$28)+27)
    lda #$e8
    sta screen+((5*$28)+23)
    sta screen+((5*$28)+27)
    sta screen+((5*$28)+28)
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $3C ; x=28 y=20
!byte $03, $3B ; x=27 y=20
!byte $03, $14 ; x=28 y=19
!byte $03, $3D ; x=29 y=20
!byte $03, $64 ; x=28 y=21
!byte $03, $63 ; x=27 y=21
!byte $03, $13 ; x=27 y=19
!byte $03, $15 ; x=29 y=19
!byte $03, $65 ; x=29 y=21
!byte $03, $8C ; x=28 y=22
!byte $03, $3A ; x=26 y=20
!byte $02, $EC ; x=28 y=18
!byte $03, $3E ; x=30 y=20
!byte $03, $66 ; x=30 y=21
!byte $03, $8D ; x=29 y=22
!byte $03, $8B ; x=27 y=22
!byte $03, $62 ; x=26 y=21
!byte $03, $12 ; x=26 y=19
!byte $02, $EB ; x=27 y=18
!byte $02, $ED ; x=29 y=18
!byte $03, $16 ; x=30 y=19
!byte $03, $3F ; x=31 y=20
!byte $03, $67 ; x=31 y=21
!byte $03, $8E ; x=30 y=22
!byte $03, $B5 ; x=29 y=23
!byte $03, $B4 ; x=28 y=23
!byte $03, $B3 ; x=27 y=23
!byte $03, $8A ; x=26 y=22
!byte $03, $61 ; x=25 y=21
!byte $03, $39 ; x=25 y=20
!byte $03, $11 ; x=25 y=19
!byte $02, $EA ; x=26 y=18
!byte $02, $C3 ; x=27 y=17
!byte $02, $C4 ; x=28 y=17
!byte $02, $C5 ; x=29 y=17
!byte $02, $EE ; x=30 y=18
!byte $03, $17 ; x=31 y=19
!byte $03, $8F ; x=31 y=22
!byte $03, $B6 ; x=30 y=23
!byte $03, $DD ; x=29 y=24
!byte $03, $DC ; x=28 y=24
!byte $03, $DB ; x=27 y=24
!byte $03, $B2 ; x=26 y=23
!byte $03, $89 ; x=25 y=22
!byte $03, $60 ; x=24 y=21
!byte $03, $38 ; x=24 y=20
!byte $03, $10 ; x=24 y=19
!byte $02, $E9 ; x=25 y=18
!byte $02, $C2 ; x=26 y=17
!byte $02, $9B ; x=27 y=16
!byte $02, $9C ; x=28 y=16
!byte $02, $9D ; x=29 y=16
!byte $02, $C6 ; x=30 y=17
!byte $02, $EF ; x=31 y=18
!byte $03, $18 ; x=32 y=19
!byte $03, $40 ; x=32 y=20
!byte $03, $68 ; x=32 y=21
!byte $03, $90 ; x=32 y=22
!byte $03, $B7 ; x=31 y=23
!byte $03, $DE ; x=30 y=24
!byte $03, $DA ; x=26 y=24
!byte $03, $B1 ; x=25 y=23
!byte $03, $88 ; x=24 y=22
!byte $02, $E8 ; x=24 y=18
!byte $02, $C1 ; x=25 y=17
!byte $02, $9A ; x=26 y=16
!byte $02, $9E ; x=30 y=16
!byte $02, $C7 ; x=31 y=17
!byte $02, $F0 ; x=32 y=18
!byte $02, $F1 ; x=33 y=18
!byte $03, $19 ; x=33 y=19
!byte $03, $41 ; x=33 y=20
!byte $03, $69 ; x=33 y=21
!byte $03, $91 ; x=33 y=22
!byte $03, $B8 ; x=32 y=23
!byte $03, $DF ; x=31 y=24
!byte $03, $D9 ; x=25 y=24
!byte $03, $B0 ; x=24 y=23
!byte $03, $87 ; x=23 y=22
!byte $03, $5F ; x=23 y=21
!byte $03, $37 ; x=23 y=20
!byte $03, $0F ; x=23 y=19
!byte $02, $E7 ; x=23 y=18
!byte $02, $C0 ; x=24 y=17
!byte $02, $99 ; x=25 y=16
!byte $02, $72 ; x=26 y=15
!byte $02, $73 ; x=27 y=15
!byte $02, $74 ; x=28 y=15
!byte $02, $75 ; x=29 y=15
!byte $02, $76 ; x=30 y=15
!byte $02, $9F ; x=31 y=16
!byte $02, $C8 ; x=32 y=17
!byte $03, $1A ; x=34 y=19
!byte $03, $42 ; x=34 y=20
!byte $03, $6A ; x=34 y=21
!byte $03, $92 ; x=34 y=22
!byte $03, $B9 ; x=33 y=23
!byte $03, $E0 ; x=32 y=24
!byte $03, $D8 ; x=24 y=24
!byte $03, $AF ; x=23 y=23
!byte $03, $86 ; x=22 y=22
!byte $03, $5E ; x=22 y=21
!byte $03, $36 ; x=22 y=20
!byte $03, $0E ; x=22 y=19
!byte $02, $E6 ; x=22 y=18
!byte $02, $BF ; x=23 y=17
!byte $02, $98 ; x=24 y=16
!byte $02, $71 ; x=25 y=15
!byte $02, $4A ; x=26 y=14
!byte $02, $4B ; x=27 y=14
!byte $02, $4C ; x=28 y=14
!byte $02, $4D ; x=29 y=14
!byte $02, $4E ; x=30 y=14
!byte $02, $77 ; x=31 y=15
!byte $02, $A0 ; x=32 y=16
!byte $02, $C9 ; x=33 y=17
!byte $02, $F2 ; x=34 y=18
!byte $03, $E1 ; x=33 y=24
!byte $03, $D7 ; x=23 y=24
!byte $02, $97 ; x=23 y=16
!byte $02, $70 ; x=24 y=15
!byte $02, $78 ; x=32 y=15
!byte $02, $A1 ; x=33 y=16
!byte $02, $F3 ; x=35 y=18
!byte $03, $1B ; x=35 y=19
!byte $03, $43 ; x=35 y=20
!byte $03, $6B ; x=35 y=21
!byte $03, $93 ; x=35 y=22
!byte $03, $BA ; x=34 y=23
!byte $03, $E2 ; x=34 y=24
!byte $03, $D6 ; x=22 y=24
!byte $03, $AE ; x=22 y=23
!byte $03, $85 ; x=21 y=22
!byte $03, $5D ; x=21 y=21
!byte $03, $35 ; x=21 y=20
!byte $03, $0D ; x=21 y=19
!byte $02, $E5 ; x=21 y=18
!byte $02, $BE ; x=22 y=17
!byte $02, $96 ; x=22 y=16
!byte $02, $6F ; x=23 y=15
!byte $02, $49 ; x=25 y=14
!byte $02, $CA ; x=34 y=17
!byte $02, $F4 ; x=36 y=18
!byte $03, $1C ; x=36 y=19
!byte $03, $44 ; x=36 y=20
!byte $03, $6C ; x=36 y=21
!byte $03, $94 ; x=36 y=22
!byte $03, $BB ; x=35 y=23
!byte $03, $E3 ; x=35 y=24
!byte $03, $D5 ; x=21 y=24
!byte $03, $AD ; x=21 y=23
!byte $03, $84 ; x=20 y=22
!byte $03, $5C ; x=20 y=21
!byte $03, $34 ; x=20 y=20
!byte $03, $0C ; x=20 y=19
!byte $02, $E4 ; x=20 y=18
!byte $02, $BD ; x=21 y=17
!byte $02, $95 ; x=21 y=16
!byte $02, $6E ; x=22 y=15
!byte $02, $48 ; x=24 y=14
!byte $02, $4F ; x=31 y=14
!byte $02, $79 ; x=33 y=15
!byte $02, $A2 ; x=34 y=16
!byte $02, $CB ; x=35 y=17
!byte $02, $50 ; x=32 y=14
!byte $02, $7A ; x=34 y=15
!byte $02, $7B ; x=35 y=15
!byte $02, $A3 ; x=35 y=16
!byte $02, $CC ; x=36 y=17
!byte $02, $F5 ; x=37 y=18
!byte $03, $1D ; x=37 y=19
!byte $03, $45 ; x=37 y=20
!byte $03, $6D ; x=37 y=21
!byte $03, $95 ; x=37 y=22
!byte $03, $BC ; x=36 y=23
!byte $03, $BD ; x=37 y=23
!byte $03, $E4 ; x=36 y=24
!byte $03, $D4 ; x=20 y=24
!byte $03, $AC ; x=20 y=23
!byte $03, $AB ; x=19 y=23
!byte $03, $83 ; x=19 y=22
!byte $03, $5B ; x=19 y=21
!byte $03, $33 ; x=19 y=20
!byte $03, $0B ; x=19 y=19
!byte $02, $E3 ; x=19 y=18
!byte $02, $BC ; x=20 y=17
!byte $02, $6D ; x=21 y=15
!byte $02, $7C ; x=36 y=15
!byte $02, $A4 ; x=36 y=16
!byte $02, $A5 ; x=37 y=16
!byte $02, $CD ; x=37 y=17
!byte $02, $CE ; x=38 y=17
!byte $02, $F6 ; x=38 y=18
!byte $03, $1E ; x=38 y=19
!byte $03, $46 ; x=38 y=20
!byte $03, $6E ; x=38 y=21
!byte $03, $96 ; x=38 y=22
!byte $03, $BE ; x=38 y=23
!byte $03, $E5 ; x=37 y=24
!byte $03, $D3 ; x=19 y=24
!byte $03, $AA ; x=18 y=23
!byte $03, $82 ; x=18 y=22
!byte $03, $5A ; x=18 y=21
!byte $03, $32 ; x=18 y=20
!byte $03, $0A ; x=18 y=19
!byte $02, $E2 ; x=18 y=18
!byte $02, $BB ; x=19 y=17
!byte $02, $94 ; x=20 y=16
!byte $02, $6C ; x=20 y=15
!byte $02, $F7 ; x=39 y=18
!byte $03, $1F ; x=39 y=19
!byte $03, $47 ; x=39 y=20
!byte $03, $6F ; x=39 y=21
!byte $03, $E6 ; x=38 y=24
!byte $03, $D2 ; x=18 y=24
!byte $03, $D1 ; x=17 y=24
!byte $03, $A9 ; x=17 y=23
!byte $03, $81 ; x=17 y=22
!byte $03, $59 ; x=17 y=21
!byte $03, $31 ; x=17 y=20
!byte $03, $30 ; x=16 y=20
!byte $03, $08 ; x=16 y=19
!byte $03, $09 ; x=17 y=19
!byte $02, $E1 ; x=17 y=18
!byte $02, $B9 ; x=17 y=17
!byte $02, $BA ; x=18 y=17
!byte $02, $92 ; x=18 y=16
!byte $02, $93 ; x=19 y=16
!byte $01, $33 ; x=27 y=7
!byte $01, $0B ; x=27 y=6
!byte $01, $34 ; x=28 y=7
!byte $01, $5B ; x=27 y=8
!byte $01, $32 ; x=26 y=7
!byte $00, $E3 ; x=27 y=5
!byte $01, $0C ; x=28 y=6
!byte $01, $35 ; x=29 y=7
!byte $01, $5C ; x=28 y=8
!byte $01, $83 ; x=27 y=9
!byte $01, $5A ; x=26 y=8
!byte $01, $31 ; x=25 y=7
!byte $01, $0A ; x=26 y=6
!byte $00, $E4 ; x=28 y=5
!byte $01, $0D ; x=29 y=6
!byte $01, $5D ; x=29 y=8
!byte $01, $84 ; x=28 y=9
!byte $01, $82 ; x=26 y=9
!byte $01, $59 ; x=25 y=8
!byte $01, $09 ; x=25 y=6
!byte $00, $E2 ; x=26 y=5
!byte $00, $BC ; x=28 y=4
!byte $00, $E5 ; x=29 y=5
!byte $01, $0E ; x=30 y=6
!byte $01, $36 ; x=30 y=7
!byte $01, $5E ; x=30 y=8
!byte $01, $85 ; x=29 y=9
!byte $01, $AC ; x=28 y=10
!byte $01, $AB ; x=27 y=10
!byte $01, $AA ; x=26 y=10
!byte $01, $81 ; x=25 y=9
!byte $01, $58 ; x=24 y=8
!byte $01, $30 ; x=24 y=7
!byte $01, $08 ; x=24 y=6
!byte $00, $E1 ; x=25 y=5
!byte $00, $BA ; x=26 y=4
!byte $00, $BB ; x=27 y=4
!byte $00, $BD ; x=29 y=4
!byte $00, $E6 ; x=30 y=5
!byte $01, $0F ; x=31 y=6
!byte $01, $37 ; x=31 y=7
!byte $01, $5F ; x=31 y=8
!byte $01, $86 ; x=30 y=9
!byte $01, $AD ; x=29 y=10
!byte $01, $D4 ; x=28 y=11
!byte $01, $D3 ; x=27 y=11
!byte $01, $D2 ; x=26 y=11
!byte $01, $A9 ; x=25 y=10
!byte $01, $80 ; x=24 y=9
!byte $01, $57 ; x=23 y=8
!byte $01, $2F ; x=23 y=7
!byte $01, $07 ; x=23 y=6
!byte $00, $E0 ; x=24 y=5
!byte $00, $B9 ; x=25 y=4
!byte $00, $92 ; x=26 y=3
!byte $00, $93 ; x=27 y=3
!byte $00, $94 ; x=28 y=3
!byte $00, $95 ; x=29 y=3
!byte $00, $BE ; x=30 y=4
!byte $00, $E7 ; x=31 y=5
!byte $01, $87 ; x=31 y=9
!byte $01, $AE ; x=30 y=10
!byte $01, $D5 ; x=29 y=11
!byte $01, $D1 ; x=25 y=11
!byte $01, $A8 ; x=24 y=10
!byte $01, $7F ; x=23 y=9
!byte $00, $DF ; x=23 y=5
!byte $00, $B8 ; x=24 y=4
!byte $00, $91 ; x=25 y=3
!byte $00, $69 ; x=25 y=2
!byte $00, $6A ; x=26 y=2
!byte $00, $6B ; x=27 y=2
!byte $00, $6C ; x=28 y=2
!byte $00, $6D ; x=29 y=2
!byte $00, $96 ; x=30 y=3
!byte $00, $BF ; x=31 y=4
!byte $00, $E8 ; x=32 y=5
!byte $01, $10 ; x=32 y=6
!byte $01, $38 ; x=32 y=7
!byte $01, $60 ; x=32 y=8
!byte $01, $88 ; x=32 y=9
!byte $01, $AF ; x=31 y=10
!byte $01, $D6 ; x=30 y=11
!byte $01, $FD ; x=29 y=12
!byte $01, $FC ; x=28 y=12
!byte $01, $FB ; x=27 y=12
!byte $01, $FA ; x=26 y=12
!byte $01, $F9 ; x=25 y=12
!byte $01, $D0 ; x=24 y=11
!byte $01, $A7 ; x=23 y=10
!byte $01, $7E ; x=22 y=9
!byte $01, $56 ; x=22 y=8
!byte $01, $2E ; x=22 y=7
!byte $01, $06 ; x=22 y=6
!byte $00, $DE ; x=22 y=5
!byte $00, $B7 ; x=23 y=4
!byte $00, $90 ; x=24 y=3
!byte $00, $41 ; x=25 y=1
!byte $00, $42 ; x=26 y=1
!byte $00, $43 ; x=27 y=1
!byte $00, $44 ; x=28 y=1
!byte $00, $45 ; x=29 y=1
!byte $00, $6E ; x=30 y=2
!byte $00, $97 ; x=31 y=3
!byte $00, $C0 ; x=32 y=4
!byte $00, $E9 ; x=33 y=5
!byte $01, $11 ; x=33 y=6
!byte $01, $39 ; x=33 y=7
!byte $01, $61 ; x=33 y=8
!byte $01, $89 ; x=33 y=9
!byte $01, $B0 ; x=32 y=10
!byte $01, $D7 ; x=31 y=11
!byte $01, $FE ; x=30 y=12
!byte $01, $F8 ; x=24 y=12
!byte $01, $CF ; x=23 y=11
!byte $01, $A6 ; x=22 y=10
!byte $01, $55 ; x=21 y=8
!byte $01, $2D ; x=21 y=7
!byte $01, $05 ; x=21 y=6
!byte $00, $B6 ; x=22 y=4
!byte $00, $8F ; x=23 y=3
!byte $00, $68 ; x=24 y=2
!byte $00, $46 ; x=30 y=1
!byte $00, $6F ; x=31 y=2
!byte $00, $98 ; x=32 y=3
!byte $00, $C1 ; x=33 y=4
!byte $01, $F7 ; x=23 y=12
!byte $01, $CE ; x=22 y=11
!byte $01, $A5 ; x=21 y=10
!byte $00, $8E ; x=22 y=3
!byte $00, $67 ; x=23 y=2
!byte $00, $40 ; x=24 y=1
!byte $00, $1B ; x=27 y=0
!byte $00, $47 ; x=31 y=1
!byte $00, $70 ; x=32 y=2
!byte $00, $99 ; x=33 y=3
!byte $00, $C2 ; x=34 y=4
!byte $00, $EA ; x=34 y=5
!byte $01, $12 ; x=34 y=6
!byte $02, $26 ; x=30 y=13
!byte $02, $25 ; x=29 y=13
!byte $02, $24 ; x=28 y=13
!byte $02, $23 ; x=27 y=13
!byte $02, $22 ; x=26 y=13
!byte $02, $21 ; x=25 y=13
!byte $02, $20 ; x=24 y=13
!byte $01, $CD ; x=21 y=11
!byte $01, $2C ; x=20 y=7
!byte $01, $04 ; x=20 y=6
.faderdata_end:

.screendata:
  !byte 96,96,233,223,233,205,224,223,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,46,96,96,96,96,96,96,96,96,32,32,32,32
  !byte 96,233,205,224,224,206,205,224,223,32,32,96,96,96,96,96,96,96,96,96,96,96,96,32,46,73,102,35,102,47,85,46,96,96,96,96,32,32,32,32
  !byte 233,224,105,244,234,95,224,224,105,32,96,96,96,96,96,96,96,96,96,96,96,96,96,85,226,104,168,203,239,226,104,102,73,96,96,96,96,96,32,32
  !byte 98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,123,46,220,225,126,104,220,252,104,102,102,73,98,98,98,98,98,98
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,117,220,160,252,169,167,224,224,167,92,202,102,244,224,224,224,224,224
  !byte 224,224,224,105,108,96,105,100,100,78,233,105,78,78,96,78,96,233,224,224,160,160,118,232,239,239,228,232,232,160,160,92,216,102,225,224,224,224,224,224
  !byte 224,224,105,96,126,78,233,224,105,96,99,78,78,78,96,78,233,224,224,224,246,104,98,98,104,104,98,98,98,204,226,106,202,92,244,224,224,224,224,224
  !byte 224,105,233,105,78,96,96,78,233,105,78,78,233,224,105,233,224,224,224,224,231,102,254,239,244,234,228,121,234,207,160,225,102,108,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,227,108,233,160,160,227,227,247,160,213,92,126,225,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,92,251,232,169,160,160,160,160,199,201,92,244,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,236,254,104,247,160,160,239,190,160,202,226,108,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,252,120,226,226,120,121,247,224,160,117,207,160,160,160,160,160,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,98,120,174,224,160,160,160,118,160,160,160,160,160,160,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,116,220,202,224,160,234,225,160,160,160,160,160,160,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,160,117,251,232,232,226,120,123,226,239,160,160,160,160,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,228,249,226,119,96,104,98,98,239,226,104,227,98,104,120,249,228,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,160,236,126,98,104,247,160,160,247,98,98,247,160,160,160,160,108,160,247,104,124,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,236,108,160,234,225,160,224,224,228,249,226,251,224,224,224,246,220,160,160,160,252,124,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,108,102,160,117,244,160,224,105,247,227,234,199,224,224,224,92,160,160,160,160,160,97,220
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,234,220,160,160,92,160,160,234,220,105,245,234,199,224,224,224,118,160,160,160,160,160,246,225
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,234,244,228,239,92,220,160,97,220,227,224,250,220,224,224,231,124,239,228,160,228,239,92,245
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,123,104,104,123,220,160,97,220,108,244,124,251,224,224,160,92,104,104,104,104,98,96,220
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,102,160,231,244,160,97,250,212,220,234,199,224,224,160,92,220,160,160,160,174,92,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,234,220,160,160,225,160,252,98,254,98,98,254,160,160,160,102,245,160,160,160,160,92,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,234,244,160,174,92,102,160,160,160,160,160,160,160,160,160,102,225,160,160,160,160,92,224

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 2,1,1,1,1,1,1,1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,8,8,8
  !byte 2,13,13,13,13,13,13,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,6,6,6,6,6,6,6,6,6,6,6,6,8,8,8,8
  !byte 5,5,5,5,5,5,5,5,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,14,14,6,14,6,6,6,6,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,8,10,6,6,10,10,8,9,14,6,6,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,15,15,7,15,15,10,8,9,6,6,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,15,7,7,7,7,7,15,10,8,14,6,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,1,1,1,10,15,1,1,1,7,15,9,6,6,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,1,1,1,15,7,1,1,1,7,15,9,6,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,7,7,7,15,15,7,7,15,8,9,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,7,7,15,15,7,7,7,7,10,8,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,7,7,7,7,7,15,7,10,8,14,14,14,14,14,14,14,14
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,10,15,7,10,15,7,15,8,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,10,15,7,7,15,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,7,7,15,10,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,10,15,10,8,9,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,15,9,9,2,2,2,8,8,8,8,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,11,11,9,9,11,11,8,8,8,8,8,8,8,2,2,2,11,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,11,9,9,11,11,8,8,8,8,8,8,8,8,8,2,2,2,2,11,4,4
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,11,9,9,11,11,8,8,5,13,13,8,8,8,8,8,2,2,2,2,2,11,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,11,9,9,9,11,8,5,13,7,7,8,8,8,8,11,2,2,2,2,2,11,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,11,9,9,9,11,8,13,13,13,7,8,8,8,8,11,11,2,2,2,2,2,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,10,9,9,11,11,5,8,5,8,8,8,8,8,8,9,10,15,10,9,6,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,15,10,9,9,11,5,8,5,13,8,8,8,8,8,10,15,7,15,10,9,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,7,10,9,9,11,11,8,8,8,8,8,8,8,11,10,7,7,7,15,10,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,15,7,10,9,9,9,9,11,11,11,8,8,8,11,9,15,7,7,7,15,15,6

