!zone fade_csixx
fade_csixx_isready
  !byte $00
fade_csixx_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_csixx_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_csixx_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_csixx_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_csixx_copy_name:
    ldx #$13
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1+20,x
    sta screen+(ROW*$28)-1+20,x
}
    dex
    bne -
    rts

fade_csixx_clear_name:
    ldx #$13
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1+20,x
    sta screen+(ROW*$28)-1+20,x
}
    dex
    bne -
    rts

fade_csixx_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    lda #$60
    sta screen+((7*$28)+14)
    sta screen+((7*$28)+15)
    sta screen+((7*$28)+16)
    sta screen+((7*$28)+17)
    rts

.animation2:
    lda #$7b
    sta screen+((7*$28)+14)
    lda #$6c
    sta screen+((7*$28)+15)
    lda #$ec
    sta screen+((7*$28)+16)
    lda #$5c
    sta screen+((7*$28)+17)
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $26 ; x=6 y=20
!byte $03, $2F ; x=15 y=20
!byte $02, $FE ; x=6 y=19
!byte $03, $07 ; x=15 y=19
!byte $03, $27 ; x=7 y=20
!byte $03, $30 ; x=16 y=20
!byte $03, $4E ; x=6 y=21
!byte $03, $57 ; x=15 y=21
!byte $03, $25 ; x=5 y=20
!byte $03, $2E ; x=14 y=20
!byte $02, $D6 ; x=6 y=18
!byte $02, $DF ; x=15 y=18
!byte $02, $FF ; x=7 y=19
!byte $03, $08 ; x=16 y=19
!byte $03, $28 ; x=8 y=20
!byte $03, $31 ; x=17 y=20
!byte $03, $4F ; x=7 y=21
!byte $03, $58 ; x=16 y=21
!byte $03, $76 ; x=6 y=22
!byte $03, $7F ; x=15 y=22
!byte $03, $4D ; x=5 y=21
!byte $03, $56 ; x=14 y=21
!byte $03, $24 ; x=4 y=20
!byte $03, $2D ; x=13 y=20
!byte $02, $FD ; x=5 y=19
!byte $03, $06 ; x=14 y=19
!byte $02, $D7 ; x=7 y=18
!byte $02, $E0 ; x=16 y=18
!byte $03, $00 ; x=8 y=19
!byte $03, $09 ; x=17 y=19
!byte $03, $50 ; x=8 y=21
!byte $03, $59 ; x=17 y=21
!byte $03, $77 ; x=7 y=22
!byte $03, $80 ; x=16 y=22
!byte $03, $75 ; x=5 y=22
!byte $03, $7E ; x=14 y=22
!byte $03, $4C ; x=4 y=21
!byte $03, $55 ; x=13 y=21
!byte $02, $FC ; x=4 y=19
!byte $03, $05 ; x=13 y=19
!byte $02, $D5 ; x=5 y=18
!byte $02, $DE ; x=14 y=18
!byte $02, $D8 ; x=8 y=18
!byte $02, $E1 ; x=17 y=18
!byte $03, $01 ; x=9 y=19
!byte $03, $0A ; x=18 y=19
!byte $03, $29 ; x=9 y=20
!byte $03, $32 ; x=18 y=20
!byte $03, $51 ; x=9 y=21
!byte $03, $5A ; x=18 y=21
!byte $03, $78 ; x=8 y=22
!byte $03, $81 ; x=17 y=22
!byte $03, $9F ; x=7 y=23
!byte $03, $A8 ; x=16 y=23
!byte $03, $9E ; x=6 y=23
!byte $03, $A7 ; x=15 y=23
!byte $03, $9D ; x=5 y=23
!byte $03, $A6 ; x=14 y=23
!byte $03, $74 ; x=4 y=22
!byte $03, $7D ; x=13 y=22
!byte $03, $4B ; x=3 y=21
!byte $03, $54 ; x=12 y=21
!byte $03, $23 ; x=3 y=20
!byte $03, $2C ; x=12 y=20
!byte $02, $FB ; x=3 y=19
!byte $03, $04 ; x=12 y=19
!byte $02, $D4 ; x=4 y=18
!byte $02, $DD ; x=13 y=18
!byte $02, $AD ; x=5 y=17
!byte $02, $B6 ; x=14 y=17
!byte $02, $AE ; x=6 y=17
!byte $02, $B7 ; x=15 y=17
!byte $02, $AF ; x=7 y=17
!byte $02, $B8 ; x=16 y=17
!byte $02, $B0 ; x=8 y=17
!byte $02, $B9 ; x=17 y=17
!byte $02, $D9 ; x=9 y=18
!byte $02, $E2 ; x=18 y=18
!byte $03, $02 ; x=10 y=19
!byte $03, $0B ; x=19 y=19
!byte $03, $2A ; x=10 y=20
!byte $03, $33 ; x=19 y=20
!byte $03, $52 ; x=10 y=21
!byte $03, $5B ; x=19 y=21
!byte $03, $79 ; x=9 y=22
!byte $03, $82 ; x=18 y=22
!byte $03, $A0 ; x=8 y=23
!byte $03, $A9 ; x=17 y=23
!byte $03, $C8 ; x=8 y=24
!byte $03, $D1 ; x=17 y=24
!byte $03, $C7 ; x=7 y=24
!byte $03, $D0 ; x=16 y=24
!byte $03, $C6 ; x=6 y=24
!byte $03, $CF ; x=15 y=24
!byte $03, $C5 ; x=5 y=24
!byte $03, $CE ; x=14 y=24
!byte $03, $9C ; x=4 y=23
!byte $03, $A5 ; x=13 y=23
!byte $03, $73 ; x=3 y=22
!byte $03, $7C ; x=12 y=22
!byte $03, $4A ; x=2 y=21
!byte $03, $53 ; x=11 y=21
!byte $03, $22 ; x=2 y=20
!byte $03, $2B ; x=11 y=20
!byte $02, $FA ; x=2 y=19
!byte $03, $03 ; x=11 y=19
!byte $02, $D3 ; x=3 y=18
!byte $02, $DC ; x=12 y=18
!byte $02, $AC ; x=4 y=17
!byte $02, $B5 ; x=13 y=17
!byte $02, $85 ; x=5 y=16
!byte $02, $8E ; x=14 y=16
!byte $02, $86 ; x=6 y=16
!byte $02, $8F ; x=15 y=16
!byte $02, $87 ; x=7 y=16
!byte $02, $90 ; x=16 y=16
!byte $02, $88 ; x=8 y=16
!byte $02, $91 ; x=17 y=16
!byte $02, $B1 ; x=9 y=17
!byte $02, $BA ; x=18 y=17
!byte $02, $DA ; x=10 y=18
!byte $02, $E3 ; x=19 y=18
!byte $03, $0C ; x=20 y=19
!byte $03, $34 ; x=20 y=20
!byte $03, $5C ; x=20 y=21
!byte $03, $7A ; x=10 y=22
!byte $03, $83 ; x=19 y=22
!byte $03, $A1 ; x=9 y=23
!byte $03, $AA ; x=18 y=23
!byte $02, $89 ; x=9 y=16
!byte $02, $92 ; x=18 y=16
!byte $02, $B2 ; x=10 y=17
!byte $02, $BB ; x=19 y=17
!byte $02, $DB ; x=11 y=18
!byte $02, $E4 ; x=20 y=18
!byte $03, $7B ; x=11 y=22
!byte $03, $84 ; x=20 y=22
!byte $03, $A2 ; x=10 y=23
!byte $03, $AB ; x=19 y=23
!byte $03, $C9 ; x=9 y=24
!byte $03, $D2 ; x=18 y=24
!byte $03, $C4 ; x=4 y=24
!byte $03, $CD ; x=13 y=24
!byte $03, $9B ; x=3 y=23
!byte $03, $A4 ; x=12 y=23
!byte $03, $72 ; x=2 y=22
!byte $03, $49 ; x=1 y=21
!byte $03, $21 ; x=1 y=20
!byte $02, $F9 ; x=1 y=19
!byte $02, $D2 ; x=2 y=18
!byte $02, $AB ; x=3 y=17
!byte $02, $B4 ; x=12 y=17
!byte $02, $84 ; x=4 y=16
!byte $02, $8D ; x=13 y=16
!byte $02, $5D ; x=5 y=15
!byte $02, $66 ; x=14 y=15
!byte $02, $5E ; x=6 y=15
!byte $02, $67 ; x=15 y=15
!byte $02, $5F ; x=7 y=15
!byte $02, $68 ; x=16 y=15
!byte $02, $60 ; x=8 y=15
!byte $02, $69 ; x=17 y=15
!byte $02, $61 ; x=9 y=15
!byte $02, $8A ; x=10 y=16
!byte $02, $B3 ; x=11 y=17
!byte $03, $A3 ; x=11 y=23
!byte $03, $AC ; x=20 y=23
!byte $03, $CA ; x=10 y=24
!byte $03, $D3 ; x=19 y=24
!byte $03, $C3 ; x=3 y=24
!byte $03, $9A ; x=2 y=23
!byte $03, $71 ; x=1 y=22
!byte $03, $48 ; x=0 y=21
!byte $03, $20 ; x=0 y=20
!byte $02, $F8 ; x=0 y=19
!byte $02, $D1 ; x=1 y=18
!byte $02, $AA ; x=2 y=17
!byte $02, $83 ; x=3 y=16
!byte $02, $5C ; x=4 y=15
!byte $02, $35 ; x=5 y=14
!byte $02, $36 ; x=6 y=14
!byte $02, $37 ; x=7 y=14
!byte $02, $38 ; x=8 y=14
!byte $02, $39 ; x=9 y=14
!byte $02, $62 ; x=10 y=15
!byte $02, $8B ; x=11 y=16
!byte $03, $CB ; x=11 y=24
!byte $03, $D4 ; x=20 y=24
!byte $03, $C2 ; x=2 y=24
!byte $03, $CC ; x=12 y=24
!byte $02, $A9 ; x=1 y=17
!byte $02, $82 ; x=2 y=16
!byte $02, $5B ; x=3 y=15
!byte $02, $0F ; x=7 y=13
!byte $02, $10 ; x=8 y=13
!byte $02, $11 ; x=9 y=13
!byte $02, $3A ; x=10 y=14
!byte $02, $63 ; x=11 y=15
!byte $02, $8C ; x=12 y=16
!byte $03, $C1 ; x=1 y=24
!byte $03, $99 ; x=1 y=23
!byte $03, $70 ; x=0 y=22
!byte $03, $C0 ; x=0 y=24
!byte $03, $98 ; x=0 y=23
!byte $00, $FC ; x=12 y=6
!byte $00, $D4 ; x=12 y=5
!byte $00, $FD ; x=13 y=6
!byte $01, $24 ; x=12 y=7
!byte $00, $FB ; x=11 y=6
!byte $00, $AC ; x=12 y=4
!byte $00, $D5 ; x=13 y=5
!byte $00, $FE ; x=14 y=6
!byte $01, $25 ; x=13 y=7
!byte $01, $4C ; x=12 y=8
!byte $01, $23 ; x=11 y=7
!byte $00, $FA ; x=10 y=6
!byte $00, $D3 ; x=11 y=5
!byte $00, $AD ; x=13 y=4
!byte $00, $D6 ; x=14 y=5
!byte $01, $26 ; x=14 y=7
!byte $01, $4D ; x=13 y=8
!byte $01, $4B ; x=11 y=8
!byte $01, $22 ; x=10 y=7
!byte $00, $D2 ; x=10 y=5
!byte $00, $AB ; x=11 y=4
!byte $00, $AE ; x=14 y=4
!byte $00, $D7 ; x=15 y=5
!byte $00, $FF ; x=15 y=6
!byte $01, $27 ; x=15 y=7
!byte $01, $4E ; x=14 y=8
!byte $01, $75 ; x=13 y=9
!byte $01, $74 ; x=12 y=9
!byte $01, $73 ; x=11 y=9
!byte $01, $4A ; x=10 y=8
!byte $01, $21 ; x=9 y=7
!byte $00, $F9 ; x=9 y=6
!byte $00, $D1 ; x=9 y=5
!byte $00, $AA ; x=10 y=4
!byte $00, $83 ; x=11 y=3
!byte $00, $84 ; x=12 y=3
!byte $00, $85 ; x=13 y=3
!byte $00, $86 ; x=14 y=3
!byte $00, $AF ; x=15 y=4
!byte $00, $D8 ; x=16 y=5
!byte $01, $00 ; x=16 y=6
!byte $01, $28 ; x=16 y=7
!byte $01, $4F ; x=15 y=8
!byte $01, $76 ; x=14 y=9
!byte $01, $9D ; x=13 y=10
!byte $01, $9C ; x=12 y=10
!byte $01, $9B ; x=11 y=10
!byte $01, $72 ; x=10 y=9
!byte $01, $49 ; x=9 y=8
!byte $01, $20 ; x=8 y=7
!byte $00, $F8 ; x=8 y=6
!byte $00, $D0 ; x=8 y=5
!byte $00, $A9 ; x=9 y=4
!byte $00, $82 ; x=10 y=3
!byte $00, $5B ; x=11 y=2
!byte $00, $5C ; x=12 y=2
!byte $00, $5D ; x=13 y=2
!byte $00, $5E ; x=14 y=2
!byte $00, $87 ; x=15 y=3
!byte $00, $B0 ; x=16 y=4
!byte $01, $50 ; x=16 y=8
!byte $01, $77 ; x=15 y=9
!byte $01, $9E ; x=14 y=10
!byte $01, $9A ; x=10 y=10
!byte $01, $71 ; x=9 y=9
!byte $01, $48 ; x=8 y=8
!byte $00, $A8 ; x=8 y=4
!byte $00, $81 ; x=9 y=3
!byte $00, $5A ; x=10 y=2
!byte $00, $5F ; x=15 y=2
!byte $00, $88 ; x=16 y=3
!byte $00, $B1 ; x=17 y=4
!byte $00, $D9 ; x=17 y=5
!byte $01, $01 ; x=17 y=6
!byte $01, $29 ; x=17 y=7
!byte $01, $51 ; x=17 y=8
!byte $01, $78 ; x=16 y=9
!byte $01, $9F ; x=15 y=10
!byte $01, $C6 ; x=14 y=11
!byte $01, $C5 ; x=13 y=11
!byte $01, $C4 ; x=12 y=11
!byte $01, $C3 ; x=11 y=11
!byte $01, $C2 ; x=10 y=11
!byte $01, $99 ; x=9 y=10
!byte $01, $70 ; x=8 y=9
!byte $01, $47 ; x=7 y=8
!byte $01, $1F ; x=7 y=7
!byte $00, $F7 ; x=7 y=6
!byte $00, $CF ; x=7 y=5
!byte $00, $A7 ; x=7 y=4
!byte $00, $80 ; x=8 y=3
!byte $00, $59 ; x=9 y=2
!byte $00, $32 ; x=10 y=1
!byte $00, $33 ; x=11 y=1
!byte $00, $34 ; x=12 y=1
!byte $00, $35 ; x=13 y=1
!byte $00, $36 ; x=14 y=1
!byte $00, $37 ; x=15 y=1
!byte $00, $60 ; x=16 y=2
!byte $00, $89 ; x=17 y=3
!byte $00, $DA ; x=18 y=5
!byte $01, $02 ; x=18 y=6
!byte $01, $2A ; x=18 y=7
!byte $01, $79 ; x=17 y=9
!byte $01, $A0 ; x=16 y=10
!byte $01, $C7 ; x=15 y=11
!byte $01, $EE ; x=14 y=12
!byte $01, $ED ; x=13 y=12
!byte $01, $EC ; x=12 y=12
!byte $01, $EB ; x=11 y=12
!byte $01, $EA ; x=10 y=12
!byte $01, $C1 ; x=9 y=11
!byte $01, $98 ; x=8 y=10
!byte $01, $6F ; x=7 y=9
!byte $01, $46 ; x=6 y=8
!byte $01, $1E ; x=6 y=7
!byte $00, $F6 ; x=6 y=6
!byte $00, $CE ; x=6 y=5
!byte $00, $A6 ; x=6 y=4
!byte $00, $7F ; x=7 y=3
!byte $00, $58 ; x=8 y=2
!byte $00, $31 ; x=9 y=1
!byte $00, $0A ; x=10 y=0
!byte $00, $0B ; x=11 y=0
!byte $00, $0C ; x=12 y=0
!byte $00, $0D ; x=13 y=0
!byte $00, $0E ; x=14 y=0
!byte $01, $03 ; x=19 y=6
!byte $01, $2B ; x=19 y=7
!byte $01, $A1 ; x=17 y=10
!byte $01, $C8 ; x=16 y=11
!byte $01, $EF ; x=15 y=12
!byte $01, $E9 ; x=9 y=12
!byte $01, $C0 ; x=8 y=11
!byte $01, $97 ; x=7 y=10
!byte $01, $6E ; x=6 y=9
!byte $00, $7E ; x=6 y=3
!byte $00, $57 ; x=7 y=2
!byte $00, $30 ; x=8 y=1
!byte $00, $09 ; x=9 y=0
!byte $02, $16 ; x=14 y=13
!byte $02, $15 ; x=13 y=13
!byte $02, $14 ; x=12 y=13
!byte $02, $13 ; x=11 y=13
!byte $02, $12 ; x=10 y=13
!byte $01, $E8 ; x=8 y=12
!byte $01, $BF ; x=7 y=11
!byte $01, $96 ; x=6 y=10
!byte $01, $45 ; x=5 y=8
!byte $01, $1D ; x=5 y=7
!byte $00, $F5 ; x=5 y=6
!byte $00, $CD ; x=5 y=5
!byte $00, $A5 ; x=5 y=4
!byte $00, $7D ; x=5 y=3
!byte $00, $56 ; x=6 y=2
!byte $00, $2F ; x=7 y=1
!byte $00, $08 ; x=8 y=0
!byte $02, $3E ; x=14 y=14
!byte $02, $3D ; x=13 y=14
!byte $02, $3C ; x=12 y=14
!byte $02, $3B ; x=11 y=14
!byte $01, $E7 ; x=7 y=12
!byte $00, $F4 ; x=4 y=6
!byte $00, $CC ; x=4 y=5
!byte $00, $A4 ; x=4 y=4
!byte $02, $65 ; x=13 y=15
!byte $02, $64 ; x=12 y=15
.faderdata_end:

.screendata:
  !byte 96,96,96,96,96,96,96,96,46,104,104,64,104,104,46,96,32,32,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,233,223,233,205,224,223,96
  !byte 96,96,96,96,96,96,96,104,102,102,92,254,252,92,102,104,32,32,96,96,96,96,96,96,96,96,96,96,96,96,96,96,233,205,224,224,206,205,224,223
  !byte 96,96,96,96,96,96,28,230,232,92,254,213,196,201,104,95,92,32,96,96,96,96,96,96,96,96,96,96,96,96,96,233,224,105,244,234,95,224,224,105
  !byte 98,98,98,98,98,108,230,232,97,230,224,220,215,217,224,92,251,108,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98
  !byte 224,224,224,224,234,244,230,220,225,224,224,202,232,203,160,160,104,92,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,97,230,224,234,220,224,224,224,174,239,198,196,248,104,251,224,160,160,224,224,105,96,96,78,96,96,78,78,96,126,78,96,126,233,224,224
  !byte 224,224,224,224,234,245,220,232,216,239,198,196,247,160,160,239,249,226,104,251,224,160,224,105,233,224,224,223,95,105,233,105,233,224,105,233,224,224,224,224
  !byte 224,224,224,224,224,39,232,226,104,220,232,224,232,226,123,108,236,92,104,203,224,160,105,96,96,78,96,96,78,78,96,123,78,96,123,233,224,224,224,224
  !byte 224,224,224,224,224,97,123,217,247,104,121,119,121,98,247,248,121,225,160,160,160,160,224,224,224,160,224,224,224,160,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,74,203,160,160,224,174,232,255,239,224,224,97,160,160,160,160,224,224,224,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,97,220,160,160,236,163,104,104,104,99,226,254,224,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,124,160,160,156,92,88,102,252,92,254,160,160,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,117,220,234,102,220,248,104,98,108,160,160,160,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,97,220,160,252,230,232,102,92,160,160,160,160,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,224,228,249,126,99,226,232,239,232,92,225,160,160,160,160,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,236,126,32,32,74,46,104,100,32,100,46,39,119,226,239,160,160,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,126,32,32,32,32,32,32,32,99,119,99,32,32,32,32,32,124,224,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 160,126,32,32,39,46,32,32,32,32,32,32,32,32,32,32,32,32,32,124,160,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 160,32,32,32,32,108,32,32,32,32,32,32,32,32,32,32,46,32,32,32,229,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 234,32,32,32,32,106,92,96,32,96,96,96,32,233,105,233,105,32,32,32,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 97,230,98,100,96,32,92,32,96,96,96,96,233,105,233,105,92,108,102,104,118,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 97,220,160,160,247,104,96,32,96,95,223,233,105,233,105,96,32,245,160,167,118,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 246,224,160,224,224,167,92,32,95,223,220,105,233,105,96,32,32,160,224,160,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 234,244,160,160,224,160,101,32,96,95,105,95,105,96,96,32,103,160,160,234,245,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 234,245,160,160,160,232,101,32,32,32,32,32,32,32,32,32,118,160,160,246,244,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 6,6,6,6,6,6,6,6,6,6,11,11,11,6,6,6,0,0,6,6,2,2,2,2,2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,6
  !byte 6,6,6,6,6,6,6,6,6,11,11,12,11,11,11,6,0,0,6,6,2,2,2,2,2,2,2,2,2,2,2,2,13,13,13,13,13,13,13,13
  !byte 6,6,6,6,6,6,6,11,6,11,12,15,12,11,11,11,11,0,6,6,2,2,2,2,2,2,2,2,2,2,2,5,5,5,5,5,5,5,5,5
  !byte 14,14,14,14,14,6,6,6,11,11,11,12,15,12,11,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,6,11,6,11,11,12,15,12,15,12,11,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,6,6,11,11,12,11,12,15,15,15,12,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,6,6,6,11,11,12,12,15,12,15,15,12,11,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,6,6,6,6,11,11,12,12,15,1,1,1,1,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,9,8,10,15,15,11,15,15,7,7,7,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,8,10,7,15,7,15,7,10,15,7,7,7,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,14,14,14,8,15,7,7,8,9,10,9,10,7,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 4,4,4,4,4,4,4,8,10,7,8,8,10,7,7,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,8,7,8,10,7,10,15,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,9,15,7,8,9,11,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,9,8,15,10,8,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,4,4,6,6,6,11,11,11,11,11,6,6,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,11,12,12,6,11,11,11,11,11,11,11,11,11,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,11,11,6,6,12,11,11,11,11,15,15,12,12,11,11,11,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 6,3,11,11,11,6,12,6,12,12,12,12,12,12,12,12,11,2,11,11,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,15,11,11,11,6,6,4,6,4,4,4,11,10,8,10,8,11,11,11,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,9,8,8,4,11,11,11,4,4,4,4,13,7,13,7,11,9,9,8,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,8,10,10,10,8,10,11,4,2,4,13,5,13,5,4,11,8,10,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,8,10,15,15,10,8,11,2,4,14,3,14,3,4,11,10,10,15,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,10,15,7,15,15,10,11,4,14,6,6,6,4,4,9,10,15,7,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,10,15,7,7,15,10,11,11,11,11,11,11,11,11,11,10,15,7,15,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
