!zone fade_ryk
fade_ryk_isready
  !byte $00
fade_ryk_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_ryk_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_ryk_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_ryk_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_ryk_copy_name:
    ldx #$17
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_ryk_clear_name:
    ldx #$17
-
!for ROW, 4, 9 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_ryk_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    lda #$e0
    sta screen+((6*$28)+29)
    sta screen+((6*$28)+32)
    lda #$e2
    sta screen+((4*$28)+30)
    sta screen+((4*$28)+33)
    rts

.animation2:
    lda #$fe
    sta screen+((6*$28)+29)
    lda #$d1
    sta screen+((6*$28)+32)
    lda #$68
    sta screen+((4*$28)+30)
    sta screen+((4*$28)+33)
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $E7 ; x=39 y=24
!byte $03, $E6 ; x=38 y=24
!byte $03, $BF ; x=39 y=23
!byte $03, $E5 ; x=37 y=24
!byte $03, $BE ; x=38 y=23
!byte $03, $97 ; x=39 y=22
!byte $03, $E4 ; x=36 y=24
!byte $03, $BD ; x=37 y=23
!byte $03, $96 ; x=38 y=22
!byte $03, $6F ; x=39 y=21
!byte $03, $E3 ; x=35 y=24
!byte $03, $BC ; x=36 y=23
!byte $03, $95 ; x=37 y=22
!byte $03, $6E ; x=38 y=21
!byte $03, $47 ; x=39 y=20
!byte $03, $E2 ; x=34 y=24
!byte $03, $BB ; x=35 y=23
!byte $03, $94 ; x=36 y=22
!byte $03, $6D ; x=37 y=21
!byte $03, $46 ; x=38 y=20
!byte $03, $1F ; x=39 y=19
!byte $03, $E1 ; x=33 y=24
!byte $03, $BA ; x=34 y=23
!byte $03, $93 ; x=35 y=22
!byte $03, $6C ; x=36 y=21
!byte $03, $45 ; x=37 y=20
!byte $03, $1E ; x=38 y=19
!byte $02, $F7 ; x=39 y=18
!byte $03, $E0 ; x=32 y=24
!byte $03, $B9 ; x=33 y=23
!byte $03, $92 ; x=34 y=22
!byte $03, $6B ; x=35 y=21
!byte $03, $44 ; x=36 y=20
!byte $03, $1D ; x=37 y=19
!byte $02, $F6 ; x=38 y=18
!byte $03, $DF ; x=31 y=24
!byte $03, $B8 ; x=32 y=23
!byte $03, $91 ; x=33 y=22
!byte $03, $6A ; x=34 y=21
!byte $03, $43 ; x=35 y=20
!byte $03, $1C ; x=36 y=19
!byte $02, $F5 ; x=37 y=18
!byte $02, $CE ; x=38 y=17
!byte $03, $DE ; x=30 y=24
!byte $03, $B7 ; x=31 y=23
!byte $03, $90 ; x=32 y=22
!byte $03, $69 ; x=33 y=21
!byte $03, $42 ; x=34 y=20
!byte $03, $1B ; x=35 y=19
!byte $02, $F4 ; x=36 y=18
!byte $02, $CD ; x=37 y=17
!byte $03, $DD ; x=29 y=24
!byte $03, $B6 ; x=30 y=23
!byte $03, $8F ; x=31 y=22
!byte $03, $68 ; x=32 y=21
!byte $03, $41 ; x=33 y=20
!byte $03, $1A ; x=34 y=19
!byte $02, $F3 ; x=35 y=18
!byte $02, $CC ; x=36 y=17
!byte $02, $A5 ; x=37 y=16
!byte $03, $DC ; x=28 y=24
!byte $03, $B5 ; x=29 y=23
!byte $03, $8E ; x=30 y=22
!byte $03, $67 ; x=31 y=21
!byte $03, $40 ; x=32 y=20
!byte $03, $19 ; x=33 y=19
!byte $02, $F2 ; x=34 y=18
!byte $02, $CB ; x=35 y=17
!byte $02, $A4 ; x=36 y=16
!byte $03, $B4 ; x=28 y=23
!byte $03, $8D ; x=29 y=22
!byte $03, $66 ; x=30 y=21
!byte $03, $3F ; x=31 y=20
!byte $03, $18 ; x=32 y=19
!byte $02, $F1 ; x=33 y=18
!byte $02, $CA ; x=34 y=17
!byte $02, $A3 ; x=35 y=16
!byte $02, $7C ; x=36 y=15
!byte $03, $8C ; x=28 y=22
!byte $03, $65 ; x=29 y=21
!byte $03, $3E ; x=30 y=20
!byte $03, $17 ; x=31 y=19
!byte $02, $F0 ; x=32 y=18
!byte $02, $C9 ; x=33 y=17
!byte $02, $A2 ; x=34 y=16
!byte $02, $7B ; x=35 y=15
!byte $03, $64 ; x=28 y=21
!byte $03, $3D ; x=29 y=20
!byte $03, $16 ; x=30 y=19
!byte $02, $EF ; x=31 y=18
!byte $02, $C8 ; x=32 y=17
!byte $02, $A1 ; x=33 y=16
!byte $02, $7A ; x=34 y=15
!byte $02, $53 ; x=35 y=14
!byte $03, $3C ; x=28 y=20
!byte $03, $15 ; x=29 y=19
!byte $02, $EE ; x=30 y=18
!byte $02, $C7 ; x=31 y=17
!byte $02, $A0 ; x=32 y=16
!byte $02, $79 ; x=33 y=15
!byte $02, $52 ; x=34 y=14
!byte $03, $14 ; x=28 y=19
!byte $02, $ED ; x=29 y=18
!byte $02, $C6 ; x=30 y=17
!byte $02, $9F ; x=31 y=16
!byte $02, $78 ; x=32 y=15
!byte $02, $51 ; x=33 y=14
!byte $02, $2A ; x=34 y=13
!byte $01, $B5 ; x=37 y=10
!byte $02, $EC ; x=28 y=18
!byte $02, $C5 ; x=29 y=17
!byte $02, $9E ; x=30 y=16
!byte $02, $77 ; x=31 y=15
!byte $02, $50 ; x=32 y=14
!byte $02, $29 ; x=33 y=13
!byte $02, $02 ; x=34 y=12
!byte $01, $DB ; x=35 y=11
!byte $01, $B4 ; x=36 y=10
!byte $01, $8D ; x=37 y=9
!byte $01, $66 ; x=38 y=8
!byte $02, $C4 ; x=28 y=17
!byte $02, $9D ; x=29 y=16
!byte $02, $76 ; x=30 y=15
!byte $02, $4F ; x=31 y=14
!byte $02, $28 ; x=32 y=13
!byte $02, $01 ; x=33 y=12
!byte $01, $DA ; x=34 y=11
!byte $01, $B3 ; x=35 y=10
!byte $01, $8C ; x=36 y=9
!byte $01, $65 ; x=37 y=8
!byte $01, $3E ; x=38 y=7
!byte $02, $9C ; x=28 y=16
!byte $02, $75 ; x=29 y=15
!byte $02, $4E ; x=30 y=14
!byte $02, $27 ; x=31 y=13
!byte $02, $00 ; x=32 y=12
!byte $01, $D9 ; x=33 y=11
!byte $01, $B2 ; x=34 y=10
!byte $01, $8B ; x=35 y=9
!byte $01, $64 ; x=36 y=8
!byte $01, $3D ; x=37 y=7
!byte $01, $16 ; x=38 y=6
!byte $02, $26 ; x=30 y=13
!byte $01, $FF ; x=31 y=12
!byte $01, $D8 ; x=32 y=11
!byte $01, $B1 ; x=33 y=10
!byte $01, $8A ; x=34 y=9
!byte $01, $63 ; x=35 y=8
!byte $01, $3C ; x=36 y=7
!byte $01, $15 ; x=37 y=6
!byte $00, $EE ; x=38 y=5
!byte $01, $FE ; x=30 y=12
!byte $01, $D7 ; x=31 y=11
!byte $01, $B0 ; x=32 y=10
!byte $01, $89 ; x=33 y=9
!byte $01, $62 ; x=34 y=8
!byte $01, $3B ; x=35 y=7
!byte $01, $14 ; x=36 y=6
!byte $00, $ED ; x=37 y=5
!byte $00, $C6 ; x=38 y=4
!byte $01, $FD ; x=29 y=12
!byte $01, $D6 ; x=30 y=11
!byte $01, $AF ; x=31 y=10
!byte $01, $88 ; x=32 y=9
!byte $01, $61 ; x=33 y=8
!byte $01, $3A ; x=34 y=7
!byte $01, $13 ; x=35 y=6
!byte $00, $EC ; x=36 y=5
!byte $00, $C5 ; x=37 y=4
!byte $00, $9E ; x=38 y=3
!byte $01, $FC ; x=28 y=12
!byte $01, $D5 ; x=29 y=11
!byte $01, $AE ; x=30 y=10
!byte $01, $87 ; x=31 y=9
!byte $01, $60 ; x=32 y=8
!byte $01, $39 ; x=33 y=7
!byte $01, $12 ; x=34 y=6
!byte $00, $EB ; x=35 y=5
!byte $00, $C4 ; x=36 y=4
!byte $00, $9D ; x=37 y=3
!byte $01, $FB ; x=27 y=12
!byte $01, $D4 ; x=28 y=11
!byte $01, $AD ; x=29 y=10
!byte $01, $86 ; x=30 y=9
!byte $01, $5F ; x=31 y=8
!byte $01, $38 ; x=32 y=7
!byte $01, $11 ; x=33 y=6
!byte $00, $EA ; x=34 y=5
!byte $00, $C3 ; x=35 y=4
!byte $00, $9C ; x=36 y=3
!byte $00, $75 ; x=37 y=2
!byte $01, $FA ; x=26 y=12
!byte $01, $D3 ; x=27 y=11
!byte $01, $AC ; x=28 y=10
!byte $01, $85 ; x=29 y=9
!byte $01, $5E ; x=30 y=8
!byte $01, $37 ; x=31 y=7
!byte $01, $10 ; x=32 y=6
!byte $00, $E9 ; x=33 y=5
!byte $00, $C2 ; x=34 y=4
!byte $00, $9B ; x=35 y=3
!byte $00, $74 ; x=36 y=2
!byte $01, $D2 ; x=26 y=11
!byte $01, $84 ; x=28 y=9
!byte $01, $5D ; x=29 y=8
!byte $01, $36 ; x=30 y=7
!byte $01, $0F ; x=31 y=6
!byte $00, $E8 ; x=32 y=5
!byte $00, $C1 ; x=33 y=4
!byte $00, $9A ; x=34 y=3
!byte $00, $73 ; x=35 y=2
!byte $00, $4C ; x=36 y=1
!byte $01, $D1 ; x=25 y=11
!byte $01, $AA ; x=26 y=10
!byte $01, $5C ; x=28 y=8
!byte $01, $35 ; x=29 y=7
!byte $01, $0E ; x=30 y=6
!byte $00, $E7 ; x=31 y=5
!byte $00, $C0 ; x=32 y=4
!byte $00, $99 ; x=33 y=3
!byte $00, $72 ; x=34 y=2
!byte $00, $4B ; x=35 y=1
!byte $01, $A9 ; x=25 y=10
!byte $01, $82 ; x=26 y=9
!byte $01, $34 ; x=28 y=7
!byte $01, $0D ; x=29 y=6
!byte $00, $E6 ; x=30 y=5
!byte $00, $BF ; x=31 y=4
!byte $00, $98 ; x=32 y=3
!byte $00, $71 ; x=33 y=2
!byte $00, $4A ; x=34 y=1
!byte $00, $23 ; x=35 y=0
!byte $01, $81 ; x=25 y=9
!byte $01, $5A ; x=26 y=8
!byte $01, $33 ; x=27 y=7
!byte $01, $0C ; x=28 y=6
!byte $00, $E5 ; x=29 y=5
!byte $00, $BE ; x=30 y=4
!byte $00, $97 ; x=31 y=3
!byte $00, $70 ; x=32 y=2
!byte $00, $49 ; x=33 y=1
!byte $00, $22 ; x=34 y=0
!byte $01, $59 ; x=25 y=8
!byte $01, $32 ; x=26 y=7
!byte $01, $0B ; x=27 y=6
!byte $00, $E4 ; x=28 y=5
!byte $00, $BD ; x=29 y=4
!byte $00, $96 ; x=30 y=3
!byte $00, $6F ; x=31 y=2
!byte $00, $48 ; x=32 y=1
!byte $00, $21 ; x=33 y=0
!byte $01, $31 ; x=25 y=7
!byte $01, $0A ; x=26 y=6
!byte $00, $E3 ; x=27 y=5
!byte $00, $BC ; x=28 y=4
!byte $00, $95 ; x=29 y=3
!byte $00, $6E ; x=30 y=2
!byte $00, $47 ; x=31 y=1
!byte $00, $20 ; x=32 y=0
!byte $01, $09 ; x=25 y=6
!byte $00, $E2 ; x=26 y=5
!byte $00, $46 ; x=30 y=1
!byte $00, $1F ; x=31 y=0
!byte $00, $BA ; x=26 y=4
.faderdata_end:

.screendata:
  !byte 96,96,233,223,233,205,224,223,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,46,85,247,104,46,96,96,96,96
  !byte 96,233,205,224,224,206,205,224,223,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,40,40,168,239,213,102,104,96,96,96
  !byte 233,224,105,244,234,95,224,224,105,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,32,32,32,98,247,247,104,104,92,174,92,32,96
  !byte 98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,225,167,160,160,160,92,225,213,196,108,98
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,174,224,234,204,104,228,239,104,92,206,160,174,97,224
  !byte 224,105,96,96,78,233,105,78,111,111,233,224,224,105,96,67,233,96,105,78,233,105,233,224,224,224,220,97,104,208,226,207,247,208,244,124,213,102,92,224
  !byte 224,105,233,105,96,99,78,111,111,224,224,224,105,233,96,224,224,96,78,100,99,233,224,224,224,174,169,234,220,254,225,220,209,92,108,124,213,102,92,224
  !byte 105,233,105,233,105,78,96,96,233,224,224,105,233,105,233,224,105,78,233,224,106,224,224,224,224,168,230,174,98,108,224,123,226,108,213,104,124,104,225,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,167,168,224,97,226,160,224,224,160,160,213,201,41,169,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,168,220,224,236,254,224,160,224,160,160,128,203,225,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,220,230,224,255,232,239,239,168,160,174,236,108,169,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,167,92,98,98,123,227,227,224,160,236,108,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,247,247,247,247,123,174,232,160,92,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,220,228,224,92,224,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,92,104,119,99,104,95,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,105,39,96,119,119,96,96,95,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,105,96,96,96,96,96,96,96,96,95,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,92,92,96,96,32,96,96,96,96,96,95,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,116,116,92,233,232,126,96,96,96,233,92,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,116,116,96,230,116,230,105,96,233,167,92,244
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,116,92,106,220,32,227,223,96,220,160,92,244
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,92,96,230,252,123,96,106,224,160,234,244
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,92,46,32,119,96,96,106,224,160,234,225
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,116,234,92,32,32,32,96,96,220,160,224,225
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,106,97,39,104,46,96,96,106,220,160,234,225

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 2,1,1,1,1,1,1,1,6,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,9,2,2,9,9,2,2,2,2
  !byte 2,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,9,2,10,10,2,9,9,2,2,2
  !byte 5,5,5,5,5,5,5,5,5,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,8,10,15,7,10,11,9,9,14,2
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,8,10,15,7,7,15,2,2,9,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,7,7,7,7,15,2,10,9,9,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,1,1,15,1,1,1,15,2,2,9,9,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,1,1,15,1,1,1,7,2,2,9,9,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,12,14,14,7,15,7,1,7,7,15,2,9,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,7,7,15,7,7,7,7,12,9,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,10,15,7,7,7,7,15,11,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,12,14,14,12,15,7,7,7,7,7,12,14,14,14,14
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,1,1,7,10,15,7,7,15,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,7,15,12,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,12,15,12,11,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,11,11,11,11,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,11,11,11,11,6,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,11,11,11,11,11,11,6,6,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,11,11,6,11,11,6,6,6,4,4
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,11,6,6,6,11,6,6,12,11,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,11,11,6,6,6,6,11,12,15,12,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,12,6,6,6,2,2,11,12,7,15,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,15,11,6,6,6,11,11,15,7,15,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,15,11,11,6,11,11,11,15,7,12,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,12,11,11,11,11,11,11,12,7,12,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,11,11,11,11,11,11,11,11,11,15,12,6
