!zone fade_spider
fade_spider_isready
  !byte $00
fade_spider_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_spider_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_spider_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0, 3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0, 3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_spider_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_spider_copy_name:
    ldx #$18
-
!for ROW, 4, 7 {
    lda .screendata+(ROW*$28)-1+16,x
    sta screen+(ROW*$28)-1+16,x
}
    dex
    bne -
    rts

fade_spider_clear_name:
    ldx #$18
-
!for ROW, 4, 7 {
    lda .screendata+(ROW*$28)-1+16,x
    sta screen+(ROW*$28)-1+16,x
}
    dex
    bne -
    rts

fade_spider_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    lda #$6c
    sta screen+((5*$28)+9)
    lda #$7c
    sta screen+((5*$28)+10)
    lda #$fe
    sta screen+((5*$28)+11)
    lda #$7c
    sta screen+((6*$28)+9)
    lda #$68
    sta screen+((6*$28)+10)
    lda #$62
    sta screen+((6*$28)+11)
    lda #$68
    sta screen+((6*$28)+13)
    lda #$0f
    sta $D800+((5*$28)+9)
    lda #$09
    sta $D800+((5*$28)+10)
    lda #$07
    sta $D800+((5*$28)+11)
    lda #$0b
    sta $D800+((6*$28)+9)
    lda #$0c
    sta $D800+((6*$28)+10)
    lda #$07
    sta $D800+((6*$28)+11)
    lda #$0c
    sta $D800+((6*$28)+13)
    rts

.animation2:
    lda #$6c
    sta screen+((5*$28)+9)
    lda #$f7
    sta screen+((5*$28)+10)
    lda #$7b
    sta screen+((5*$28)+11)
    lda #$cc
    sta screen+((6*$28)+9)
    lda #$d1
    sta screen+((6*$28)+10)
    lda #$fa
    sta screen+((6*$28)+11)
    lda #$7f
    sta screen+((6*$28)+13)
    lda #$01
    sta $D800+((5*$28)+9)
    sta $D800+((5*$28)+10)
    sta $D800+((5*$28)+11)
    sta $D800+((6*$28)+9)
    sta $D800+((6*$28)+10)
    sta $D800+((6*$28)+11)
    sta $D800+((6*$28)+13)
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $72 ; x=2 y=22
!byte $03, $9B ; x=3 y=23
!byte $03, $C4 ; x=4 y=24
!byte $03, $21 ; x=1 y=20
!byte $03, $4A ; x=2 y=21
!byte $03, $73 ; x=3 y=22
!byte $03, $9C ; x=4 y=23
!byte $03, $C5 ; x=5 y=24
!byte $02, $F9 ; x=1 y=19
!byte $03, $22 ; x=2 y=20
!byte $03, $4B ; x=3 y=21
!byte $03, $74 ; x=4 y=22
!byte $03, $9D ; x=5 y=23
!byte $03, $C6 ; x=6 y=24
!byte $02, $D1 ; x=1 y=18
!byte $02, $FA ; x=2 y=19
!byte $03, $23 ; x=3 y=20
!byte $03, $4C ; x=4 y=21
!byte $03, $75 ; x=5 y=22
!byte $03, $9E ; x=6 y=23
!byte $03, $C7 ; x=7 y=24
!byte $02, $D2 ; x=2 y=18
!byte $02, $FB ; x=3 y=19
!byte $03, $24 ; x=4 y=20
!byte $03, $4D ; x=5 y=21
!byte $03, $76 ; x=6 y=22
!byte $03, $9F ; x=7 y=23
!byte $03, $C8 ; x=8 y=24
!byte $02, $58 ; x=0 y=15
!byte $02, $81 ; x=1 y=16
!byte $02, $AA ; x=2 y=17
!byte $02, $D3 ; x=3 y=18
!byte $02, $FC ; x=4 y=19
!byte $03, $25 ; x=5 y=20
!byte $03, $4E ; x=6 y=21
!byte $03, $77 ; x=7 y=22
!byte $03, $A0 ; x=8 y=23
!byte $03, $C9 ; x=9 y=24
!byte $02, $30 ; x=0 y=14
!byte $02, $59 ; x=1 y=15
!byte $02, $82 ; x=2 y=16
!byte $02, $AB ; x=3 y=17
!byte $02, $D4 ; x=4 y=18
!byte $02, $FD ; x=5 y=19
!byte $03, $26 ; x=6 y=20
!byte $03, $4F ; x=7 y=21
!byte $03, $78 ; x=8 y=22
!byte $03, $A1 ; x=9 y=23
!byte $03, $CA ; x=10 y=24
!byte $02, $08 ; x=0 y=13
!byte $02, $31 ; x=1 y=14
!byte $02, $5A ; x=2 y=15
!byte $02, $83 ; x=3 y=16
!byte $02, $AC ; x=4 y=17
!byte $02, $D5 ; x=5 y=18
!byte $02, $FE ; x=6 y=19
!byte $03, $27 ; x=7 y=20
!byte $03, $50 ; x=8 y=21
!byte $03, $79 ; x=9 y=22
!byte $03, $A2 ; x=10 y=23
!byte $02, $09 ; x=1 y=13
!byte $02, $32 ; x=2 y=14
!byte $02, $5B ; x=3 y=15
!byte $02, $84 ; x=4 y=16
!byte $02, $AD ; x=5 y=17
!byte $02, $D6 ; x=6 y=18
!byte $02, $FF ; x=7 y=19
!byte $03, $28 ; x=8 y=20
!byte $03, $51 ; x=9 y=21
!byte $03, $7A ; x=10 y=22
!byte $03, $A3 ; x=11 y=23
!byte $01, $E1 ; x=1 y=12
!byte $02, $0A ; x=2 y=13
!byte $02, $33 ; x=3 y=14
!byte $02, $5C ; x=4 y=15
!byte $02, $85 ; x=5 y=16
!byte $02, $AE ; x=6 y=17
!byte $02, $D7 ; x=7 y=18
!byte $03, $00 ; x=8 y=19
!byte $03, $29 ; x=9 y=20
!byte $03, $52 ; x=10 y=21
!byte $03, $7B ; x=11 y=22
!byte $03, $A4 ; x=12 y=23
!byte $03, $CD ; x=13 y=24
!byte $01, $E2 ; x=2 y=12
!byte $02, $0B ; x=3 y=13
!byte $02, $34 ; x=4 y=14
!byte $02, $5D ; x=5 y=15
!byte $02, $86 ; x=6 y=16
!byte $02, $AF ; x=7 y=17
!byte $02, $D8 ; x=8 y=18
!byte $03, $01 ; x=9 y=19
!byte $03, $2A ; x=10 y=20
!byte $03, $53 ; x=11 y=21
!byte $03, $7C ; x=12 y=22
!byte $03, $A5 ; x=13 y=23
!byte $03, $CE ; x=14 y=24
!byte $01, $BA ; x=2 y=11
!byte $01, $E3 ; x=3 y=12
!byte $02, $0C ; x=4 y=13
!byte $02, $35 ; x=5 y=14
!byte $02, $5E ; x=6 y=15
!byte $02, $87 ; x=7 y=16
!byte $02, $B0 ; x=8 y=17
!byte $02, $D9 ; x=9 y=18
!byte $03, $02 ; x=10 y=19
!byte $03, $2B ; x=11 y=20
!byte $03, $54 ; x=12 y=21
!byte $03, $7D ; x=13 y=22
!byte $03, $A6 ; x=14 y=23
!byte $03, $CF ; x=15 y=24
!byte $01, $92 ; x=2 y=10
!byte $01, $BB ; x=3 y=11
!byte $01, $E4 ; x=4 y=12
!byte $02, $0D ; x=5 y=13
!byte $02, $36 ; x=6 y=14
!byte $02, $5F ; x=7 y=15
!byte $02, $88 ; x=8 y=16
!byte $02, $B1 ; x=9 y=17
!byte $02, $DA ; x=10 y=18
!byte $03, $03 ; x=11 y=19
!byte $03, $2C ; x=12 y=20
!byte $03, $55 ; x=13 y=21
!byte $03, $7E ; x=14 y=22
!byte $03, $A7 ; x=15 y=23
!byte $03, $D0 ; x=16 y=24
!byte $01, $6A ; x=2 y=9
!byte $01, $93 ; x=3 y=10
!byte $01, $BC ; x=4 y=11
!byte $01, $E5 ; x=5 y=12
!byte $02, $0E ; x=6 y=13
!byte $02, $37 ; x=7 y=14
!byte $02, $60 ; x=8 y=15
!byte $02, $89 ; x=9 y=16
!byte $02, $B2 ; x=10 y=17
!byte $02, $DB ; x=11 y=18
!byte $03, $04 ; x=12 y=19
!byte $03, $2D ; x=13 y=20
!byte $03, $56 ; x=14 y=21
!byte $03, $7F ; x=15 y=22
!byte $03, $A8 ; x=16 y=23
!byte $03, $D1 ; x=17 y=24
!byte $01, $42 ; x=2 y=8
!byte $01, $6B ; x=3 y=9
!byte $01, $94 ; x=4 y=10
!byte $01, $BD ; x=5 y=11
!byte $01, $E6 ; x=6 y=12
!byte $02, $0F ; x=7 y=13
!byte $02, $38 ; x=8 y=14
!byte $02, $61 ; x=9 y=15
!byte $02, $8A ; x=10 y=16
!byte $02, $B3 ; x=11 y=17
!byte $02, $DC ; x=12 y=18
!byte $03, $05 ; x=13 y=19
!byte $03, $2E ; x=14 y=20
!byte $03, $57 ; x=15 y=21
!byte $03, $80 ; x=16 y=22
!byte $03, $A9 ; x=17 y=23
!byte $01, $1A ; x=2 y=7
!byte $01, $43 ; x=3 y=8
!byte $01, $6C ; x=4 y=9
!byte $01, $95 ; x=5 y=10
!byte $01, $BE ; x=6 y=11
!byte $01, $E7 ; x=7 y=12
!byte $02, $10 ; x=8 y=13
!byte $02, $39 ; x=9 y=14
!byte $02, $62 ; x=10 y=15
!byte $02, $8B ; x=11 y=16
!byte $02, $B4 ; x=12 y=17
!byte $02, $DD ; x=13 y=18
!byte $03, $06 ; x=14 y=19
!byte $03, $2F ; x=15 y=20
!byte $03, $58 ; x=16 y=21
!byte $03, $81 ; x=17 y=22
!byte $00, $F2 ; x=2 y=6
!byte $01, $1B ; x=3 y=7
!byte $01, $44 ; x=4 y=8
!byte $01, $6D ; x=5 y=9
!byte $01, $96 ; x=6 y=10
!byte $01, $BF ; x=7 y=11
!byte $01, $E8 ; x=8 y=12
!byte $02, $11 ; x=9 y=13
!byte $02, $3A ; x=10 y=14
!byte $02, $63 ; x=11 y=15
!byte $02, $8C ; x=12 y=16
!byte $02, $B5 ; x=13 y=17
!byte $02, $DE ; x=14 y=18
!byte $03, $07 ; x=15 y=19
!byte $00, $CA ; x=2 y=5
!byte $00, $F3 ; x=3 y=6
!byte $01, $1C ; x=4 y=7
!byte $01, $45 ; x=5 y=8
!byte $01, $6E ; x=6 y=9
!byte $01, $97 ; x=7 y=10
!byte $01, $C0 ; x=8 y=11
!byte $01, $E9 ; x=9 y=12
!byte $02, $12 ; x=10 y=13
!byte $02, $3B ; x=11 y=14
!byte $02, $64 ; x=12 y=15
!byte $02, $8D ; x=13 y=16
!byte $02, $B6 ; x=14 y=17
!byte $02, $DF ; x=15 y=18
!byte $03, $08 ; x=16 y=19
!byte $00, $CB ; x=3 y=5
!byte $00, $F4 ; x=4 y=6
!byte $01, $1D ; x=5 y=7
!byte $01, $46 ; x=6 y=8
!byte $01, $6F ; x=7 y=9
!byte $01, $98 ; x=8 y=10
!byte $01, $C1 ; x=9 y=11
!byte $01, $EA ; x=10 y=12
!byte $02, $13 ; x=11 y=13
!byte $02, $3C ; x=12 y=14
!byte $02, $65 ; x=13 y=15
!byte $02, $8E ; x=14 y=16
!byte $02, $B7 ; x=15 y=17
!byte $02, $E0 ; x=16 y=18
!byte $00, $A3 ; x=3 y=4
!byte $00, $CC ; x=4 y=5
!byte $00, $F5 ; x=5 y=6
!byte $01, $1E ; x=6 y=7
!byte $01, $47 ; x=7 y=8
!byte $01, $70 ; x=8 y=9
!byte $01, $99 ; x=9 y=10
!byte $01, $C2 ; x=10 y=11
!byte $01, $EB ; x=11 y=12
!byte $02, $14 ; x=12 y=13
!byte $02, $3D ; x=13 y=14
!byte $02, $66 ; x=14 y=15
!byte $02, $8F ; x=15 y=16
!byte $02, $B8 ; x=16 y=17
!byte $00, $7B ; x=3 y=3
!byte $00, $A4 ; x=4 y=4
!byte $00, $CD ; x=5 y=5
!byte $00, $F6 ; x=6 y=6
!byte $01, $1F ; x=7 y=7
!byte $01, $48 ; x=8 y=8
!byte $01, $71 ; x=9 y=9
!byte $01, $9A ; x=10 y=10
!byte $01, $C3 ; x=11 y=11
!byte $01, $EC ; x=12 y=12
!byte $02, $15 ; x=13 y=13
!byte $02, $3E ; x=14 y=14
!byte $02, $67 ; x=15 y=15
!byte $02, $90 ; x=16 y=16
!byte $02, $B9 ; x=17 y=17
!byte $00, $7C ; x=4 y=3
!byte $00, $A5 ; x=5 y=4
!byte $00, $CE ; x=6 y=5
!byte $00, $F7 ; x=7 y=6
!byte $01, $20 ; x=8 y=7
!byte $01, $49 ; x=9 y=8
!byte $01, $72 ; x=10 y=9
!byte $01, $9B ; x=11 y=10
!byte $01, $C4 ; x=12 y=11
!byte $01, $ED ; x=13 y=12
!byte $02, $16 ; x=14 y=13
!byte $02, $3F ; x=15 y=14
!byte $02, $68 ; x=16 y=15
!byte $02, $91 ; x=17 y=16
!byte $02, $BA ; x=18 y=17
!byte $00, $54 ; x=4 y=2
!byte $00, $7D ; x=5 y=3
!byte $00, $A6 ; x=6 y=4
!byte $00, $CF ; x=7 y=5
!byte $00, $F8 ; x=8 y=6
!byte $01, $21 ; x=9 y=7
!byte $01, $4A ; x=10 y=8
!byte $01, $73 ; x=11 y=9
!byte $01, $9C ; x=12 y=10
!byte $01, $C5 ; x=13 y=11
!byte $01, $EE ; x=14 y=12
!byte $02, $17 ; x=15 y=13
!byte $02, $40 ; x=16 y=14
!byte $02, $69 ; x=17 y=15
!byte $02, $92 ; x=18 y=16
!byte $00, $55 ; x=5 y=2
!byte $00, $7E ; x=6 y=3
!byte $00, $A7 ; x=7 y=4
!byte $00, $D0 ; x=8 y=5
!byte $00, $F9 ; x=9 y=6
!byte $01, $22 ; x=10 y=7
!byte $01, $4B ; x=11 y=8
!byte $01, $74 ; x=12 y=9
!byte $01, $9D ; x=13 y=10
!byte $01, $C6 ; x=14 y=11
!byte $01, $EF ; x=15 y=12
!byte $02, $18 ; x=16 y=13
!byte $02, $41 ; x=17 y=14
!byte $02, $6A ; x=18 y=15
!byte $02, $93 ; x=19 y=16
!byte $00, $2D ; x=5 y=1
!byte $00, $56 ; x=6 y=2
!byte $00, $7F ; x=7 y=3
!byte $00, $A8 ; x=8 y=4
!byte $00, $D1 ; x=9 y=5
!byte $00, $FA ; x=10 y=6
!byte $01, $23 ; x=11 y=7
!byte $01, $4C ; x=12 y=8
!byte $01, $75 ; x=13 y=9
!byte $01, $9E ; x=14 y=10
!byte $01, $C7 ; x=15 y=11
!byte $01, $F0 ; x=16 y=12
!byte $02, $19 ; x=17 y=13
!byte $02, $42 ; x=18 y=14
!byte $02, $6B ; x=19 y=15
!byte $02, $94 ; x=20 y=16
!byte $00, $2E ; x=6 y=1
!byte $00, $57 ; x=7 y=2
!byte $00, $80 ; x=8 y=3
!byte $00, $A9 ; x=9 y=4
!byte $00, $D2 ; x=10 y=5
!byte $00, $FB ; x=11 y=6
!byte $01, $24 ; x=12 y=7
!byte $01, $4D ; x=13 y=8
!byte $01, $76 ; x=14 y=9
!byte $01, $9F ; x=15 y=10
!byte $02, $1A ; x=18 y=13
!byte $02, $43 ; x=19 y=14
!byte $02, $6C ; x=20 y=15
!byte $00, $2F ; x=7 y=1
!byte $00, $58 ; x=8 y=2
!byte $00, $81 ; x=9 y=3
!byte $00, $AA ; x=10 y=4
!byte $00, $D3 ; x=11 y=5
!byte $00, $FC ; x=12 y=6
!byte $01, $25 ; x=13 y=7
!byte $01, $4E ; x=14 y=8
!byte $01, $77 ; x=15 y=9
!byte $01, $F2 ; x=18 y=12
!byte $02, $1B ; x=19 y=13
!byte $02, $44 ; x=20 y=14
!byte $02, $6D ; x=21 y=15
!byte $00, $07 ; x=7 y=0
!byte $00, $30 ; x=8 y=1
!byte $00, $59 ; x=9 y=2
!byte $00, $82 ; x=10 y=3
!byte $00, $AB ; x=11 y=4
!byte $00, $D4 ; x=12 y=5
!byte $00, $FD ; x=13 y=6
!byte $01, $26 ; x=14 y=7
!byte $01, $4F ; x=15 y=8
!byte $01, $F3 ; x=19 y=12
!byte $02, $1C ; x=20 y=13
!byte $02, $45 ; x=21 y=14
!byte $02, $6E ; x=22 y=15
!byte $00, $08 ; x=8 y=0
!byte $00, $31 ; x=9 y=1
!byte $00, $5A ; x=10 y=2
!byte $00, $83 ; x=11 y=3
!byte $00, $AC ; x=12 y=4
!byte $00, $D5 ; x=13 y=5
!byte $00, $FE ; x=14 y=6
!byte $01, $27 ; x=15 y=7
!byte $01, $F4 ; x=20 y=12
!byte $02, $1D ; x=21 y=13
!byte $02, $46 ; x=22 y=14
!byte $02, $6F ; x=23 y=15
!byte $00, $09 ; x=9 y=0
!byte $00, $32 ; x=10 y=1
!byte $00, $5B ; x=11 y=2
!byte $00, $84 ; x=12 y=3
!byte $00, $AD ; x=13 y=4
!byte $00, $D6 ; x=14 y=5
!byte $00, $FF ; x=15 y=6
!byte $01, $CC ; x=20 y=11
!byte $01, $F5 ; x=21 y=12
!byte $02, $1E ; x=22 y=13
!byte $02, $47 ; x=23 y=14
!byte $00, $0A ; x=10 y=0
!byte $00, $33 ; x=11 y=1
!byte $00, $5C ; x=12 y=2
!byte $00, $85 ; x=13 y=3
!byte $00, $AE ; x=14 y=4
!byte $00, $D7 ; x=15 y=5
!byte $01, $CD ; x=21 y=11
!byte $01, $F6 ; x=22 y=12
!byte $02, $1F ; x=23 y=13
!byte $02, $48 ; x=24 y=14
!byte $00, $0B ; x=11 y=0
!byte $00, $34 ; x=12 y=1
!byte $00, $5D ; x=13 y=2
!byte $00, $86 ; x=14 y=3
!byte $00, $AF ; x=15 y=4
!byte $01, $CE ; x=22 y=11
!byte $01, $F7 ; x=23 y=12
!byte $02, $20 ; x=24 y=13
!byte $00, $0C ; x=12 y=0
!byte $00, $35 ; x=13 y=1
!byte $00, $5E ; x=14 y=2
!byte $01, $A6 ; x=22 y=10
!byte $01, $CF ; x=23 y=11
!byte $01, $F8 ; x=24 y=12
!byte $00, $36 ; x=14 y=1
!byte $01, $A7 ; x=23 y=10
!byte $01, $D0 ; x=24 y=11
!byte $01, $7F ; x=23 y=9
!byte $01, $A8 ; x=24 y=10
!byte $01, $D1 ; x=25 y=11
!byte $01, $80 ; x=24 y=9
!byte $01, $A9 ; x=25 y=10
!byte $01, $D2 ; x=26 y=11
!byte $01, $81 ; x=25 y=9
!byte $01, $AA ; x=26 y=10
!byte $01, $59 ; x=25 y=8
!byte $01, $82 ; x=26 y=9
!byte $01, $AB ; x=27 y=10
!byte $01, $5A ; x=26 y=8
!byte $01, $83 ; x=27 y=9
!byte $01, $AC ; x=28 y=10
.faderdata_end:

.screendata:
  !byte 96,96,96,96,96,96,96,104,247,227,247,104,46,96,96,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,96,233,223,233,205,224,223,96
  !byte 96,96,96,96,96,39,254,213,102,102,102,102,102,104,46,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,233,205,224,224,206,205,224,223
  !byte 96,96,96,96,46,254,213,175,213,102,102,251,167,216,92,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,233,224,105,244,234,95,224,224,105
  !byte 98,98,98,123,225,217,194,213,194,224,126,236,126,92,92,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98
  !byte 224,224,224,92,244,194,199,194,212,126,255,255,254,97,92,244,224,224,105,96,96,78,108,96,78,78,96,96,105,111,111,78,96,67,233,224,224,98,96,233
  !byte 224,224,167,225,244,212,212,212,225,108,247,123,224,126,92,244,224,224,223,95,105,96,126,78,78,233,105,78,111,111,105,233,96,236,226,105,224,105,233,224
  !byte 224,224,234,92,194,212,225,244,225,204,209,250,127,127,92,225,105,96,96,78,233,224,105,78,96,96,78,96,96,78,233,105,233,224,224,223,96,233,224,224
  !byte 224,224,97,92,212,244,225,244,92,207,98,247,239,252,92,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,97,92,244,102,225,92,92,224,220,174,247,123,92,225,224,224,224,224,224,224,224,224,224,218,126,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,92,92,244,92,225,92,92,244,123,102,232,92,92,244,224,224,224,224,224,224,224,218,124,98,252,124,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,92,92,220,92,225,104,92,124,102,104,255,92,92,244,224,224,224,224,224,224,226,98,162,174,226,98,218,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,92,92,220,104,244,207,92,104,96,92,104,92,92,225,224,224,224,224,226,98,205,127,226,123,218,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,174,46,123,244,220,244,244,225,244,92,92,244,92,92,225,224,224,226,98,205,236,112,200,97,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 174,126,254,234,244,204,244,244,225,244,126,92,244,108,92,106,226,98,205,224,226,123,217,221,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 116,220,224,92,244,124,204,244,225,108,92,92,124,225,226,98,205,224,226,104,230,167,236,126,254,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 97,220,224,234,220,244,252,104,220,124,92,92,124,98,205,224,226,104,162,232,226,104,98,227,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,123,251,234,220,204,232,234,220,124,96,92,225,224,226,104,232,232,126,104,247,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,92,104,225,92,244,92,225,108,234,92,124,104,124,123,108,247,227,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,234,108,216,225,96,124,244,225,124,126,92,104,167,123,234,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,97,220,224,124,225,230,124,124,104,102,104,220,224,234,244,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,234,220,224,102,124,104,102,102,167,224,224,226,119,46,251,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,124,224,224,167,224,81,224,224,224,126,32,32,32,32,251,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,97,251,224,224,81,254,224,224,126,32,104,32,32,32,32,251,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,123,251,224,224,224,226,32,98,111,32,32,32,32,32,225,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224
  !byte 224,224,224,224,92,99,99,32,32,32,124,224,224,92,32,32,32,106,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 14,14,14,14,14,14,14,9,9,9,9,9,9,9,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,2,1,1,1,1,1,1,1,6
  !byte 14,14,14,14,14,9,9,8,8,15,10,8,9,9,9,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,2,13,13,13,13,13,13,13,13
  !byte 14,14,14,14,6,9,8,8,15,10,8,8,8,9,9,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,5,5,5,5,5,5,5,5
  !byte 14,14,14,14,9,8,10,15,10,8,9,9,9,11,9,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,14,8,10,15,10,8,9,15,9,15,12,9,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,10,10,10,8,8,1,1,1,7,15,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,10,15,8,8,8,1,1,1,7,1,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,10,15,8,9,9,15,7,7,7,7,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,10,10,10,11,9,10,15,7,15,8,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,10,8,8,9,9,8,10,15,10,11,8,14,14,14,14,14,14,14,14,14,14,2,2,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 14,14,14,6,8,9,8,9,9,11,11,10,11,9,8,14,14,14,14,14,14,14,14,1,2,9,9,14,14,14,14,14,14,14,14,14,14,14,14,14
  !byte 4,4,4,6,8,10,9,5,9,5,5,9,5,8,9,4,4,4,4,4,4,15,1,15,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,8,10,8,7,9,13,9,5,5,8,5,9,6,4,4,4,4,12,15,15,7,7,15,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,10,7,8,15,9,13,9,13,5,8,13,7,6,4,4,12,15,12,12,8,7,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,10,15,7,9,5,9,5,9,2,2,8,5,10,7,12,12,11,12,7,7,15,10,11,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,10,15,7,9,7,7,7,9,2,2,8,2,12,12,11,11,7,7,15,15,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,10,15,9,15,7,7,9,7,2,8,11,11,11,10,10,12,12,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 4,4,4,2,9,9,7,7,9,11,12,9,11,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4
  !byte 6,6,2,2,9,9,10,7,9,11,11,9,2,2,9,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,2,2,9,11,11,10,9,2,2,2,9,9,9,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,9,2,2,11,2,2,2,2,9,9,9,9,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,9,9,2,2,2,15,2,9,9,9,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,6,9,9,9,12,9,9,9,9,14,6,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,6,6,9,9,9,9,9,14,6,6,14,14,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
  !byte 6,6,6,6,6,9,9,14,14,14,6,6,6,6,14,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6
