!zone fade_user
fade_user_isready
  !byte $00
fade_user_fade:
    clc
    lda .value1+1
    cmp #<.faderdata_end
    bne .fade_ok
    lda .value1+2
    cmp #>.faderdata_end
    bne .fade_ok
    lda #$01
    sta fade_user_isready
    rts

.fade_ok:
    clc
.value1:
    ldx .faderdata
.value2:
    ldy .faderdata+1

    clc
    txa
    adc #>.colordata
    sta .modvalue1+2

    clc
    txa
    adc #>.screendata
    sta .modvalue3+2

    clc
    tya
    adc #<.colordata
    sta .modvalue1+1
    bcc +
    inc .modvalue1+2
+
    clc
    tya
    adc #<.screendata
    sta .modvalue3+1
    bcc .ok3
    inc .modvalue3+2

.ok3:

    clc
    txa
    adc #>$d800
    sta .modvalue2+2

    clc
    txa
    adc #>screen
    sta .modvalue4+2

    clc
    tya
    adc #<$d800
    sta .modvalue2+1
    bcc +
    inc .modvalue2+2

+   clc
    tya
    adc #<screen
    sta .modvalue4+1
    bcc .ok4
    inc .modvalue4+2
.ok4:
    clc
.modvalue1:
    lda .colordata
.modvalue2:
    sta $d800
.modvalue3:
    lda .screendata
.modvalue4:
    sta screen
    clc
    lda .value1+1
    adc #$02
    sta .value1+1
    bcc .ok1
    inc .value1+2
.ok1:
    clc
    lda .value2+1
    adc #$02
    sta .value2+1
    bcc .ok2
    inc .value2+2
.ok2:
    clc
    rts

fade_user_copy_empty_screen:
    ldx #$fa
-
!for ROW, 0 ,3 {
    lda empty_color+(ROW*$fa)-1,x
    sta .colordata+(ROW*$fa)-1,x
}
!for ROW, 0 ,3 {
    lda empty_screen+(ROW*$fa)-1,x
    sta .screendata+(ROW*$fa)-1,x
}
    dex
    bne -

;    rts

.reset_animation:
    clc
    lda #<.faderdata
    sta .value1+1
    sta .value2+1
    lda #>.faderdata
    sta .value1+2
    sta .value2+2
    inc .value2+1
    lda #$00
    sta fade_user_isready
    rts
    ;lda #<.faderdata+1
    ;sta .value2+1
    ;lda #>.faderdata+1
    ;sta .value2+2

fade_user_copy_name:
    ldx #$18
-
    lda .screendata+(5*$28),x
    sta screen+(5*$28),x

!for ROW, 6, 7 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_user_clear_name:
    ldx #$18
-
    lda .screendata+(5*$28),x
    sta screen+(5*$28),x
!for ROW, 6, 7 {
    lda .screendata+(ROW*$28)-1,x
    sta screen+(ROW*$28)-1,x
}
    dex
    bne -
    rts

fade_user_animate:
    lda .phase
    cmp #$06
    bne +
    jsr .animation1
    jmp ++
+
    cmp #$01
    bne ++
    jsr .animation2
    jmp ++
++
    dec .phase
    bne +++
    lda #$38
    sta .phase
+++
    rts
.phase:
    !byte $38

.animation1:
    ldy #$60
    sty screen + 24
    sty screen + 64
    sty screen + 104
    sty screen + 265

    ldy #$66
    sty screen + 270
    sty screen + 308

    ldy #$68
    sty screen + 266
    sty screen + 309
    sty screen + 310
    sty screen + 311

    ldy #$7c
    sty screen + 187
    sty screen + 269

    ldy #$a7
    sty screen + 351

    ldy #$a9
    sty screen + 312

    ldy #$e0
    sty screen + 231
    sty screen + 272

    iny ; ldy #$e1
    sty screen + 225

    iny ; ldy #$e2
    sty screen + 190

    iny ; ldy #$e3
    sty screen + 350

    ldy #$e8
    sty screen + 189
    sty screen + 271

    ldy #$ec
    sty screen + 226

    ldy #$f7
    sty screen + 349

    ldy #$06
    sty $d800 + 24
    sty $d800 + 64
    sty $d800 + 104

    iny ; ldy #$07
    sty $d800 + 271

    ldy #$09
    sty $d800 + 225
    sty $d800 + 265

    iny ; ldy #$0a
    sty $d800 + 187
    sty $d800 + 189
    sty $d800 + 309
    sty $d800 + 310

    ldy #$0c
    sty $d800 + 269

    ldy #$0f
    sty $d800 + 266
    sty $d800 + 270
    sty $d800 + 311

    rts

.animation2:
    ldy #$20
    sty screen + 24
    sty screen + 64
    sty screen + 104

    ldy #$5c
    sty screen + 308

    ldy #$62
    sty screen + 187
    sty screen + 269

    ldy #$68
    sty screen + 189
    sty screen + 190
    sty screen + 265
    sty screen + 349
    sty screen + 350

    ldy #$7b
    sty screen + 266
    sty screen + 270

    iny ; ldy #$7c
    sty screen + 225

    ldy #$dc
    sty screen + 272
    sty screen + 312

    ldy #$e4
    sty screen + 231

    ldy #$e8
    sty screen + 226
    sty screen + 310

    ldy #$ec
    sty screen + 311

    ldy #$f7
    sty screen + 271

    ldy #$fb
    sty screen + 309

    ldy #$fe
    sty screen + 351
    ldy #$01
    sty $d800 + 24
    sty $d800 + 64
    sty $d800 + 104
    sty $d800 + 266
    sty $d800 + 269
    sty $d800 + 271
    sty $d800 + 309
    sty $d800 + 310
    sty $d800 + 311

    ldy #$08
    sty $d800 + 187
    sty $d800 + 225

    iny ; ldy #$09
    sty $d800 + 189

    ldy #$0e
    sty $d800 + 265
    sty $d800 + 270
    rts

!align 2,0 ; IMPORTANT the faderdata LO and HI has to be in the same INC !!
.faderdata:
!byte $03, $73 ; x=3 y=22
!byte $03, $E7 ; x=39 y=24
!byte $03, $74 ; x=4 y=22
!byte $03, $BE ; x=38 y=23
!byte $03, $9B ; x=3 y=23
!byte $03, $E6 ; x=38 y=24
!byte $03, $4C ; x=4 y=21
!byte $03, $BF ; x=39 y=23
!byte $03, $9C ; x=4 y=23
!byte $03, $96 ; x=38 y=22
!byte $03, $4D ; x=5 y=21
!byte $03, $E5 ; x=37 y=24
!byte $03, $75 ; x=5 y=22
!byte $03, $BD ; x=37 y=23
!byte $03, $4E ; x=6 y=21
!byte $03, $E4 ; x=36 y=24
!byte $03, $9D ; x=5 y=23
!byte $03, $95 ; x=37 y=22
!byte $03, $76 ; x=6 y=22
!byte $03, $6E ; x=38 y=21
!byte $03, $C5 ; x=5 y=24
!byte $03, $46 ; x=38 y=20
!byte $03, $9E ; x=6 y=23
!byte $03, $6D ; x=37 y=21
!byte $03, $C6 ; x=6 y=24
!byte $03, $77 ; x=7 y=22
!byte $03, $4F ; x=7 y=21
!byte $03, $E3 ; x=35 y=24
!byte $03, $9F ; x=7 y=23
!byte $03, $BC ; x=36 y=23
!byte $03, $C7 ; x=7 y=24
!byte $03, $94 ; x=36 y=22
!byte $03, $78 ; x=8 y=22
!byte $03, $BB ; x=35 y=23
!byte $03, $A0 ; x=8 y=23
!byte $03, $6C ; x=36 y=21
!byte $03, $50 ; x=8 y=21
!byte $03, $45 ; x=37 y=20
!byte $03, $C8 ; x=8 y=24
!byte $03, $E2 ; x=34 y=24
!byte $03, $51 ; x=9 y=21
!byte $03, $93 ; x=35 y=22
!byte $03, $79 ; x=9 y=22
!byte $03, $BA ; x=34 y=23
!byte $03, $A1 ; x=9 y=23
!byte $03, $6B ; x=35 y=21
!byte $03, $C9 ; x=9 y=24
!byte $03, $E1 ; x=33 y=24
!byte $03, $7A ; x=10 y=22
!byte $03, $92 ; x=34 y=22
!byte $03, $A2 ; x=10 y=23
!byte $03, $B9 ; x=33 y=23
!byte $03, $52 ; x=10 y=21
!byte $03, $E0 ; x=32 y=24
!byte $03, $CA ; x=10 y=24
!byte $03, $B8 ; x=32 y=23
!byte $03, $7B ; x=11 y=22
!byte $03, $91 ; x=33 y=22
!byte $03, $A3 ; x=11 y=23
!byte $03, $44 ; x=36 y=20
!byte $03, $CB ; x=11 y=24
!byte $03, $1D ; x=37 y=19
!byte $03, $CC ; x=12 y=24
!byte $03, $DF ; x=31 y=24
!byte $03, $A4 ; x=12 y=23
!byte $03, $6A ; x=34 y=21
!byte $03, $7C ; x=12 y=22
!byte $03, $43 ; x=35 y=20
!byte $03, $A5 ; x=13 y=23
!byte $03, $1C ; x=36 y=19
!byte $03, $CD ; x=13 y=24
!byte $02, $F5 ; x=37 y=18
!byte $03, $7D ; x=13 y=22
!byte $02, $F4 ; x=36 y=18
!byte $03, $A6 ; x=14 y=23
!byte $03, $1B ; x=35 y=19
!byte $03, $7E ; x=14 y=22
!byte $03, $42 ; x=34 y=20
!byte $03, $CE ; x=14 y=24
!byte $03, $69 ; x=33 y=21
!byte $03, $A7 ; x=15 y=23
!byte $02, $CC ; x=36 y=17
!byte $03, $A8 ; x=16 y=23
!byte $02, $F3 ; x=35 y=18
!byte $03, $CF ; x=15 y=24
!byte $02, $CB ; x=35 y=17
!byte $03, $D0 ; x=16 y=24
!byte $03, $1A ; x=34 y=19
!byte $03, $7F ; x=15 y=22
!byte $02, $A3 ; x=35 y=16
!byte $03, $80 ; x=16 y=22
!byte $02, $F2 ; x=34 y=18
!byte $03, $A9 ; x=17 y=23
!byte $02, $CA ; x=34 y=17
!byte $03, $58 ; x=16 y=21
!byte $02, $A2 ; x=34 y=16
!byte $03, $81 ; x=17 y=22
!byte $02, $7A ; x=34 y=15
!byte $03, $D1 ; x=17 y=24
!byte $03, $41 ; x=33 y=20
!byte $03, $59 ; x=17 y=21
!byte $03, $19 ; x=33 y=19
!byte $03, $5A ; x=18 y=21
!byte $03, $90 ; x=32 y=22
!byte $03, $32 ; x=18 y=20
!byte $02, $F1 ; x=33 y=18
!byte $03, $82 ; x=18 y=22
!byte $02, $C9 ; x=33 y=17
!byte $03, $AA ; x=18 y=23
!byte $02, $A1 ; x=33 y=16
!byte $03, $D2 ; x=18 y=24
!byte $02, $79 ; x=33 y=15
!byte $03, $D3 ; x=19 y=24
!byte $03, $68 ; x=32 y=21
!byte $03, $AB ; x=19 y=23
!byte $02, $51 ; x=33 y=14
!byte $03, $83 ; x=19 y=22
!byte $03, $40 ; x=32 y=20
!byte $03, $5B ; x=19 y=21
!byte $02, $29 ; x=33 y=13
!byte $03, $33 ; x=19 y=20
!byte $03, $18 ; x=32 y=19
!byte $03, $0B ; x=19 y=19
!byte $02, $F0 ; x=32 y=18
!byte $03, $5C ; x=20 y=21
!byte $03, $B7 ; x=31 y=23
!byte $03, $84 ; x=20 y=22
!byte $02, $C8 ; x=32 y=17
!byte $03, $AC ; x=20 y=23
!byte $03, $8F ; x=31 y=22
!byte $03, $D4 ; x=20 y=24
!byte $03, $3F ; x=31 y=20
!byte $03, $85 ; x=21 y=22
!byte $03, $67 ; x=31 y=21
!byte $03, $AD ; x=21 y=23
!byte $03, $17 ; x=31 y=19
!byte $03, $D5 ; x=21 y=24
!byte $03, $DE ; x=30 y=24
!byte $03, $34 ; x=20 y=20
!byte $02, $A0 ; x=32 y=16
!byte $03, $0C ; x=20 y=19
!byte $02, $EF ; x=31 y=18
!byte $03, $35 ; x=21 y=20
!byte $03, $16 ; x=30 y=19
!byte $03, $5D ; x=21 y=21
!byte $03, $66 ; x=30 y=21
!byte $03, $AE ; x=22 y=23
!byte $03, $B6 ; x=30 y=23
!byte $03, $D6 ; x=22 y=24
!byte $03, $3D ; x=29 y=20
!byte $03, $5E ; x=22 y=21
!byte $03, $8E ; x=30 y=22
!byte $03, $86 ; x=22 y=22
!byte $03, $3E ; x=30 y=20
!byte $03, $D7 ; x=23 y=24
!byte $03, $B5 ; x=29 y=23
!byte $03, $0D ; x=21 y=19
!byte $03, $DD ; x=29 y=24
!byte $02, $E4 ; x=20 y=18
!byte $03, $8D ; x=29 y=22
!byte $03, $AF ; x=23 y=23
!byte $03, $65 ; x=29 y=21
!byte $03, $87 ; x=23 y=22
!byte $03, $DC ; x=28 y=24
!byte $02, $E5 ; x=21 y=18
!byte $03, $B4 ; x=28 y=23
!byte $03, $36 ; x=22 y=20
!byte $03, $8C ; x=28 y=22
!byte $03, $0E ; x=22 y=19
!byte $03, $64 ; x=28 y=21
!byte $03, $5F ; x=23 y=21
!byte $03, $3C ; x=28 y=20
!byte $03, $37 ; x=23 y=20
!byte $03, $15 ; x=29 y=19
!byte $02, $BD ; x=21 y=17
!byte $02, $C7 ; x=31 y=17
!byte $02, $E6 ; x=22 y=18
!byte $02, $EE ; x=30 y=18
!byte $03, $0F ; x=23 y=19
!byte $03, $DB ; x=27 y=24
!byte $03, $D8 ; x=24 y=24
!byte $03, $B3 ; x=27 y=23
!byte $03, $B0 ; x=24 y=23
!byte $03, $8B ; x=27 y=22
!byte $03, $88 ; x=24 y=22
!byte $03, $63 ; x=27 y=21
!byte $03, $60 ; x=24 y=21
!byte $03, $DA ; x=26 y=24
!byte $03, $D9 ; x=25 y=24
!byte $03, $B2 ; x=26 y=23
!byte $03, $B1 ; x=25 y=23
!byte $03, $8A ; x=26 y=22
!byte $03, $89 ; x=25 y=22
!byte $03, $62 ; x=26 y=21
!byte $03, $61 ; x=25 y=21
!byte $03, $3B ; x=27 y=20
!byte $03, $38 ; x=24 y=20
!byte $03, $14 ; x=28 y=19
!byte $03, $39 ; x=25 y=20
!byte $02, $ED ; x=29 y=18
!byte $03, $10 ; x=24 y=19
!byte $02, $C6 ; x=30 y=17
!byte $02, $E7 ; x=23 y=18
!byte $02, $9F ; x=31 y=16
!byte $02, $BE ; x=22 y=17
!byte $02, $95 ; x=21 y=16
!byte $02, $78 ; x=32 y=15
!byte $03, $3A ; x=26 y=20
!byte $03, $13 ; x=27 y=19
!byte $03, $11 ; x=25 y=19
!byte $02, $EC ; x=28 y=18
!byte $02, $E8 ; x=24 y=18
!byte $02, $C5 ; x=29 y=17
!byte $02, $BF ; x=23 y=17
!byte $02, $9E ; x=30 y=16
!byte $02, $96 ; x=22 y=16
!byte $02, $77 ; x=31 y=15
!byte $02, $6E ; x=22 y=15
!byte $02, $50 ; x=32 y=14
!byte $03, $12 ; x=26 y=19
!byte $02, $EB ; x=27 y=18
!byte $02, $E9 ; x=25 y=18
!byte $02, $C4 ; x=28 y=17
!byte $02, $C0 ; x=24 y=17
!byte $02, $9D ; x=29 y=16
!byte $02, $97 ; x=23 y=16
!byte $02, $76 ; x=30 y=15
!byte $02, $EA ; x=26 y=18
!byte $02, $4F ; x=31 y=14
!byte $02, $C1 ; x=25 y=17
!byte $02, $28 ; x=32 y=13
!byte $02, $98 ; x=24 y=16
!byte $02, $01 ; x=33 y=12
!byte $02, $6F ; x=23 y=15
!byte $02, $02 ; x=34 y=12
!byte $02, $C2 ; x=26 y=17
!byte $02, $2A ; x=34 y=13
!byte $02, $99 ; x=25 y=16
!byte $02, $53 ; x=35 y=14
!byte $02, $70 ; x=24 y=15
!byte $02, $7C ; x=36 y=15
!byte $02, $47 ; x=23 y=14
!byte $02, $7D ; x=37 y=15
!byte $02, $C3 ; x=27 y=17
!byte $02, $55 ; x=37 y=14
!byte $02, $9A ; x=26 y=16
!byte $02, $54 ; x=36 y=14
!byte $02, $71 ; x=25 y=15
!byte $02, $2C ; x=36 y=13
!byte $02, $48 ; x=24 y=14
!byte $02, $2B ; x=35 y=13
!byte $02, $9B ; x=27 y=16
!byte $02, $03 ; x=35 y=12
!byte $02, $9C ; x=28 y=16
!byte $02, $04 ; x=36 y=12
!byte $02, $72 ; x=26 y=15
!byte $01, $DD ; x=37 y=11
!byte $02, $49 ; x=25 y=14
!byte $01, $DC ; x=36 y=11
!byte $02, $73 ; x=27 y=15
!byte $01, $B5 ; x=37 y=10
!byte $02, $4A ; x=26 y=14
!byte $01, $8D ; x=37 y=9
!byte $02, $21 ; x=25 y=13
!byte $01, $DB ; x=35 y=11
!byte $02, $22 ; x=26 y=13
!byte $01, $B4 ; x=36 y=10
!byte $02, $74 ; x=28 y=15
!byte $01, $DA ; x=34 y=11
!byte $02, $4B ; x=27 y=14
!byte $01, $8C ; x=36 y=9
!byte $02, $23 ; x=27 y=13
!byte $01, $B3 ; x=35 y=10
!byte $02, $4C ; x=28 y=14
!byte $01, $64 ; x=36 y=8
!byte $02, $75 ; x=29 y=15
!byte $01, $FB ; x=27 y=12
!byte $01, $3B ; x=35 y=7
!byte $01, $FA ; x=26 y=12
!byte $01, $3C ; x=36 y=7
!byte $01, $D2 ; x=26 y=11
!byte $01, $13 ; x=35 y=6
!byte $01, $D1 ; x=25 y=11
!byte $01, $14 ; x=36 y=6
!byte $01, $A9 ; x=25 y=10
!byte $00, $EC ; x=36 y=5
!byte $01, $81 ; x=25 y=9
!byte $00, $C5 ; x=37 y=4
!byte $01, $82 ; x=26 y=9
!byte $00, $C4 ; x=36 y=4
!byte $01, $58 ; x=24 y=8
!byte $00, $9C ; x=36 y=3
!byte $01, $59 ; x=25 y=8
!byte $00, $9B ; x=35 y=3
!byte $01, $30 ; x=24 y=7
!byte $00, $73 ; x=35 y=2
!byte $01, $31 ; x=25 y=7
!byte $00, $72 ; x=34 y=2
!byte $01, $09 ; x=25 y=6
!byte $00, $4A ; x=34 y=1
!byte $01, $0A ; x=26 y=6
!byte $00, $49 ; x=33 y=1
!byte $00, $E2 ; x=26 y=5
!byte $00, $21 ; x=33 y=0
!byte $00, $E1 ; x=25 y=5
!byte $00, $48 ; x=32 y=1
!byte $00, $BA ; x=26 y=4
!byte $00, $20 ; x=32 y=0
!byte $00, $B9 ; x=25 y=4
!byte $00, $47 ; x=31 y=1
!byte $00, $93 ; x=27 y=3
!byte $00, $1F ; x=31 y=0
!byte $00, $92 ; x=26 y=3
!byte $00, $46 ; x=30 y=1
!byte $00, $6B ; x=27 y=2
!byte $00, $1E ; x=30 y=0
!byte $00, $6A ; x=26 y=2
!byte $00, $45 ; x=29 y=1
!byte $00, $43 ; x=27 y=1
!byte $00, $1D ; x=29 y=0
!byte $00, $42 ; x=26 y=1
!byte $00, $44 ; x=28 y=1
!byte $00, $1B ; x=27 y=0
!byte $00, $1C ; x=28 y=0
!byte $00, $6D ; x=29 y=2
!byte $00, $6C ; x=28 y=2
!byte $00, $6E ; x=30 y=2
!byte $00, $94 ; x=28 y=3
!byte $00, $6F ; x=31 y=2
!byte $00, $BB ; x=27 y=4
!byte $00, $70 ; x=32 y=2
!byte $00, $E3 ; x=27 y=5
!byte $00, $71 ; x=33 y=2
!byte $01, $0B ; x=27 y=6
!byte $00, $9A ; x=34 y=3
!byte $01, $32 ; x=26 y=7
!byte $00, $C3 ; x=35 y=4
!byte $01, $5A ; x=26 y=8
!byte $00, $EB ; x=35 y=5
!byte $01, $AA ; x=26 y=10
!byte $01, $63 ; x=35 y=8
!byte $01, $AB ; x=27 y=10
!byte $01, $8B ; x=35 y=9
!byte $01, $D3 ; x=27 y=11
!byte $01, $D9 ; x=33 y=11
!byte $01, $FC ; x=28 y=12
!byte $02, $00 ; x=32 y=12
!byte $02, $24 ; x=28 y=13
!byte $02, $27 ; x=31 y=13
!byte $02, $4D ; x=29 y=14
!byte $02, $4E ; x=30 y=14
!byte $02, $25 ; x=29 y=13
!byte $02, $26 ; x=30 y=13
!byte $01, $FD ; x=29 y=12
!byte $01, $FF ; x=31 y=12
!byte $01, $D4 ; x=28 y=11
!byte $01, $D8 ; x=32 y=11
!byte $01, $AC ; x=28 y=10
!byte $01, $B2 ; x=34 y=10
!byte $01, $83 ; x=27 y=9
!byte $01, $8A ; x=34 y=9
!byte $01, $5B ; x=27 y=8
!byte $01, $62 ; x=34 y=8
!byte $01, $33 ; x=27 y=7
!byte $01, $3A ; x=34 y=7
!byte $01, $0C ; x=28 y=6
!byte $01, $12 ; x=34 y=6
!byte $00, $E4 ; x=28 y=5
!byte $00, $EA ; x=34 y=5
!byte $00, $BC ; x=28 y=4
!byte $00, $C2 ; x=34 y=4
!byte $00, $95 ; x=29 y=3
!byte $00, $99 ; x=33 y=3
!byte $00, $96 ; x=30 y=3
!byte $00, $98 ; x=32 y=3
!byte $00, $97 ; x=31 y=3
!byte $00, $BE ; x=30 y=4
!byte $00, $BF ; x=31 y=4
!byte $00, $BD ; x=29 y=4
!byte $00, $C0 ; x=32 y=4
!byte $00, $E5 ; x=29 y=5
!byte $00, $C1 ; x=33 y=4
!byte $01, $0D ; x=29 y=6
!byte $00, $E9 ; x=33 y=5
!byte $01, $34 ; x=28 y=7
!byte $01, $11 ; x=33 y=6
!byte $01, $5C ; x=28 y=8
!byte $01, $39 ; x=33 y=7
!byte $01, $84 ; x=28 y=9
!byte $01, $61 ; x=33 y=8
!byte $01, $AD ; x=29 y=10
!byte $01, $89 ; x=33 y=9
!byte $01, $D5 ; x=29 y=11
!byte $01, $B1 ; x=33 y=10
!byte $01, $D7 ; x=31 y=11
!byte $01, $FE ; x=30 y=12
!byte $01, $D6 ; x=30 y=11
!byte $01, $AF ; x=31 y=10
!byte $01, $AE ; x=30 y=10
!byte $01, $B0 ; x=32 y=10
!byte $01, $85 ; x=29 y=9
!byte $01, $88 ; x=32 y=9
!byte $01, $5D ; x=29 y=8
!byte $01, $60 ; x=32 y=8
!byte $01, $35 ; x=29 y=7
!byte $01, $38 ; x=32 y=7
!byte $01, $0E ; x=30 y=6
!byte $01, $10 ; x=32 y=6
!byte $00, $E6 ; x=30 y=5
!byte $00, $E8 ; x=32 y=5
!byte $00, $E7 ; x=31 y=5
!byte $01, $0F ; x=31 y=6
!byte $01, $37 ; x=31 y=7
!byte $01, $36 ; x=30 y=7
!byte $01, $5F ; x=31 y=8
!byte $01, $5E ; x=30 y=8
!byte $01, $87 ; x=31 y=9
!byte $01, $86 ; x=30 y=9
.faderdata_end:

.screendata:
  !byte 96,96,233,223,233,205,224,223,96,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,96,46,104,104,247,104,98,46,96,96,96,96,96,96
  !byte 96,233,205,224,224,206,205,224,223,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,85,220,167,220,167,220,224,224,252,96,96,96,96,96
  !byte 233,224,105,244,234,95,224,224,105,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,96,92,104,226,226,226,104,104,251,224,252,96,96,96,96
  !byte 98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,98,108,224,167,227,224,224,186,92,251,224,92,98,98,98
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,104,98,224,104,104,232,224,92,167,224,92,244,224,224
  !byte 224,105,96,96,78,233,105,78,111,111,233,224,105,233,105,78,100,100,78,111,111,78,96,67,233,124,232,186,236,104,232,228,234,225,220,224,92,224,224,224
  !byte 224,105,233,105,96,99,78,111,111,224,224,105,233,105,233,223,95,105,111,111,105,233,96,224,224,104,123,220,92,98,123,247,220,225,220,167,225,224,224,224
  !byte 105,233,105,233,105,78,96,96,233,224,224,96,96,78,119,119,78,96,96,78,233,105,233,224,236,104,254,224,92,251,232,236,220,92,167,126,220,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,97,251,174,232,251,104,104,254,224,213,104,32,124,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,92,104,247,224,224,224,224,224,168,123,254,102,225,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,124,232,232,228,239,210,203,224,236,254,175,234,225,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,252,108,98,247,227,224,224,224,92,220,224,92,169,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,252,251,224,224,224,224,224,92,251,220,225,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,239,126,244,224,224,224,224,186,106,252,251,225,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,236,99,96,92,124,224,224,224,224,126,32,224,252,126,201,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,236,39,32,32,39,104,32,226,226,32,104,32,124,224,202,220,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,236,92,32,32,32,32,32,96,104,104,75,32,32,32,124,224,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,126,39,32,32,32,104,100,32,32,32,32,32,32,32,32,124,224,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,126,92,32,32,32,106,102,224,247,32,32,32,32,32,46,104,32,225,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,126,230,252,32,92,32,32,124,232,224,116,32,32,32,88,32,32,32,32,224,224
  !byte 224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,126,230,230,224,92,46,32,108,123,32,119,32,32,32,39,32,32,32,32,32,225,224
  !byte 224,224,224,224,174,232,230,232,174,232,174,224,224,224,224,224,174,126,230,230,224,224,92,58,32,225,92,32,220,116,32,32,32,32,111,98,98,123,96,224
  !byte 224,224,224,232,214,104,230,47,104,124,230,230,232,174,232,232,126,230,230,224,224,232,75,32,32,225,252,100,224,116,32,58,32,254,224,224,224,224,96,224
  !byte 224,224,224,252,230,214,104,104,102,92,104,111,46,111,32,46,104,230,230,224,232,230,58,32,32,39,232,224,224,116,32,32,106,220,224,224,224,224,92,244
  !byte 224,224,224,224,224,98,124,102,232,126,232,102,102,102,102,104,39,92,230,230,230,108,92,32,96,32,32,119,226,32,32,32,225,230,220,232,174,224,92,244

  !align 2,0 ; IMPORTANT the colordata LO and HI has to be in the same INC !!
.colordata:
  !byte 14,14,14,14,14,14,14,14,14,14,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,6,9,9,9,8,8,10,9,6,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,9,9,8,8,10,8,8,10,8,6,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,9,11,9,9,8,12,11,8,10,8,6,6,6,6
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,11,12,10,15,15,7,15,12,8,10,8,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,9,8,15,9,8,8,7,15,9,8,8,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,8,10,15,15,7,7,7,7,9,8,8,8,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,1,7,7,1,14,1,7,9,8,10,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,11,15,7,7,1,1,1,7,15,9,10,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,7,7,15,10,15,7,7,15,11,8,14,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,12,10,15,7,7,7,7,7,11,9,8,14,14,14
  !byte 14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,11,10,15,7,7,7,7,7,15,9,8,10,14,14,14
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,11,12,10,15,7,7,12,8,10,8,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,12,10,15,7,7,15,11,9,8,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,15,7,7,7,15,4,4,9,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,12,10,7,7,15,15,14,4,4,9,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,14,14,6,6,10,10,15,14,11,14,4,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,11,14,14,14,14,6,5,11,11,11,14,11,14,4,4,4,4,4
  !byte 4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,11,11,14,6,6,12,14,8,8,8,8,8,14,4,4,4,4
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,11,11,11,11,6,11,12,12,14,8,11,6,11,11,11,14,6,6,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,9,11,6,11,6,11,11,15,12,8,11,6,11,14,14,14,14,6,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,8,8,9,6,5,6,11,12,12,14,11,6,11,14,14,14,14,14,6,6
  !byte 6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,8,10,8,9,6,5,6,11,12,15,12,11,14,11,14,10,10,10,8,10,6
  !byte 6,6,6,6,6,10,8,9,9,6,6,6,6,6,6,6,6,9,8,10,8,11,9,14,6,6,12,11,15,12,11,11,11,8,10,15,15,10,10,6
  !byte 6,6,6,6,6,8,10,10,8,8,11,9,9,9,9,9,9,9,8,8,11,9,6,4,6,11,11,12,15,12,11,14,8,10,15,7,7,15,8,6
  !byte 6,6,6,6,6,6,9,9,11,11,9,8,8,9,9,9,9,9,11,11,9,6,6,4,6,14,14,12,12,14,11,14,8,10,15,7,7,15,10,6

