line_framework_irq           = $00
line_before_screen           = $1a
line_color_switch_lightblue  = $4e
line_color_switch_magenta    = $8a
line_color_switch_blue       = $c2
line_after_screen            = $f5

default_wait_time            = $7f

irq_before_screen:
  sta savea
  stx savex
  sty savey

  jsr move_logo

  lda d016_value
  sta $d016

  lda #line_color_switch_lightblue
  sta $d012

  ;lda #$1b
  ;sta $d011

  lda #<irq_color_switch_lightblue
  sta $fffe
  lda #>irq_color_switch_lightblue
  sta $ffff

  asl $d019
  lda savea
  ldx savex
  ldy savey
  rti
;--------------------------------------------------------------
irq_color_switch_lightblue:
  sta savea
  stx savex
  sty savey

  lda #%00001000
  sta $d016

!for ROW, 0, 14 {
    nop
}

  lda color_lightblue
  sta $d020

  lda #line_color_switch_magenta
  sta $d012

  ;lda #$1b
  ;sta $d011

  lda #<irq_color_switch_magenta
  sta $fffe
  lda #>irq_color_switch_magenta
  sta $ffff

  asl $d019
  lda savea
  ldx savex
  ldy savey
  rti
;--------------------------------------------------------------
irq_color_switch_magenta:
  sta savea
  stx savex
  sty savey

!for ROW, 0, 17 {
    nop
}

  lda color_magenta
  sta $d020

  lda #line_color_switch_blue
  sta $d012

  ;lda #$1b
  ;sta $d011

  lda #<irq_color_switch_blue
  sta $fffe
  lda #>irq_color_switch_blue
  sta $ffff

  asl $d019
  lda savea
  ldx savex
  ldy savey
  rti
;--------------------------------------------------------------
irq_color_switch_blue:
  sta savea
  stx savex
  sty savey

!for ROW, 0, 17 {
    nop
}

  lda color_blue
  sta $d020

  lda #line_after_screen
  sta $d012

  ;lda #$1b
  ;sta $d011

  lda #<irq_after_screen
  sta $fffe
  lda #>irq_after_screen
  sta $ffff

  asl $d019
  lda savea
  ldx savex
  ldy savey
  rti
;--------------------------------------------------------------
irq_after_screen:
  sta savea
  stx savex
  sty savey

  lda #$00
  sta $d012

  lda #$1b
  sta $d011

  lda #$00
  sta $fffe
  lda #$0f
  sta $ffff

  lda phase
;-------------------------------------------------------- Logo

  cmp #$00
  bne +
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  lda fade_start_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$01
  bne +
  lda #$01
  sta workerflag
  jmp exit_phase_find
+
  cmp #$02
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  inc phase           ; todo: implement wait
+
  jmp exit_phase_find
++
  cmp #$03
  bne +
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  lda fade_start_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find

;-------------------------------------------------------- Achim
+
  cmp #$04
  bne +
  lda #$01
  sta logo_move_flag
  inc phase
  jsr fade_achim_copy_name
  lda #$0e
  sta color_lightblue
  lda #$04
  sta color_magenta
  lda #$06
  sta color_blue
  jmp exit_phase_find
+
  cmp #$05
  bne +
  jsr fade_achim_fade
  lda fade_achim_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$06
  bne +
  lda #$02
  sta workerflag
  jmp exit_phase_find
+
  cmp #$07
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_achim_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_achim_animate
  jmp exit_phase_find
++
  cmp #$08
  bne +
  jsr fade_achim_fade
  jsr fade_achim_fade
  lda fade_achim_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
;-------------------------------------------------------- Csixx
+
  cmp #$09
  bne +
  lda #$01
  sta logo_move_flag
  inc phase
  jsr fade_csixx_copy_name
  jmp exit_phase_find
+
  cmp #$0a
  bne +
  jsr fade_csixx_fade
  lda fade_csixx_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$0b
  bne +
  lda #$03
  sta workerflag
  jmp exit_phase_find
+
  cmp #$0c
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_csixx_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_csixx_animate
  jmp exit_phase_find
++
  cmp #$0d
  bne +
  jsr fade_csixx_fade
  jsr fade_csixx_fade
  lda fade_csixx_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
;-------------------------------------------------------- Ryk
+
  cmp #$0e
  bne +
  lda #$01
  sta logo_move_flag
  jsr fade_ryk_copy_name
  inc phase
  jmp exit_phase_find
+
  cmp #$0f
  bne +
  jsr fade_ryk_fade
  lda fade_ryk_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$10
  bne +
  lda #$04
  sta workerflag
  jmp exit_phase_find
+
  cmp #$11
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_ryk_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_ryk_animate
  jmp exit_phase_find
++
  cmp #$12
  bne +
  jsr fade_ryk_fade
  jsr fade_ryk_fade
  lda fade_ryk_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
;-------------------------------------------------------- Spider
+
  cmp #$13
  bne +
  lda #$01
  sta logo_move_flag
  jsr fade_spider_copy_name
  inc phase
  jmp exit_phase_find
+
  cmp #$14
  bne +
  jsr fade_spider_fade
  jsr fade_spider_fade
  lda fade_spider_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$15
  bne +
  lda #$05
  sta workerflag
  jmp exit_phase_find
+
  cmp #$16
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_spider_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_spider_animate
  jmp exit_phase_find
++
  cmp #$17
  bne +
  jsr fade_spider_fade
  jsr fade_spider_fade
  jsr fade_spider_fade
  lda fade_spider_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
;-------------------------------------------------------- tbird
+
  cmp #$18
  bne +
  lda #$01
  sta logo_move_flag
  jsr fade_tbird_copy_name
  inc phase
  jmp exit_phase_find
+
  cmp #$19
  bne +
  jsr fade_tbird_fade
  jsr fade_tbird_fade
  lda fade_tbird_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$1a
  bne +
  lda #$06
  sta workerflag
  jmp exit_phase_find
+
  cmp #$1b
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_tbird_clear_name
  inc phase           ; todo: implement wait
+
  jmp exit_phase_find
++
  cmp #$1c
  bne +
  jsr fade_tbird_fade
  jsr fade_tbird_fade
  jsr fade_tbird_fade
  lda fade_tbird_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
;-------------------------------------------------------- henning
+
  cmp #$1d
  bne +
  lda #$01
  sta logo_move_flag
  jsr fade_henning_copy_name
  inc phase
  jmp exit_phase_find
+
  cmp #$1e
  bne +
  jsr fade_henning_fade
  jsr fade_henning_fade
  lda fade_henning_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$1f
  bne +
  lda #$07
  sta workerflag
  jmp exit_phase_find
+
  cmp #$20
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_henning_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_henning_animate
  jmp exit_phase_find
++
  cmp #$21
  bne +
  jsr fade_henning_fade
  jsr fade_henning_fade
  jsr fade_henning_fade
  lda fade_henning_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
;-------------------------------------------------------- user
+
  cmp #$22
  bne +
  lda #$01
  sta logo_move_flag
  jsr fade_user_copy_name
  inc phase
  jmp exit_phase_find
+
  cmp #$23
  bne +
  jsr fade_user_fade
  jsr fade_user_fade
  lda fade_user_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
  cmp #$24
  bne +
  lda #$08
  sta workerflag
  jmp exit_phase_find
+
  cmp #$25
  bne ++
  dec wait
  bne +
  lda #default_wait_time
  sta wait
  jsr fade_user_clear_name
  inc phase           ; todo: implement wait
+
  jsr fade_user_animate
  jmp exit_phase_find
++
  cmp #$26
  bne +
  jsr fade_user_fade
  jsr fade_user_fade
  lda fade_user_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
;---------------------------------------- End
  cmp #$27
  bne +
  lda #$01
  sta logo_move_flag
  lda #$09
  sta workerflag
  jmp exit_phase_find
+
  cmp #$28
  bne +
  jsr fade_start_fade
  jsr fade_start_fade
  jsr fade_start_fade
  lda fade_start_isready
  clc
  adc phase
  sta phase
  jmp exit_phase_find
+
exit_phase_find:
  asl $d019
  lda savea
  ldx savex
  ldy savey
  rti

wait:
  !byte $7f
phase:
  !byte $00

color_lightblue:
  !byte $00
color_magenta:
  !byte $00
color_blue:
  !byte $00
