;!to "bin\user_part.prg",cbm
!cpu 6510

!if RELEASE = 1 {
  !src "../framework/frameworksymbols.inc"
}
; ______________________________________________________________________
; ____________ ZEROPAGE ADRESSES

savea                 = $02
savex                 = $03
savey                 = $04
; ______________________________
;         $05 - $DF free to use!
; ______________________________
; $E0 - (max.) $F$  KRILL LOADER
; ______________________________
color                 = $f5

irq_ready             = $f6
d012_value            = $f7
d011_value            = $f8
irq_lo                = $f9
irq_hi                = $fa

global_ct             = $fb             ; $fb, $fc, $fd
; ______________________________________________________________________
; ______________________________________________ INCLUDES
!if RELEASE != 1 {
*= $0801
  !bin "../framework/framework-noloader.c64",,2
}

*= $2ffe
  !byte <members_code_start
  !byte >members_code_start

screen:
*= $3000
  !fill 1000,32
*= $3400
members_code_start:
  lda #%00000011
  sta $dd00

  lda #$c4
  sta $d018

  lda #%00001000
  sta $d016

  lda #$00
  sta color
  jsr fill_screencolor_with_a

  lda #$00
  sta irq_ready
-
  lda irq_ready
  beq -

  lda #%00011011
  sta d011_value

  lda #line_before_screen
  sta d012_value

  lda #<irq_before_screen
  sta irq_lo
  lda #>irq_before_screen
  sta irq_hi

loop:

  lda workerflag
  cmp #$00
  beq helper_exit_workerphase
  cmp #$01
  bne +
  jsr fade_start_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
helper_exit_workerphase:
  jmp exit_workerphase
+
  cmp #$02
  bne +
  jsr fade_achim_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$03
  bne +
  jsr fade_csixx_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$04
  bne +
  jsr fade_ryk_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$05
  bne +
  jsr fade_spider_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$06
  bne +
  jsr fade_tbird_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$07
  bne +
  jsr fade_henning_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$08
  bne +
  jsr fade_user_copy_empty_screen
  lda #$00
  sta workerflag
  inc phase
  jmp exit_workerphase
+
  cmp #$09
  bne +
  jsr fade_start_reset_animation
  lda #$00
  jsr fade_start_fill_screencolor_with_a
  lda #$00
  sta color_lightblue
  sta color_magenta
  sta color_blue
  sta workerflag
  inc phase
  jmp exit_workerphase
+
exit_workerphase:
  lda phase
  cmp #$29
  beq +
  jmp loop
+
  lda #$00
  sta irq_ready
-
  lda irq_ready
  beq -

  lda #$00
  sta color

  lda #$00
  sta d011_value
  sta d012_value
  sta $d012

  lda #$00
  sta irq_lo
  sta $fffe
  lda #$0f
  sta irq_hi
  sta $ffff
!if RELEASE = 1 {
  jmp back2framework
} else {
  jmp *
}
workerflag:
  !byte $00

!source "screen.asm"
!source "logo_mover.asm"
!source "irqs.asm"
!source "screendata.asm"
!source "fade_achim.asm"
!source "fade_csixx.asm"
!source "fade_ryk.asm"
!source "fade_spider.asm"
!source "fade_tbird.asm"
!source "fade_henning.asm"
!source "fade_user.asm"
!source "fade_start.asm"
demo_end:

;!message "The demopart goes up to ", demo_end
