!cpu 6510

!if RELEASE = 1 {
  !src "../framework/frameworksymbols.inc"
} else {
  *= $0801
  !bin "../framework/framework-noloader.c64",,2
}

*= $2ffe
  !byte $00
  !byte $30


;/*--------------------------------------------------
;	tech-tech + charset-plasma
;--------------------------------------------------*/
* = $3000 ; "plasma-tech-tech for bcc10"

sync			= $10				;sync mit irq
rowcounter		= $11				;zaehlt, wie viele char-zeilen im irq abgehandelt werden muessen
techpointer	= $12
framecounter	= $13
techtables		= $14
soundtmp		= $15
screenswitch	= $16				;fuer d011


tmp0			= $30
tmp1			= tmp0+1
tmp2			= tmp0+2
tmp3			= tmp0+3
tmp4			= tmp0+4
tmp5			= tmp0+5
tmp6			= tmp0+6

colorfade0		= $40
colorfade1		= colorfade0+1
colorfade2		= colorfade0+2
colorfade3		= colorfade0+3
colorfade4		= colorfade0+4
colorfade5		= colorfade0+5
colorfade6		= colorfade0+6

sinpointer1tmp		= $a0
sinpointer2tmp		= $a1
speedxtmp			= $a2
speedytmp			= $a3
startvalue			= $a4
sinpointer1  		= $a5
sinpointer2		= $a6
sinusdelta1pointer	= $a7
sinusdelta2pointer	= $a8
plasmacurve0		= $b0
plasmacurve1		= plasmacurve0+1

curptn			= $1035			;'current pattern' im player
screenpos   		= $c000
colorpos 		= $d800
screen			= $7000
screen2			= $c000
;color			= $d800
charset			= $c800

				lda #$0b				;screen aus, bis alles vorbereitet ist
				sta screenswitch
				sta $f8
				lda #$32+7*8			;auf irq1, nach framework-irq
				sta $f7
				lda #<irq0
				sta $f9
				lda #>irq0
				sta $fa
				jsr wait				;warten, bis eigene irqs aktiv sind

				ldx #$00
-				lda #$1f				;werte fuer tech-tech erstellen
				sta screen+$280,x
				lda #$11
				sta scrollxtable+2*$100,x
				lda #$17
				sta scrollxtable+3*$100,x
				lda #$c0
				sta charsettable+2*$100,x
				lda #$ca
				sta charsettable+3*$100,x
				lda #$ce
				sta charsettable+4*$100,x
				inx
				bne -

				lda #0
				ldx #$0f
-	      sta colorfade0,x
				dex
				bpl -

				jsr generator			;mirror speedcode fuer plasma

				lda #$08
				ldx #$00
-				sta $d900,x
				sta $da00,x
				inx
				bne -

				lda #0
				sta techpointer
				sta soundtmp
				sta speedxtmp
				sta speedytmp
				sta tmp0				;pointer fuer farbtabellen fade in
				lda #1
				sta techtables
				sta plasmacurve0
				sta plasmacurve1

				lda #23
				sta framecounter

				jsr wait
				lda #$1b
				sta screenswitch
				sta $f8

;-------------------------------------------------
;          fade in
;-------------------------------------------------
fadeloop:
        ldy #2
-				jsr wait
				dey
				bne -
				ldx tmp0
				ldy #0
-       lda fadein,x
				sta colorfade0,y
				inx
				iny
				cpy #5
				bne -
				inx
				inx
				inx
				stx tmp0
				dec framecounter
				bne fadeloop

				lda #2
				sta framecounter
				lda #80
				sta tmp5
				lda #$c7
				sta tmp1
				lda #$cb
				sta tmp3
				lda #$00
				sta tmp0
				sta tmp2
				jsr plasmafade

-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #80
				sta tmp5
				lda #$c7
				sta tmp1
				lda #$cf
				sta tmp3
				lda #$00
				sta tmp0
				sta tmp2
				jsr plasmafade
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #80
				sta tmp5
				lda #$c7
				sta tmp1
				lda #$ce
				sta tmp3
				lda #$00
				sta tmp0
				sta tmp2
				jsr plasmafade
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #$c7
				sta tmp1
				lda #$cc
				sta tmp3
				lda #$00
				sta tmp0
				sta tmp2
				jsr plasmafade

				lda #0
				sta tmp6
				lda #4
				sta tmp5
				lda #$88				;logo einblenden
				sta charinout+1

fadeloop2:		jsr wait
				jsr plasmaeffect
				dec tmp5
				bne fadeloop2
				lda #4
				sta tmp5
				lda tmp6
				cmp #8
				beq introloop
				jsr logofader
				jmp fadeloop2



introloop:		lda #$40
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

-				jsr wait
				jsr plasmaeffect
				lda curptn
				cmp soundtmp
				beq +
				sta soundtmp
				lda #2
				sta framecounter
				sta tmp6				;zaehlt anzahl der durchlaeufe
;--------------------------------------------------------------
;          main
;--------------------------------------------------------------
mainloop_mydtech:
        jsr wait
				jsr plasmaeffect

				lda curptn				;pattern wechsel? wenn ja, effekte aendern...
				cmp soundtmp
				beq mainloop_mydtech
				sta soundtmp

				ldx techtables
				lda scrolltabs,x
				sta soft1+2
				sta soft2+2
				sta soft3+2
				sta soft4+2
				lda chartabs,x
				sta char1+2
				sta char2+2
				sta char3+2
				sta char4+2
				txa
				asl
				tay
				lda plasmatabs,y
				sta plasmacurve0
				lda plasmatabs+1,y
				sta plasmacurve1
				inx
				stx techtables
				cpx #5
				bne mainloop_mydtech
				beq fadeout


scrolltabs:		!byte	$80, $82, $83, $81, $80
chartabs:		!byte	$88, $8a, $8b, $89, $88
plasmatabs:		!byte	$00, $01, $02, $0a, $c0, $10, $00, $01

;------------------------------------------------
;             fade out
;------------------------------------------------
fadeout:
        lda #6
				sta tmp5
+
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #0
				sta tmp6
				lda #4
				sta tmp5
				lda #$8c				;logo ausblenden
				sta charinout+1

-			  jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -
				lda #4
				sta tmp5
				lda tmp6
				cmp #8
				beq fadeout2
				jsr logofader
				jmp -

fadeout2:		lda #22
				sta tmp6
fadeloop3:		lda #2
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -
				ldx #0
colorsfout:		lda fadeoutcolll,x
				sta colorfade0,x
				inx
				cpx #5
				bne colorsfout
				lda colorsfout+1
				sec
				sbc #8
				sta colorsfout+1
				lda colorsfout+2
				sbc #0
				sta colorsfout+2
				dec tmp6
				bne fadeloop3

				lda #9
				sta plasmacurve0
				lda #2
				sta plasmacurve1
				sta framecounter

				jsr wait
				jsr plasmaeffect
				ldx #0
-				lda $c700,x
				sta $cd00,x
				inx
				bne -
				lda #8
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -
				ldx #0
-				lda $c700,x
				sta $ca00,x
				inx
				bne -
				lda #8
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -
				ldx #0
-				lda $c700,x
				sta $c900,x
				inx
				bne -

				lda #100
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #7
				sta tmp5
				lda #$c9
				sta tmp1
				lda #5
				sta tmp4
delplasmchrs:	lda #$61
				sta tmp0
				ldx #8
				jsr plasmadelete
				inc tmp1
				dec tmp5
				bne delplasmchrs

				lda #100
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #7
				sta tmp5
				lda #$c9
				sta tmp1
				lda #3
				sta tmp4
delplasmchrs2:	lda #$42
				sta tmp0
				ldx #16
				jsr plasmadelete
				inc tmp1
				dec tmp5
				bne delplasmchrs2

				lda #100
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #7
				sta tmp5				;zaehlt pages, die im charset gelöscht werden muessen
-				jsr wait
				jsr plasmaeffect
				jsr clplsma
				inc clearplasma+2
				dec tmp5
				bne -

				lda #120
				sta tmp5
-				jsr wait
				jsr plasmaeffect
				dec tmp5
				bne -

				lda #0
				sta clplsma3+1
				lda #$c9
				sta clearplasma+2
				lda #7
				sta tmp5				;zaehlt pages...
-				jsr wait
				jsr plasmaeffect
				jsr clplsma
				inc clearplasma+2
				dec tmp5
				bne -

exit2framework:	jsr wait

				lda #$00				;irq2 sagen, dass danach nur noch framework irq laufen soll
				sta irqoff1+1
				lda #$0b
				sta $f8
				sta screenswitch
				lda #$00
				sta irqoff2+1
				lda #$0f
				sta irqoff3+1
THE_END:
!if RELEASE = 1 {
        jmp back2framework
} else {
        jmp *
}

;------------------------------------------------
;subs
;------------------------------------------------
clplsma:		ldy #0
clplsma2:		ldx #1
clplsma3:		lda #$18
clearplasma:	sta $c903,x
				dex
				bpl clearplasma
				lda clearplasma+1
				clc
				adc #8
				sta clearplasma+1
				iny
				bne clplsma2
				rts



wait:			lda #0
				sta sync
-				lda sync
				beq -
				rts

plasmadelete:	lda #0
				ldy #0
				sta (tmp0),y
				ldy tmp4
				sta (tmp0),y
				lda tmp0
				clc
				adc #8
				sta tmp0
				dex
				bpl plasmadelete
				rts

plasmafade:		ldy #0
-				lda (tmp0),y
				sta (tmp2),y
				iny
				bne -
				rts

logofader:		asl
				tax
				lda logofadechars,x
				sta tmp0
				lda logofadechars+1,x
				sta tmp1
				ldy #0
charinout:		lda #$88
				sta (tmp0),y
				inc tmp6
				rts

logofadechars:	!word	char4+2, char3+2, char2+2, char1+2, nextrow+2, char1b+2, char2b+2, char3b+2

fadein:			!byte		$00, $00, $00, $00, $00, 0, 0,0
						!byte	$0b, $00, $00, $00, $00, 0, 0,0
						!byte	$04, $00, $00, $00, $00, 0, 0,0
						!byte	$04, $00, $00, $00, $00, 0, 0,0
						!byte	$06, $00, $00, $00, $00, 0, 0,0
						!byte	$06, $00, $00, $00, $00, 0, 0,0
						!byte	$06, $00, $00, $00, $00, 0, 0,0
						!byte	$06, $00, $00, $00, $00, 0, 0,0
						!byte	$06, $00, $00, $00, $00, 0, 0,0

						!byte	$06, $0b, $00, $00, $00, 0, 0,0
						!byte	$06, $06, $00, $00, $00, 0, 0,0
						!byte	$06, $04, $00, $00, $00, 0, 0,0
						!byte	$06, $0c, $00, $00, $00, 0, 0,0
						!byte	$06, $0e, $00, $00, $00, 0, 0,0
						!byte	$06, $0e, $00, $00, $00, 0, 0,0
						!byte	$06, $0e, $00, $00, $00, 0, 0,0
						!byte	$06, $0e, $00, $00, $00, 0, 0,0
						!byte	$06, $0e, $00, $00, $00, 0, 0,0

						!byte	$06, $0e, $0b, $03, $0e, 0, 0,0
						!byte	$06, $0e, $06, $03, $0e, 0, 0,0
						!byte	$06, $0e, $04, $03, $0e, 0, 0,0
fadeoutcolll:		!byte	$06, $0e, $03, $03, $0e, 0, 0,0
							!byte $06, $0e, $0f, $03, $0e, 0, 0,0
;------------------------------------------------
; color plasma mit chars
; gespiegelt mit speedcode
;------------------------------------------------
plasmaeffect:
        dec framecounter
				beq +
				rts
+				lda #2
				sta framecounter

				lda sinpointer1			;pro frame
				sta sinpointer1tmp		;tmp im frame
				lda sinpointer2			;pro frame
				sta sinpointer2tmp		;tmp im frame

				lda setspeedx+1
				clc
				adc #1					;geschwindigkeit x
				sta setspeedx+1
				lda setspeedy
				clc
				adc #2					;geschwindigkeit y
				sta setspeedy+1

setspeedx:     	lda #$00
				sta speedxtmp
setspeedy:		lda #$00
				sta speedytmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue

				jsr onescreenrow
				jsr plasmamirror

				lda sinpointer1			;pointer 1 fuer naechsten frame
				clc
				adc #2
				sta sinpointer1
				lda sinpointer2			;pointer 2 fuer naechsten frame
				sec
				sbc #5
				sta sinpointer2
				rts
;-----------------------------------------
;irqs
;-----------------------------------------

!align 255,0
irq0:			pha
				lda $dc04
				eor #$07
				and #$07
				sta irqtimer2+1
irqtimer2:
        bpl +
+	      lda #$a9
				lda #$a9
				lda $eaea
				nop
				jsr delay
				jsr delay
				lda colorfade0
				sta $d021
				sta $d021
				lda #16
				sec
-				sbc #1
				bne -

				lda colorfade1
				sta $d021
				jsr delay
				lda #16
				sec
-				sbc #1
				bne -
				jsr delay
				lda colorfade2
				sta $d021

				lda colorfade3
				sta $d022
				lda colorfade4
				sta $d023
				lda #$02
				sta $dd00
				lda #$ce
				sta $d018

				lda #<irq1
				sta $fffe
				lda #>irq1
				sta $ffff
				lda #$32+8*8
				sta $d012
				asl $d019
				pla
				rti

irq1:			pha
				lda $dc04
				eor #$07
				and #$07
				sta irqtimer+1
irqtimer:
        bpl +
+	      lda #$a9
				lda #$a9
				lda $eaea
				nop
				txa
				pha
				tya
				pha
				lda #7
				sta rowcounter
				ldy techpointer
nextrow:
        lda charsettable+4*$100,y
				sta $d018
				lda scrollxtable,y
				sta $d016
				jsr delay
				bit $ea
				cmp #$c9
				iny

char1:			lda charsettable+4*$100,y
				sta $d018
soft1:			lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				iny

char1b:			lda charsettable+4*$100,y
				sta $d018
				lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				bit $2c2c
				iny

char2:			lda charsettable+4*$100,y
				sta $d018
soft2:			lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				jsr delay
				nop
				iny

char2b:			lda charsettable+4*$100,y
				sta $d018
				lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				bit $2c2c
				iny

char3:			lda charsettable+4*$100,y
				sta $d018
soft3:			lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				jsr delay
				iny

char3b:			lda charsettable+4*$100,y
				sta $d018
				lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				jsr delay
				iny

char4:			lda charsettable+4*$100,y
				sta $d018
soft4:			lda scrollxtable,y
				sta $d016
				jsr delay
				jsr delay
				jsr delay
				bit $2c2c
				iny

				dec rowcounter
				beq +
				jmp nextrow

+				inc techpointer
				jsr delay
				lda #<irq2
				sta $fffe
				lda #>irq2
				sta $ffff
				lda #$32+17*8-4
				sta $d012
				asl $d019
				inc sync
				pla
				tay
				pla
				tax
				pla
nmi_mydtech:			rti
delay:			rts


irq2:			pha
				lda $dc04
				eor #$07
				and #$07
				sta irqtimer3+1
irqtimer3:
        bpl +
+	      lda #$a9
				lda #$a9
				lda $eaea
				nop
				jsr delay
				jsr delay

				lda colorfade1
				sta $d021
				lda #16
				sec
-				sbc #1
				bne -
				jsr delay
				jsr delay
				lda colorfade0
				sta $d021
				jsr delay
				lda #20
				sec
-				sbc #1
				bne -
				jsr delay
				lda #0
				sta $d021
				lda #$02				;scr=c000, chr=c800
				sta $d018
				lda #$20
				sta $d016
				lda #$00
				sta $dd00

irqoff1:		lda #$32+7*8			;auf irq1, nach framework-irq
				sta $f7
irqoff2:		lda #<irq0
				sta $f9
irqoff3:		lda #>irq0
				sta $fa

				lda #$00				;irq des frameworks
				sta $fffe
				lda #$0f
				sta $ffff
				lda #$00
				sta $d012
				lda screenswitch
				sta $d011
				asl $d019
				pla
				rti


* = $4000		; "alle charsets"
  !bin "CHARSET.BIN"
* = $7000+8*40		; "logo auf screen"
  !bin "LOGO.BIN"
* = $8000		; "d016 werte"
scrollxtable:
  !bin "SCROLLXTAB.BIN"
* = $8800		; "d018 werte"
charsettable:
  !bin "CHARTAB.BIN"

* = $9000 ; "speedcode plasma"
onescreenrow:	ldy sinusdelta2pointer
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+0
				tax
				lda colors,x
				sta colorpos+0
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+1
				tax
				lda colors,x
				sta colorpos+1
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny


				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+2
				tax
				lda colors,x
				sta colorpos+2
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+3
				tax
				lda colors,x
				sta colorpos+3
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+4
				tax
				lda colors,x
				sta colorpos+4
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+5
				tax
				lda colors,x
				sta colorpos+5
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+6
				tax
				lda colors,x
				sta colorpos+6
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+7
				tax
				lda colors,x
				sta colorpos+7
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+8
				tax
				lda colors,x
				sta colorpos+8
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+9
				tax
				lda colors,x
				sta colorpos+9
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+10
				tax
				lda colors,x
				sta colorpos+10
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+11
				tax
				lda colors,x
				sta colorpos+11
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+12
				tax
				lda colors,x
				sta colorpos+12
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+13
				tax
				lda colors,x
				sta colorpos+13
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+14
				tax
				lda colors,x
				sta colorpos+14
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+15
				tax
				lda colors,x
				sta colorpos+15
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+16
				tax
				lda colors,x
				sta colorpos+16
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+17
				tax
				lda colors,x
				sta colorpos+17
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+18
				tax
				lda colors,x
				sta colorpos+18
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+19
				tax
				lda colors,x
				sta colorpos+19
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+20
				tax
				lda colors,x
				sta colorpos+20
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+21
				tax
				lda colors,x
				sta colorpos+21
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+22
				tax
				lda colors,x
				sta colorpos+22
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+23
				tax
				lda colors,x
				sta colorpos+23
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+24
				tax
				lda colors,x
				sta colorpos+24
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+25
				tax
				lda colors,x
				sta colorpos+25
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+26
				tax
				lda colors,x
				sta colorpos+26
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+27
				tax
				lda colors,x
				sta colorpos+27
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+28
				tax
				lda colors,x
				sta colorpos+28
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+29
				tax
				lda colors,x
				sta colorpos+29
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+30
				tax
				lda colors,x
				sta colorpos+30
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+31
				tax
				lda colors,x
				sta colorpos+31
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+32
				tax
				lda colors,x
				sta colorpos+32
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+33
				tax
				lda colors,x
				sta colorpos+33
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

			lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+34
				tax
				lda colors,x
				sta colorpos+34
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+35
				tax
				lda colors,x
				sta colorpos+35
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+36
				tax
				lda colors,x
				sta colorpos+36
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+37
				tax
				lda colors,x
				sta colorpos+37
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+38
				tax
				lda colors,x
				sta colorpos+38
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+39
				tax
				lda colors,x
				sta colorpos+39
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
;------------------------------
;naechste zeile anpassen
;-------------------------------
				lda speedxtmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve0
				sta speedxtmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				inc sinpointer1tmp			;weiter in sinus kurve

				inc sinpointer2tmp			;weiter in sinus kurve
				inc sinpointer2tmp
				inc sinpointer2tmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue
;------------------------------
;2.zeile
;------------------------------
				ldy sinusdelta2pointer

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+40
				tax
				lda colors,x
				sta colorpos+40
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+41
				tax
				lda colors,x
				sta colorpos+41
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+42
				tax
				lda colors,x
				sta colorpos+42
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+43
				tax
				lda colors,x
				sta colorpos+43
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+44
				tax
				lda colors,x
				sta colorpos+44
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+45
				tax
				lda colors,x
				sta colorpos+45
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+46
				tax
				lda colors,x
				sta colorpos+46
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+47
				tax
				lda colors,x
				sta colorpos+47
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+48
				tax
				lda colors,x
				sta colorpos+48
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+49
				tax
				lda colors,x
				sta colorpos+49
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+50
				tax
				lda colors,x
				sta colorpos+50
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+51
				tax
				lda colors,x
				sta colorpos+51
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+52
				tax
				lda colors,x
				sta colorpos+52
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+53
				tax
				lda colors,x
				sta colorpos+53
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+54
				tax
				lda colors,x
				sta colorpos+54
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+55
				tax
				lda colors,x
				sta colorpos+55
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+56
				tax
				lda colors,x
				sta colorpos+56
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+57
				tax
				lda colors,x
				sta colorpos+57
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+58
				tax
				lda colors,x
				sta colorpos+58
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+59
				tax
				lda colors,x
				sta colorpos+59
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+60
				tax
				lda colors,x
				sta colorpos+60
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+61
				tax
				lda colors,x
				sta colorpos+61
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+62
				tax
				lda colors,x
				sta colorpos+62
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+63
				tax
				lda colors,x
				sta colorpos+63
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+64
				tax
				lda colors,x
				sta colorpos+64
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+65
				tax
				lda colors,x
				sta colorpos+65
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+66
				tax
				lda colors,x
				sta colorpos+66
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+67
				tax
				lda colors,x
				sta colorpos+67
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+68
				tax
				lda colors,x
				sta colorpos+68
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+69
				tax
				lda colors,x
				sta colorpos+69
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+70
				tax
				lda colors,x
				sta colorpos+70
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+71
				tax
				lda colors,x
				sta colorpos+71
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+72
				tax
				lda colors,x
				sta colorpos+72
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+73
				tax
				lda colors,x
				sta colorpos+73
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+74
				tax
				lda colors,x
				sta colorpos+74
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+75
				tax
				lda colors,x
				sta colorpos+75
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+76
				tax
				lda colors,x
				sta colorpos+76
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+77
				tax
				lda colors,x
				sta colorpos+77
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+78
				tax
				lda colors,x
				sta colorpos+78
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+79
				tax
				lda colors,x
				sta colorpos+79
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

;------------------------------
;naechste zeile anpassen
;------------------------------
				lda speedxtmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve0
				sta speedxtmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				inc sinpointer1tmp			;weiter in sinus kurve

				inc sinpointer2tmp			;weiter in sinus kurve
				inc sinpointer2tmp
				inc sinpointer2tmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue
;------------------------------
;3. zeile schreiben
;------------------------------
				ldy sinusdelta2pointer

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+80
				tax
				lda colors,x
				sta colorpos+80
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+81
				tax
				lda colors,x
				sta colorpos+81
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+82
				tax
				lda colors,x
				sta colorpos+82
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+83
				tax
				lda colors,x
				sta colorpos+83
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+84
				tax
				lda colors,x
				sta colorpos+84
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+85
				tax
				lda colors,x
				sta colorpos+85
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+86
				tax
				lda colors,x
				sta colorpos+86
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+87
				tax
				lda colors,x
				sta colorpos+87
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+88
				tax
				lda colors,x
				sta colorpos+88
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+89
				tax
				lda colors,x
				sta colorpos+89
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+90
				tax
				lda colors,x
				sta colorpos+90
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+91
				tax
				lda colors,x
				sta colorpos+91
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+92
				tax
				lda colors,x
				sta colorpos+92
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+93
				tax
				lda colors,x
				sta colorpos+93
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+94
				tax
				lda colors,x
				sta colorpos+94
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+95
				tax
				lda colors,x
				sta colorpos+95
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+96
				tax
				lda colors,x
				sta colorpos+96
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+97
				tax
				lda colors,x
				sta colorpos+97
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+98
				tax
				lda colors,x
				sta colorpos+98
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+99
				tax
				lda colors,x
				sta colorpos+99
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+100
				tax
				lda colors,x
				sta colorpos+100
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+101
				tax
				lda colors,x
				sta colorpos+101
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+102
				tax
				lda colors,x
				sta colorpos+102
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+103
				tax
				lda colors,x
				sta colorpos+103
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+104
				tax
				lda colors,x
				sta colorpos+104
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+105
				tax
				lda colors,x
				sta colorpos+105
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+106
				tax
				lda colors,x
				sta colorpos+106
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+107
				tax
				lda colors,x
				sta colorpos+107
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+108
				tax
				lda colors,x
				sta colorpos+108
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+109
				tax
				lda colors,x
				sta colorpos+109
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+110
				tax
				lda colors,x
				sta colorpos+110
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+111
				tax
				lda colors,x
				sta colorpos+111
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+112
				tax
				lda colors,x
				sta colorpos+112
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+113
				tax
				lda colors,x
				sta colorpos+113
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+114
				tax
				lda colors,x
				sta colorpos+114
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+115
				tax
				lda colors,x
				sta colorpos+115
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+116
				tax
				lda colors,x
				sta colorpos+116
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+117
				tax
				lda colors,x
				sta colorpos+117
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+118
				tax
				lda colors,x
				sta colorpos+118
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+119
				tax
				lda colors,x
				sta colorpos+119
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

;------------------------------
;naechste zeile anpassen
;-------------------------------
				lda speedxtmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve0
				sta speedxtmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				inc sinpointer1tmp			;weiter in sinus kurve

				inc sinpointer2tmp			;weiter in sinus kurve
				inc sinpointer2tmp
				inc sinpointer2tmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue
;-----------------------------
;4.zeile
;-----------------------------
				ldy sinusdelta2pointer

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+120
				tax
				lda colors,x
				sta colorpos+120
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny

				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+121
				tax
				lda colors,x
				sta colorpos+121
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+122
				tax
				lda colors,x
				sta colorpos+122
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+123
				tax
				lda colors,x
				sta colorpos+123
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+124
				tax
				lda colors,x
				sta colorpos+124
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+125
				tax
				lda colors,x
				sta colorpos+125
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+126
				tax
				lda colors,x
				sta colorpos+126
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+127
				tax
				lda colors,x
				sta colorpos+127
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+128
				tax
				lda colors,x
				sta colorpos+128
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+129
				tax
				lda colors,x
				sta colorpos+129
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+130
				tax
				lda colors,x
				sta colorpos+130
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+131
				tax
				lda colors,x
				sta colorpos+131
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+132
				tax
				lda colors,x
				sta colorpos+132
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+133
				tax
				lda colors,x
				sta colorpos+133
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+134
				tax
				lda colors,x
				sta colorpos+134
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+135
				tax
				lda colors,x
				sta colorpos+135
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+136
				tax
				lda colors,x
				sta colorpos+136
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+137
				tax
				lda colors,x
				sta colorpos+137
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+138
				tax
				lda colors,x
				sta colorpos+138
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+139
				tax
				lda colors,x
				sta colorpos+139
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+140
				tax
				lda colors,x
				sta colorpos+140
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+141
				tax
				lda colors,x
				sta colorpos+141
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+142
				tax
				lda colors,x
				sta colorpos+142
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+143
				tax
				lda colors,x
				sta colorpos+143
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+144
				tax
				lda colors,x
				sta colorpos+144
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+145
				tax
				lda colors,x
				sta colorpos+145
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+146
				tax
				lda colors,x
				sta colorpos+146
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+147
				tax
				lda colors,x
				sta colorpos+147
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+148
				tax
				lda colors,x
				sta colorpos+148
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+149
				tax
				lda colors,x
				sta colorpos+149
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+150
				tax
				lda colors,x
				sta colorpos+150
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+151
				tax
				lda colors,x
				sta colorpos+151
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+152
				tax
				lda colors,x
				sta colorpos+152
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+153
				tax
				lda colors,x
				sta colorpos+153
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+154
				tax
				lda colors,x
				sta colorpos+154
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+155
				tax
				lda colors,x
				sta colorpos+155
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+156
				tax
				lda colors,x
				sta colorpos+156
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+157
				tax
				lda colors,x
				sta colorpos+157
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+158
				tax
				lda colors,x
				sta colorpos+158
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+159
				tax
				lda colors,x
				sta colorpos+159
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
;------------------------------
;naechste zeile anpassen
;-------------------------------
				lda speedxtmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve0
				sta speedxtmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				inc sinpointer1tmp			;weiter in sinus kurve

				inc sinpointer2tmp			;weiter in sinus kurve
				inc sinpointer2tmp
				inc sinpointer2tmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue
;------------------------------
;5.zeile
;------------------------------
				ldy sinusdelta2pointer


				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+160
				tax
				lda colors,x
				sta colorpos+160
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+161
				tax
				lda colors,x
				sta colorpos+161
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+162
				tax
				lda colors,x
				sta colorpos+162
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+163
				tax
				lda colors,x
				sta colorpos+163
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+164
				tax
				lda colors,x
				sta colorpos+164
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+165
				tax
				lda colors,x
				sta colorpos+165
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+166
				tax
				lda colors,x
				sta colorpos+166
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+167
				tax
				lda colors,x
				sta colorpos+167
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+168
				tax
				lda colors,x
				sta colorpos+168
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+169
				tax
				lda colors,x
				sta colorpos+169
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+170
				tax
				lda colors,x
				sta colorpos+170
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+171
				tax
				lda colors,x
				sta colorpos+171
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+172
				tax
				lda colors,x
				sta colorpos+172
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+173
				tax
				lda colors,x
				sta colorpos+173
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+174
				tax
				lda colors,x
				sta colorpos+174
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+175
				tax
				lda colors,x
				sta colorpos+175
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+176
				tax
				lda colors,x
				sta colorpos+176
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+177
				tax
				lda colors,x
				sta colorpos+177
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+178
				tax
				lda colors,x
				sta colorpos+178
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+179
				tax
				lda colors,x
				sta colorpos+179
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+180
				tax
				lda colors,x
				sta colorpos+180
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+181
				tax
				lda colors,x
				sta colorpos+181
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+182
				tax
				lda colors,x
				sta colorpos+182
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+183
				tax
				lda colors,x
				sta colorpos+183
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+184
				tax
				lda colors,x
				sta colorpos+184
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+185
				tax
				lda colors,x
				sta colorpos+185
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+186
				tax
				lda colors,x
				sta colorpos+186
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+187
				tax
				lda colors,x
				sta colorpos+187
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+188
				tax
				lda colors,x
				sta colorpos+188
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+189
				tax
				lda colors,x
				sta colorpos+189
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+190
				tax
				lda colors,x
				sta colorpos+190
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+191
				tax
				lda colors,x
				sta colorpos+191
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+192
				tax
				lda colors,x
				sta colorpos+192
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+193
				tax
				lda colors,x
				sta colorpos+193
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+194
				tax
				lda colors,x
				sta colorpos+194
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+195
				tax
				lda colors,x
				sta colorpos+195
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+196
				tax
				lda colors,x
				sta colorpos+196
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+197
				tax
				lda colors,x
				sta colorpos+197
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+198
				tax
				lda colors,x
				sta colorpos+198
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+199
				tax
				lda colors,x
				sta colorpos+199
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
;------------------------------
;naechste zeile anpassen
;-------------------------------
				lda speedxtmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve0
				sta speedxtmp

				lda speedytmp				;diagonale verzerrung, wanderung
				clc
				adc plasmacurve1
				sta speedytmp

				inc sinpointer1tmp			;weiter in sinus kurve

				inc sinpointer2tmp			;weiter in sinus kurve
				inc sinpointer2tmp
				inc sinpointer2tmp

				lda sinpointer1tmp			;start fuer eine zeile
				sta sinusdelta1pointer
				lda sinpointer2tmp
				sta sinusdelta2pointer

				ldy speedytmp
				ldx speedxtmp
				lda sinus,x
				adc sinus,y
				sta startvalue
;------------------------------
;6.zeile
;------------------------------
				ldy sinusdelta2pointer
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+200
				tax
				lda colors,x
				sta colorpos+200
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+201
				tax
				lda colors,x
				sta colorpos+201
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+202
				tax
				lda colors,x
				sta colorpos+202
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+203
				tax
				lda colors,x
				sta colorpos+203
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+204
				tax
				lda colors,x
				sta colorpos+204
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+205
				tax
				lda colors,x
				sta colorpos+205
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+206
				tax
				lda colors,x
				sta colorpos+206
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+207
				tax
				lda colors,x
				sta colorpos+207
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+208
				tax
				lda colors,x
				sta colorpos+208
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+209
				tax
				lda colors,x
				sta colorpos+209
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+210
				tax
				lda colors,x
				sta colorpos+210
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+211
				tax
				lda colors,x
				sta colorpos+211
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+212
				tax
				lda colors,x
				sta colorpos+212
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+213
				tax
				lda colors,x
				sta colorpos+213
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+214
				tax
				lda colors,x
				sta colorpos+214
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+215
				tax
				lda colors,x
				sta colorpos+215
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+216
				tax
				lda colors,x
				sta colorpos+216
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+217
				tax
				lda colors,x
				sta colorpos+217
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+218
				tax
				lda colors,x
				sta colorpos+218
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+219
				tax
				lda colors,x
				sta colorpos+219
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+220
				tax
				lda colors,x
				sta colorpos+220
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+221
				tax
				lda colors,x
				sta colorpos+221
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+222
				tax
				lda colors,x
				sta colorpos+222
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+223
				tax
				lda colors,x
				sta colorpos+223
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+224
				tax
				lda colors,x
				sta colorpos+224
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+225
				tax
				lda colors,x
				sta colorpos+225
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+226
				tax
				lda colors,x
				sta colorpos+226
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+227
				tax
				lda colors,x
				sta colorpos+227
				inc sinusdelta1pointer
				iny								;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+228
				tax
				lda colors,x
				sta colorpos+228
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+229
				tax
				lda colors,x
				sta colorpos+229
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+230
				tax
				lda colors,x
				sta colorpos+230
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+231
				tax
				lda colors,x
				sta colorpos+231
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+232
				tax
				lda colors,x
				sta colorpos+232
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+233
				tax
				lda colors,x
				sta colorpos+233
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+234
				tax
				lda colors,x
				sta colorpos+234
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+235
				tax
				lda colors,x
				sta colorpos+235
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+236
				tax
				lda colors,x
				sta colorpos+236
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+237
				tax
				lda colors,x
				sta colorpos+237
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+238
				tax
				lda colors,x
				sta colorpos+238
				inc sinusdelta1pointer
				iny							;sinusdelta2pointer +2
				iny
				lda startvalue
				ldx sinusdelta1pointer
				adc sinus,x
				adc sinus,y
				sta screenpos+239
				tax
				lda colors,x
				sta colorpos+239
				rts
!align 255,0
sinus:
!byte	0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,2, 2,2,3,3,3,4,4,5,5,5,6,6,7,7,8,8, 9,10,10,11,11,12,13,13,14,14,15,16,17,17,18,19, 19,20,21,22,22,23,24,25,25,26,27,28,29,29,30,31, 32,32,33,34,35,36,36,37,38,39,39,40,41,42,43,43, 44,45,45,46,47,47,48,49,50,50,51,51,52,53,53,54, 54,55,55,56,56,57,57,58,58,59,59,60,60,60,61,61, 61,61,62,62,62,62,63,63,63,63,63,63,63,63,63,63, 63,63,63,63,63,63,63,63,63,63,62,62,62,62,61,61, 61,61,60,60,60,59,59,58,58,57,57,56,56,55,55,54, 54,53,53,52,51,51,50,50,49,48,48,47,46,45,45,44, 43,43,42,41,40,39,39,38,37,36,36,35,34,33,32,32, 31,30,29,29,28,27,26,25,25,24,23,22,22,21,20,19, 19,18,17,17,16,15,14,14,13,13,12,11,11,10,10,9, 8,8,7,7,6,6,5,5,5,4,4,3,3,3,2,2, 2,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0


!align 255,0

colors:	!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06
				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06
				!byte	$06, $06, $0b, $0b, $04, $04, $0e, $0e, $0e, $0e, $03, $03, $0d, $0d, $0f, $0f
				!byte	$0f, $0f, $0d, $0d, $03, $03, $0e, $0e, $0e, $0e, $04, $04, $0b, $0b, $06, $06

;--------------------------------------------------
;--------------speedcode generator-----------------
;--------------------------------------------------
* = $b000 ; "mirrror"

generator:		lda #<mirrdat0
				sta tmp0
				lda #>mirrdat0
				sta tmp1


				lda #6
				sta tmp2					;=6 zeilen
mirrnxtrw:		jsr mirror1row

				lda mirrdat1+1
				sec
				sbc #80
				sta mirrdat1+1
				lda mirrdat1+2
				sbc #0
				sta mirrdat1+2

				lda mirrdat3+1
				sec
				sbc #80
				sta mirrdat3+1
				lda mirrdat3+2
				sbc #0
				sta mirrdat3+2


-				dec tmp2
				bne mirrnxtrw
				lda #$60
				ldy #11
				ldy #0
				jmp writemirr


mirror1row:		ldx #39						;=1 zeile
nextrowdata:	ldy #0
fetchdata:		lda (tmp0),y
writemirr:		sta plasmamirror
				inc writemirr+1
				bne +
				inc writemirr+2
+				iny
				cpy #12
				bne fetchdata

				inc mirrdat0+1
				bne +
				inc mirrdat0+2
+				inc mirrdat1+1
				bne +
				inc mirrdat1+2
+				inc mirrdat2+1
				bne +
				inc mirrdat2+2
+				inc mirrdat3+1
				bne +
				inc mirrdat3+2
+ 			dex
				bpl nextrowdata
				rts


mirrdat0:		lda screenpos+0*40+0
mirrdat1:		sta screenpos+23*40+0
mirrdat2:		lda colorpos+0*40+0
mirrdat3:		sta $dbc0-40
!byte $00
plasmamirror:
* = $c700 ;"1x plasma chars"
  !bin "PLASMACHARS.BIN"
* = $c800 ;"plasma charset"
!fill 8*$100,0





