!cpu 6510

!if RELEASE = 1 {
  !src "../framework/frameworksymbols.inc"
}
; ______________________________________________________________________
; ____________ ZEROPAGE ADRESSES

savea                 = $02
savex                 = $03
savey                 = $04
; ______________________________
;         $05 - $DF free to use!
; ______________________________
; $E0 - (max.) $F$  KRILL LOADER
; ______________________________
color                 = $f5

irq_ready             = $f6
d012_value            = $f7
d011_value            = $f8
irq_lo                = $f9
irq_hi                = $fa

global_ct             = $fb             ; $fb, $fc, $fd

; music player uses:    $fe, $ff

; ____________ RAM ADRESSES
code_start            = $0400
irq_addr              = $0f00
music_init            = $1000
music_play            = music_init+3
part_start_lo         = $2ffe
part_start_hi         = $2fff

; ______________________________________________________________________
; ______________________________________________ INCLUDES
!if RELEASE = 0 {
init_vic  = $046d

*= $0801
  !bin "../framework/framework-noloader.c64",,2
}

*= $2ffe
  !byte <init_ryks_part
  !byte >init_ryks_part
; ______________________________________________________________________
; ______________________________________________ CODE START


*= $3000
;code_start:
init_ryks_part

	lda #$ff
	cmp $d012
	bne *-3

	lda #$88
	sta $d018

	lda #$00
	sta $d011
	sta color

	lda #$ff; sprite stuff
	sta vic+29; x stretch
	sta vic+23; y stretch
	lda #%01111111
	sta vic+27; prio

	ldx #250
-	lda colram-1,x
	sta col-1,x
	lda colram+250-1,x
	sta col-1+250,x
	lda colram+500-1,x
	sta col-1+500,x
	lda colram+750-1,x
	sta col-1+750,x
	dex
	bne -


	lda #$fe
	cmp $d012
	bne *-3; this prevents yellow dots in cheap-o-tech-tech
	lda #$ff
	cmp $d012
	bne *-3

	lda #%00000001
	sta $dd00
	lda #$08
	sta $d016

	lda #$00
	sta $bfff

spritepos_y
	lda #252
	sta vic+1
	sta vic+3
	sta vic+5
	sta vic+7
	sta vic+9
	sta vic+11
	sta vic+13
	sta vic+15

	lda #%11000000
	sta $d010
;sprite_x
	lda #24
	sta vic
	clc
	adc #48
	sta vic+2
	clc
	adc #48
	sta vic+4
	clc
	adc #48
	sta vic+6
	clc
	adc #48
	sta vic+8
	clc
	adc #48
	sta vic+10
	bcc +
	ror $d010

+	clc
	adc #48
	sta vic+12
	clc
	adc #48
	sta vic+14

	lda #$00
	sta irq_ready
-	lda irq_ready
	beq -
	lda #$1b
	sta d011_value
	lda #$20;82
	sta d012_value
	lda #<MYIRQ
	sta irq_lo
	lda #>MYIRQ
	sta irq_hi
endless_loop:
	jmp *
;###############################################################################################################
;XXX marks the spot
MYIRQ
	sta savea
	stx savex
	sty savey
initialcounter
	ldx #31
	jmp endefade

tobenopped  ; will be written over with NOP
	ldx $d012
	inx
	cpx $d012
	bne *-3
	jmp skiptech

	ldx #8; ;spritepointers_and_colors
-	txa
	clc
spritepointer
	adc #$1c
	sta spr-1,x
spritecolor
	lda #$07
	sta vic+39-1,x
	dex
	bne -
	stx vic+28; multicolor

loop0
	ldy #0
pseudosinusval1
 	lda $a000,y

split
	ldx #$30
	cpx $d012
	bne *-3

split2	; the REAL part !!!
loop1
	ldx #$31
loopx
	cpx $d012
	bne *-3
	sta $d016

	iny
	cpy #176;22;44;88;176;22
	bne +
	ldy #$00
pseudosinusval2
+   lda $a000,y
	inx
	cpx #$fa
	bne loopx

	lda #$31
	sta loop1+1
	ldy loop0+1
	iny
	cpy #176;22;44;88;176;22
	bne +
	ldy #$00
+	sty loop0+1

bottomsprites_on
	lda #%01111111
	sta vic+21; all switched ON

	lda $d011
	and #$f7
	sta $d011
	ldx $d012
	inx
	cpx $d012
	bne *-3
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop

	lda #$c8
	sta $d016

	lda $d011
	and #$f7
	sta $d011
; .. and below y-position $fc, set it back to 25 lines.
	bit $d011
	bpl *-3

	lda #$c8
	sta $d016

alleffectsshown
	nop
	nop
	nop

countcount
	ldx #50
	bne endofscreen
switchcol
	ldx #$00
	lda colfadetab,x
	sta spritecolor+1
	lda fadeduration,x
	sta countcount+1
	inc switchcol+1
	txa
	cpx #6
	bne +
	ldy #$00
	sty switchcol+1
	lda spritepointer+1
	clc
	adc #7
	sta spritepointer+1

+	cmp #0
	bne endofscreen+3
switchtechintensity
	ldx #$00
	cpx #10
	bne +
	lda #$4c; jmp
	sta alleffectsshown
	lda #<skiptext
	sta alleffectsshown+1
	lda #>skiptext
	sta alleffectsshown+2
	lda #$00
	sta bottomsprites_on+1
	jmp skiptext
+
	lda techintensity,x
	sta pseudosinusval1+1
	sta pseudosinusval2+1
	inx
	lda techintensity,x
	sta pseudosinusval1+2
	sta pseudosinusval2+2
	inx
	stx switchtechintensity+1

endofscreen
	dec countcount+1

	lda $d011
	ora #%10000000
	sta $d011
	lda #$20
	sta d012_value

	lda #$00
	sta $fffe
	lda #$0f
	sta $ffff

	asl $d019
	lda savea
	ldx savex
	ldy savey
	rti

skiptext
	ldx #4
	bne +
	ldx #4
	stx skiptext+1
	lda #7
	ldx #28
eraseline
-	sta col+960+6-1,x
	dex
	bne -
	lda eraseline+1
	sec
	sbc #40
	sta eraseline+1
	bcs +
	dec eraseline+2
	lda eraseline+2
	cmp #$d7
	bne +
	lda #<fadeout
	sta alleffectsshown+1
	lda #>fadeout
	sta alleffectsshown+2
	lda #$00
	sta d011_value
+	dec skiptext+1
	jmp endofscreen+3

fadeout
	ldx #8
	bne ++
whichcol
	ldy #01
	lda colfadetab,y
	sta color
	bne +
	lda #<endofscreen+3
	sta alleffectsshown+1
	lda #>endofscreen+3
	sta alleffectsshown+2
  ;jsr init_vic

  lda #$00
  sta color

  lda #$00
  sta d011_value
  sta d012_value
  sta $d012

  lda #$00
  sta irq_lo
  sta $fffe
  lda #$0f
  sta irq_hi
  sta $ffff

!if RELEASE = 1 {
  lda #<back2framework
  sta endless_loop+1
  lda #>back2framework
  sta endless_loop+2
}
  rti

+	inc whichcol+1
	ldx #$08
	stx fadeout+1

++	dec fadeout+1
	jmp endofscreen+3

skiptech
	inc d012_value
	ldx $d012
	beq ++
	inx
	cpx $d012
	bne *-3
	inx
	cpx $d012
	bne *-3
.test =*+1
	lda #$88
	sta $d018

	lda $d016
	ora #%00010000
	sta $d016

	lda $d011
	ora #%00100000
	sta $d011

	lda #$fe
	cmp $d012; tricky part, here the screen is fully shown, unfortunately a very slight glitch/flicker of screen :/
	bne +
	ldx #12
	lda #$ea; NOP
-	sta tobenopped-1,x
	dex
	bne -
	lda #$27
	sta d012_value

  lda #$05
  sta $d018

  lda #$c8
  sta $d016

  jmp ++
+	lda #$ff
	cmp $d012
	bne *-3

	lda #$04
	sta $d018

	lda $d016
	eor #%00010000
	sta $d016
++
	lda #$00
	sta $d012

	;lda $d011
	;ora #%10000000

	;sta $d011

	lda #$00
	sta $fffe
	lda #$0f
	sta $ffff

	asl $d019
	lda savea
	ldx savex
	ldy savey
	rti


endefade
	txa
	lsr
	lsr
	lsr
	tax
	lda colfadetab,x
	sta color
	dec initialcounter+1
	bne +
	lda #$ea
	sta initialcounter+0
	sta initialcounter+1
	sta initialcounter+2
	sta initialcounter+3
	sta initialcounter+4
+

	lda #$00
	sta $d012

	lda #$00
	sta $fffe
	lda #$0f
	sta $ffff

	asl $d019
	lda savea
	ldx savex
	ldy savey
	rti


spr= scr+$3f8
vic= $d000
col= $d800


techintensity
!byte	$00,$a0,<techtabpseudosinus3,>techtabpseudosinus3,<techtabpseudosinus2,>techtabpseudosinus2,<techtabpseudosinus1,>techtabpseudosinus1,<techtabpseudosinus,>techtabpseudosinus

fadeduration; how many frames sprite color will last
	!byte 64,8,8,128,8,8

colfadetab
	!byte	$07,$08,$09,$00,$09,$08

techtabpseudosinus
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6
	!byte $c7,$c7,$c7,$c6,$c6,$c5,$c4,$c3,$c2,$c1,$c1,$c0,$c0,$c0,$c1,$c1,$c2,$c3,$c4,$c5,$c6,$c6


techtabpseudosinus1
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c5,$c5
	!byte $c4,$c4
	!byte $c3,$c3
	!byte $c2,$c2
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c2,$c2
	!byte $c3,$c3
	!byte $c4,$c4
	!byte $c5,$c5
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c5,$c5
	!byte $c4,$c4
	!byte $c3,$c3
	!byte $c2,$c2
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c2,$c2
	!byte $c3,$c3
	!byte $c4,$c4
	!byte $c5,$c5
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c5,$c5
	!byte $c4,$c4
	!byte $c3,$c3
	!byte $c2,$c2
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c2,$c2
	!byte $c3,$c3
	!byte $c4,$c4
	!byte $c5,$c5
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c7,$c7
	!byte $c6,$c6
	!byte $c6,$c6
	!byte $c5,$c5
	!byte $c4,$c4
	!byte $c3,$c3
	!byte $c2,$c2
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c0,$c0
	!byte $c1,$c1
	!byte $c1,$c1
	!byte $c2,$c2
	!byte $c3,$c3
	!byte $c4,$c4
	!byte $c5,$c5
	!byte $c6,$c6
	!byte $c6,$c6


techtabpseudosinus2
	!byte $c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7
	!byte $c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6
	!byte $c5,$c5,$c5,$c5
	!byte $c4,$c4,$c4,$c4
	!byte $c3,$c3,$c3,$c3
	!byte $c2,$c2,$c2,$c2
	!byte $c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1
	!byte $c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0
	!byte $c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1
	!byte $c2,$c2,$c2,$c2
	!byte $c3,$c3,$c3,$c3
	!byte $c4,$c4,$c4,$c4
	!byte $c5,$c5,$c5,$c5
	!byte $c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6
	!byte $c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7
	!byte $c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6
	!byte $c5,$c5,$c5,$c5
	!byte $c4,$c4,$c4,$c4
	!byte $c3,$c3,$c3,$c3
	!byte $c2,$c2,$c2,$c2
	!byte $c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1
	!byte $c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0
	!byte $c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1
	!byte $c2,$c2,$c2,$c2
	!byte $c3,$c3,$c3,$c3
	!byte $c4,$c4,$c4,$c4
	!byte $c5,$c5,$c5,$c5
	!byte $c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6

techtabpseudosinus3
	!byte $c7,$c7,$c7,$c7,$c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7,$c7,$c7,$c7,$c7
	!byte $c7,$c7,$c7,$c7,$c7,$c7,$c7,$c7
	!byte $c6,$c6,$c6,$c6,$c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6,$c6,$c6,$c6,$c6
	!byte $c5,$c5,$c5,$c5,$c5,$c5,$c5,$c5
	!byte $c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4
	!byte $c3,$c3,$c3,$c3,$c3,$c3,$c3,$c3
	!byte $c2,$c2,$c2,$c2,$c2,$c2,$c2,$c2
	!byte $c1,$c1,$c1,$c1,$c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1,$c1,$c1,$c1,$c1
	!byte $c0,$c0,$c0,$c0,$c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0,$c0,$c0,$c0,$c0
	!byte $c0,$c0,$c0,$c0,$c0,$c0,$c0,$c0
	!byte $c1,$c1,$c1,$c1,$c1,$c1,$c1,$c1
	!byte $c1,$c1,$c1,$c1,$c1,$c1,$c1,$c1
	!byte $c2,$c2,$c2,$c2,$c2,$c2,$c2,$c2
	!byte $c3,$c3,$c3,$c3,$c3,$c3,$c3,$c3
	!byte $c4,$c4,$c4,$c4,$c4,$c4,$c4,$c4
	!byte $c5,$c5,$c5,$c5,$c5,$c5,$c5,$c5
	!byte $c6,$c6,$c6,$c6,$c6,$c6,$c6,$c6
	!byte $c6,$c6,$c6,$c6,$c6,$c6,$c6,$c6

*= $8000
scr
	!bin "pharaoscr012.c64",,2
*= $8740;
spritedatapos ; precalculated sprites with bottom border text
;!fill 512,$ff
!bin "LINEREMEMBER.c64",448,2
!bin "LINEBERLIN.c64",448,2
!bin "LINEPHARAO.c64",448,2
!bin "LINECHEERS.c64",448,2
!bin "LINEPARTYON.c64",448,2
*= $9000
colram
	!bin "pharaocol012.c64",,2
*= $9400
!fill $bfff-$9400,$00; $a000-$bfff needed as empty bitmap for (eagle soft intro) slide show effect (build up line by line)





