!cpu 6510

!if RELEASE = 1 {
  !src "../framework/frameworksymbols.inc"
}

!src "colorcodes.asm"
; ______________________________________________________________________
; _______________ STATIC NUMBERS

enable                = $20 ; OPCODE 'JSR'
disable               = $2c ; OPCODE 'BIT'

; ______________________________
; ____________ ZEROPAGE ADRESSES

savea                 = $02
savex                 = $03
savey                 = $04
; ______________________________
;         $05 - $DF free to use!

jump_loc              = $05
jump_loc_lo           = jump_loc
jump_loc_hi           = jump_loc_lo+1

bottom_ready          = jump_loc_hi+1

; ______________________________
; $E0 - (max.) $F$  KRILL LOADER
; ______________________________
color                 = $f5

irq_ready             = $f6
d012_value            = $f7
d011_value            = $f8
irq_lo                = $f9
irq_hi                = $fa

global_ct             = $fb             ; $fb, $fc, $fd
; ______________________________
; _________________ RAM ADRESSES

vicbankb              = $4000
vidmemb0              = vicbankb+$1c00

; ______________________________________________________________________
; ______________________________________________ INCLUDES
!if RELEASE != 1 {
*= $0801
  !bin "../framework/framework-noloader.c64",,2
}

*= $8000
pp_screen:
  !bin "powerpuff.scr"

*= $8400
shit_screen:
  !bin "shit.scr",1000,2

*= $5800
pp_colram:
  !bin "powerpuff.col"

*= $6000
pp_bitmap:
  !bin "powerpuff.bmp"

*= $2ffe
  !byte <code_start_powerpuff
  !byte >code_start_powerpuff
; ______________________________________________________________________
; ______________________________________________ CODE START
*= $3000
code_start_powerpuff:
  jsr init_powerpuff
  jsr d020_fade_in
  jsr wait_bottom_irq

  lda #$3b
  sta d011_value

  ldx #25
--
  ldy #$03
-
  jsr wait_irq
  dey
  bpl -

  jsr fade_in_powerpuffs

  dex
  bpl --

  lda #<ppblue01
  sta jump_loc_lo
  lda #>ppblue01
  sta jump_loc_hi

  ldx #19
--
  ldy #$03
-
  jsr wait_irq
  dey
  bpl -

  jsr fade_in_powerpuffs

  dex
  bpl --

  lda #<ppgreen01
  sta jump_loc_lo
  lda #>ppgreen01
  sta jump_loc_hi

  ldx #19
--
  ldy #$03
-
  jsr wait_irq
  dey
  bpl -

  jsr fade_in_powerpuffs

  dex
  bpl --

  lda $103c
-
  cmp $103c
  beq -

  ldx #(copy_end-copy_start)
-
  lda copy_start,x
  sta $0800,x
  dex
  cpx #$ff
  bne -

  jsr wait_bottom_irq
  jmp $0800

copy_start:
!pseudopc $0800 {
  lda #$ea
  sta tobenopped
  sta tobenopped+1
  sta tobenopped+2

-
  lda volume
  cmp #$05
  bne -

  ldx #$00
--
  lda random_tab,x
  tay
  lda #$11
  sta vidmemb0+$000,y
  sta vidmemb0+$100,y
  sta vidmemb0+$200,y
  sta vidmemb0+$300,y
  lda #$01
  sta $d800+$000,y
  sta $d800+$100,y
  sta $d800+$200,y
  sta $d800+$300,y
  lda #$00
  sta irq_ready
-
  lda irq_ready
  beq -
  inx
  bne --

  lda #$0b
  sta d011_value
  jsr d020_fade_out

  lda #$00
  sta irq_lo
  sta d012_value
  lda #$0f
  sta irq_hi

  lda #$03
  sta $dd00

  lda #$17
  sta $d018

  lda #$1b
  sta $d011
  sta d011_value

!if RELEASE = 1 {
  lda #0
  sta loadaddrlo
  sta loadaddrhi
  ldx #<filename_last
  ldy #>filename_last

  jsr loadraw
}

  sei
  lda #0
  jsr $1000

  lda #$00
  sta $d01a

  lda #$37
  sta $01
!if RELEASE = 1 {
  jmp $3000
} else {
  jmp $fce2
}
; ____________
filename_last:
!scr "07"
!byte $00
}
copy_end:
; ______________________________________________ INIT VIC
!zone INIT_VIC
init_powerpuff:
  ldx #(copy_irqs_end-copy_irqs_start)
-
  lda copy_irqs_start,x
  sta $0900,x
  dex
  cpx #$ff
  bne -

  ldx #(copy_fade_out_end-copy_fade_out_start)
-
  lda copy_fade_out_start,x
  sta $0a00,x
  dex
  cpx #$ff
  bne -

  ldx #$00
-
  lda #$01
  sta $d800+$000,x
  sta $d800+$100,x
  sta $d800+$200,x
  sta $d800+$300,x
  eor #(($01)XOR($11))
  sta vidmemb0+$000,x
  sta vidmemb0+$100,x
  sta vidmemb0+$200,x
  sta vidmemb0+$300,x
  lda shit_screen+$000,x
  sta $0400+$000,x
  lda shit_screen+$100,x
  sta $0400+$100,x
  lda shit_screen+$200,x
  sta $0400+$200,x
  lda shit_screen+$300,x
  sta $0400+$300,x
  inx
  bne -

  lda # <(((vidmemb0-vicbankb)/$400) << 4)+%1000
  sta $d018

  lda #<!(vicbankb/$4000) & 3
  sta $dd00

  lda #$18
  sta $d016

  lda #<ppred01
  sta jump_loc_lo
  lda #>ppred01
  sta jump_loc_hi

  jsr wait_irq
  lda #<irq0
  sta irq_lo
  lda #>irq0
  sta irq_hi

  lda #$30
  sta d012_value
  rts
; ______________________________________________
wait_irq:
  lda #$00
  sta irq_ready
-
  lda irq_ready
  beq -
  rts
; ______________________________________________ IRQs
!zone IRQs
copy_irqs_start:
!pseudopc $0900 {
irq0:
  sta savea
  stx savex
  sty savey

  ldx #$07
-
  dex
  bpl -
color_screen =*+1
  lda #$00
  sta $d020
  sta $d021

  lda #$fe-4
  sta $d012

  lda d011_value
  sta $d011

  lda #<irq1
  sta $fffe
  lda #>irq1
  sta $ffff

  asl $d019

  lda savea
  ldx savex
  ldy savey
  rti

irq1:
  sta savea
  stx savex
  sty savey

  ldx #$07
-
  dex
  bpl -
color_border =*+1
  lda #$00
  sta $d020
  sta color

volume =*+1
  lda #$0f
  jsr $1009

tobenopped:
  jmp +

  lda global_ct
  and #%01101111
  cmp #%01101111
  bne +
  lda volume
  beq +
  dec volume
+
  lda #1
  sta bottom_ready

  lda #0
  sta $d012

  lda d011_value
  sta $d011

  lda #$00
  sta $fffe
  lda #$0f
  sta $ffff

  asl $d019

  lda savea
  ldx savex
  ldy savey
  rti
}
copy_irqs_end:
; ______________________________________________ D020 FADE IN
!zone D020_FADES
d020_fade_in:
  jsr wait_bottom_irq
  ldx #$0f
--
  lda colchain_01,x
  sta color_screen
  ldy #$03
-
  jsr wait_bottom_irq
  dey
  bpl -
  dex
  bpl --

  ldy #$0f
-
  jsr wait_bottom_irq
  dey
  bpl -
  rts
copy_fade_out_start:
!pseudopc $0a00 {
d020_fade_out:
  jsr wait_bottom_irq
  ldx #$00
--
  lda colchain_01,x
  sta color_screen
  ldy #$03
-
  jsr wait_bottom_irq
  dey
  bpl -
  inx
  cpx #$10
  bne --

  ldy #$0f
-
  jsr wait_bottom_irq
  dey
  bpl -
  rts
wait_bottom_irq:
  lda #0
  sta bottom_ready
-
  lda bottom_ready
  beq -
  rts
}
copy_fade_out_end:
; ______________________________________________ FADE IN POWERPUFFS
!zone FADE_IN_POWERPUFFS
fade_in_powerpuffs:
  jmp (jump_loc)
; ______________________________
; ___________ RED POWERPUFF GIRL
ppred01:
!for i, 0, 5 {
  lda pp_colram+(24*40)+17+i
  sta $d800+(24*40)+17+i
  lda pp_screen+(24*40)+17+i
  sta vidmemb0+(24*40)+17+i
}
  lda #<ppred02
  sta jump_loc_lo
  lda #>ppred02
  sta jump_loc_hi
  rts
ppred02:
!for i, 0, 5 {
  lda pp_colram+(23*40)+17+i
  sta $d800+(23*40)+17+i
  lda pp_screen+(23*40)+17+i
  sta vidmemb0+(23*40)+17+i
}
  lda #<ppred03
  sta jump_loc_lo
  lda #>ppred03
  sta jump_loc_hi
  rts
ppred03:
!for i, 0, 5 {
  lda pp_colram+(22*40)+17+i
  sta $d800+(22*40)+17+i
  lda pp_screen+(22*40)+17+i
  sta vidmemb0+(22*40)+17+i
}
  lda #<ppred04
  sta jump_loc_lo
  lda #>ppred04
  sta jump_loc_hi
  rts
ppred04:
!for i, 0, 5 {
  lda pp_colram+(21*40)+17+i
  sta $d800+(21*40)+17+i
  lda pp_screen+(21*40)+17+i
  sta vidmemb0+(21*40)+17+i
}
  lda #<ppred05
  sta jump_loc_lo
  lda #>ppred05
  sta jump_loc_hi
  rts
ppred05:
!for i, 0, 6 {
  lda pp_colram+(20*40)+16+i
  sta $d800+(20*40)+16+i
  lda pp_screen+(20*40)+16+i
  sta vidmemb0+(20*40)+16+i
}
  lda #<ppred06
  sta jump_loc_lo
  lda #>ppred06
  sta jump_loc_hi
  rts
ppred06:
!for i, 0, 7 {
  lda pp_colram+(19*40)+16+i
  sta $d800+(19*40)+16+i
  lda pp_screen+(19*40)+16+i
  sta vidmemb0+(19*40)+16+i
}
  lda #<ppred07
  sta jump_loc_lo
  lda #>ppred07
  sta jump_loc_hi
  rts
ppred07:
!for i, 0, 7 {
  lda pp_colram+(18*40)+16+i
  sta $d800+(18*40)+16+i
  lda pp_screen+(18*40)+16+i
  sta vidmemb0+(18*40)+16+i
}
  lda #<ppred08
  sta jump_loc_lo
  lda #>ppred08
  sta jump_loc_hi
  rts
ppred08:
!for i, 0, 8 {
  lda pp_colram+(17*40)+15+i
  sta $d800+(17*40)+15+i
  lda pp_screen+(17*40)+15+i
  sta vidmemb0+(17*40)+15+i
}
  lda #<ppred09
  sta jump_loc_lo
  lda #>ppred09
  sta jump_loc_hi
  rts
ppred09:
!for i, 0, 8 {
  lda pp_colram+(16*40)+15+i
  sta $d800+(16*40)+15+i
  lda pp_screen+(16*40)+15+i
  sta vidmemb0+(16*40)+15+i
}
  lda #<ppred10
  sta jump_loc_lo
  lda #>ppred10
  sta jump_loc_hi
  rts
ppred10:
!for i, 0, 8 {
  lda pp_colram+(15*40)+15+i
  sta $d800+(15*40)+15+i
  lda pp_screen+(15*40)+15+i
  sta vidmemb0+(15*40)+15+i
}
  lda #<ppred11
  sta jump_loc_lo
  lda #>ppred11
  sta jump_loc_hi
  rts
ppred11:
!for i, 0, 9 {
  lda pp_colram+(14*40)+15+i
  sta $d800+(14*40)+15+i
  lda pp_screen+(14*40)+15+i
  sta vidmemb0+(14*40)+15+i
}
  lda #<ppred12
  sta jump_loc_lo
  lda #>ppred12
  sta jump_loc_hi
  rts
ppred12:
!for i, 0, 10 {
  lda pp_colram+(13*40)+14+i
  sta $d800+(13*40)+14+i
  lda pp_screen+(13*40)+14+i
  sta vidmemb0+(13*40)+14+i
}
  lda #<ppred13
  sta jump_loc_lo
  lda #>ppred13
  sta jump_loc_hi
  rts
ppred13:
!for i, 0, 10 {
  lda pp_colram+(12*40)+14+i
  sta $d800+(12*40)+14+i
  lda pp_screen+(12*40)+14+i
  sta vidmemb0+(12*40)+14+i
}
  lda #<ppred14
  sta jump_loc_lo
  lda #>ppred14
  sta jump_loc_hi
  rts
ppred14:
!for i, 0, 9 {
  lda pp_colram+(11*40)+15+i
  sta $d800+(11*40)+15+i
  lda pp_screen+(11*40)+15+i
  sta vidmemb0+(11*40)+15+i
}
  lda #<ppred15
  sta jump_loc_lo
  lda #>ppred15
  sta jump_loc_hi
  rts
ppred15:
!for i, 0, 10 {
  lda pp_colram+(10*40)+14+i
  sta $d800+(10*40)+14+i
  lda pp_screen+(10*40)+14+i
  sta vidmemb0+(10*40)+14+i
}
  lda #<ppred16
  sta jump_loc_lo
  lda #>ppred16
  sta jump_loc_hi
  rts
ppred16:
!for i, 0, 11 {
  lda pp_colram+(9*40)+14+i
  sta $d800+(9*40)+14+i
  lda pp_screen+(9*40)+14+i
  sta vidmemb0+(9*40)+14+i
}
  lda #<ppred17
  sta jump_loc_lo
  lda #>ppred17
  sta jump_loc_hi
  rts
ppred17:
!for i, 0, 11 {
  lda pp_colram+(8*40)+14+i
  sta $d800+(8*40)+14+i
  lda pp_screen+(8*40)+14+i
  sta vidmemb0+(8*40)+14+i
}
  lda #<ppred18
  sta jump_loc_lo
  lda #>ppred18
  sta jump_loc_hi
  rts
ppred18:
!for i, 0, 12 {
  lda pp_colram+(7*40)+14+i
  sta $d800+(7*40)+14+i
  lda pp_screen+(7*40)+14+i
  sta vidmemb0+(7*40)+14+i
}
  lda #<ppred19
  sta jump_loc_lo
  lda #>ppred19
  sta jump_loc_hi
  rts
ppred19:
!for i, 0, 12 {
  lda pp_colram+(6*40)+14+i
  sta $d800+(6*40)+14+i
  lda pp_screen+(6*40)+14+i
  sta vidmemb0+(6*40)+14+i
}
  lda #<ppred20
  sta jump_loc_lo
  lda #>ppred20
  sta jump_loc_hi
  rts
ppred20:
!for i, 0, 11 {
  lda pp_colram+(5*40)+15+i
  sta $d800+(5*40)+15+i
  lda pp_screen+(5*40)+15+i
  sta vidmemb0+(5*40)+15+i
}
  lda #<ppred21
  sta jump_loc_lo
  lda #>ppred21
  sta jump_loc_hi
  rts
ppred21:
!for i, 0, 9 {
  lda pp_colram+(4*40)+15+i
  sta $d800+(4*40)+15+i
  lda pp_screen+(4*40)+15+i
  sta vidmemb0+(4*40)+15+i
}
  lda #<ppred22
  sta jump_loc_lo
  lda #>ppred22
  sta jump_loc_hi
  rts
ppred22:
!for i, 0, 9 {
  lda pp_colram+(3*40)+15+i
  sta $d800+(3*40)+15+i
  lda pp_screen+(3*40)+15+i
  sta vidmemb0+(3*40)+15+i
}
  lda #<ppred23
  sta jump_loc_lo
  lda #>ppred23
  sta jump_loc_hi
  rts
ppred23:
!for i, 0, 8 {
  lda pp_colram+(2*40)+15+i
  sta $d800+(2*40)+15+i
  lda pp_screen+(2*40)+15+i
  sta vidmemb0+(2*40)+15+i
}
  lda #<ppred24
  sta jump_loc_lo
  lda #>ppred24
  sta jump_loc_hi
  rts
ppred24:
!for i, 0, 5 {
  lda pp_colram+(1*40)+17+i
  sta $d800+(1*40)+17+i
  lda pp_screen+(1*40)+17+i
  sta vidmemb0+(1*40)+17+i
}
  lda #<ppred25
  sta jump_loc_lo
  lda #>ppred25
  sta jump_loc_hi
  rts
ppred25:
!for i, 0, 1 {
  lda pp_colram+(0*40)+20+i
  sta $d800+(0*40)+20+i
  lda pp_screen+(0*40)+20+i
  sta vidmemb0+(0*40)+20+i
}
  rts
; ______________________________
; __________ BLUE POWERPUFF GIRL
ppblue01:
!for i, 0, 7 {
  lda pp_colram+(24*40)+9+i
  sta $d800+(24*40)+9+i
  lda pp_screen+(24*40)+9+i
  sta vidmemb0+(24*40)+9+i
}
  lda #<ppblue02
  sta jump_loc_lo
  lda #>ppblue02
  sta jump_loc_hi
  rts
ppblue02:
!for i, 0, 8 {
  lda pp_colram+(23*40)+8+i
  sta $d800+(23*40)+8+i
  lda pp_screen+(23*40)+8+i
  sta vidmemb0+(23*40)+8+i
}
  lda #<ppblue03
  sta jump_loc_lo
  lda #>ppblue03
  sta jump_loc_hi
  rts
ppblue03:
!for i, 0, 9 {
  lda pp_colram+(22*40)+7+i
  sta $d800+(22*40)+7+i
  lda pp_screen+(22*40)+7+i
  sta vidmemb0+(22*40)+7+i
}
  lda #<ppblue04
  sta jump_loc_lo
  lda #>ppblue04
  sta jump_loc_hi
  rts
ppblue04:
!for i, 0, 9 {
  lda pp_colram+(21*40)+6+i
  sta $d800+(21*40)+6+i
  lda pp_screen+(21*40)+6+i
  sta vidmemb0+(21*40)+6+i
}
  lda #<ppblue05
  sta jump_loc_lo
  lda #>ppblue05
  sta jump_loc_hi
  rts
ppblue05:
!for i, 0, 10 {
  lda pp_colram+(20*40)+5+i
  sta $d800+(20*40)+5+i
  lda pp_screen+(20*40)+5+i
  sta vidmemb0+(20*40)+5+i
}
  lda #<ppblue06
  sta jump_loc_lo
  lda #>ppblue06
  sta jump_loc_hi
  rts
ppblue06:
!for i, 0, 11 {
  lda pp_colram+(19*40)+4+i
  sta $d800+(19*40)+4+i
  lda pp_screen+(19*40)+4+i
  sta vidmemb0+(19*40)+4+i
}
  lda #<ppblue07
  sta jump_loc_lo
  lda #>ppblue07
  sta jump_loc_hi
  rts
ppblue07:
!for i, 0, 11 {
  lda pp_colram+(18*40)+3+i
  sta $d800+(18*40)+3+i
  lda pp_screen+(18*40)+3+i
  sta vidmemb0+(18*40)+3+i
}
  lda #<ppblue08
  sta jump_loc_lo
  lda #>ppblue08
  sta jump_loc_hi
  rts
ppblue08:
!for i, 0, 12 {
  lda pp_colram+(17*40)+2+i
  sta $d800+(17*40)+2+i
  lda pp_screen+(17*40)+2+i
  sta vidmemb0+(17*40)+2+i
}
  lda #<ppblue09
  sta jump_loc_lo
  lda #>ppblue09
  sta jump_loc_hi
  rts
ppblue09:
!for i, 0, 12 {
  lda pp_colram+(16*40)+2+i
  sta $d800+(16*40)+2+i
  lda pp_screen+(16*40)+2+i
  sta vidmemb0+(16*40)+2+i
}
  lda #<ppblue10
  sta jump_loc_lo
  lda #>ppblue10
  sta jump_loc_hi
  rts
ppblue10:
!for i, 0, 11 {
  lda pp_colram+(15*40)+2+i
  sta $d800+(15*40)+2+i
  lda pp_screen+(15*40)+2+i
  sta vidmemb0+(15*40)+2+i
}
  lda #<ppblue11
  sta jump_loc_lo
  lda #>ppblue11
  sta jump_loc_hi
  rts
ppblue11:
!for i, 0, 12 {
  lda pp_colram+(14*40)+1+i
  sta $d800+(14*40)+1+i
  lda pp_screen+(14*40)+1+i
  sta vidmemb0+(14*40)+1+i
}
  lda #<ppblue12
  sta jump_loc_lo
  lda #>ppblue12
  sta jump_loc_hi
  rts
ppblue12:
!for i, 0, 12 {
  lda pp_colram+(13*40)+1+i
  sta $d800+(13*40)+1+i
  lda pp_screen+(13*40)+1+i
  sta vidmemb0+(13*40)+1+i
}
  lda #<ppblue13
  sta jump_loc_lo
  lda #>ppblue13
  sta jump_loc_hi
  rts
ppblue13:
!for i, 0, 12 {
  lda pp_colram+(12*40)+1+i
  sta $d800+(12*40)+1+i
  lda pp_screen+(12*40)+1+i
  sta vidmemb0+(12*40)+1+i
}
  lda #<ppblue14
  sta jump_loc_lo
  lda #>ppblue14
  sta jump_loc_hi
  rts
ppblue14:
!for i, 0, 13 {
  lda pp_colram+(11*40)+1+i
  sta $d800+(11*40)+1+i
  lda pp_screen+(11*40)+1+i
  sta vidmemb0+(11*40)+1+i
}
  lda #<ppblue15
  sta jump_loc_lo
  lda #>ppblue15
  sta jump_loc_hi
  rts
ppblue15:
!for i, 0, 14 {
  lda pp_colram+(10*40)+0+i
  sta $d800+(10*40)+0+i
  lda pp_screen+(10*40)+0+i
  sta vidmemb0+(10*40)+0+i
}
  lda #<ppblue16
  sta jump_loc_lo
  lda #>ppblue16
  sta jump_loc_hi
  rts
ppblue16:
!for i, 0, 13 {
  lda pp_colram+(9*40)+0+i
  sta $d800+(9*40)+0+i
  lda pp_screen+(9*40)+0+i
  sta vidmemb0+(9*40)+0+i
}
  lda #<ppblue17
  sta jump_loc_lo
  lda #>ppblue17
  sta jump_loc_hi
  rts
ppblue17:
!for i, 0, 13 {
  lda pp_colram+(8*40)+0+i
  sta $d800+(8*40)+0+i
  lda pp_screen+(8*40)+0+i
  sta vidmemb0+(8*40)+0+i
}
  lda #<ppblue18
  sta jump_loc_lo
  lda #>ppblue18
  sta jump_loc_hi
  rts
ppblue18:
!for i, 0, 11 {
  lda pp_colram+(7*40)+1+i
  sta $d800+(7*40)+1+i
  lda pp_screen+(7*40)+1+i
  sta vidmemb0+(7*40)+1+i
}
  lda #<ppblue19
  sta jump_loc_lo
  lda #>ppblue19
  sta jump_loc_hi
  rts
ppblue19:
!for i, 0, 2 {
  lda pp_colram+(6*40)+5+i
  sta $d800+(6*40)+5+i
  lda pp_screen+(6*40)+5+i
  sta vidmemb0+(6*40)+5+i
}
  rts
; ______________________________
; _________ GREEN POWERPUFF GIRL
ppgreen01:
!for i, 0, 6 {
  lda pp_colram+(24*40)+23+i
  sta $d800+(24*40)+23+i
  lda pp_screen+(24*40)+23+i
  sta vidmemb0+(24*40)+23+i
}
  lda #<ppgreen02
  sta jump_loc_lo
  lda #>ppgreen02
  sta jump_loc_hi
  rts
ppgreen02:
!for i, 0, 7 {
  lda pp_colram+(23*40)+23+i
  sta $d800+(23*40)+23+i
  lda pp_screen+(23*40)+23+i
  sta vidmemb0+(23*40)+23+i
}
  lda #<ppgreen03
  sta jump_loc_lo
  lda #>ppgreen03
  sta jump_loc_hi
  rts
ppgreen03:
!for i, 0, 8 {
  lda pp_colram+(22*40)+23+i
  sta $d800+(22*40)+23+i
  lda pp_screen+(22*40)+23+i
  sta vidmemb0+(22*40)+23+i
}
  lda #<ppgreen04
  sta jump_loc_lo
  lda #>ppgreen04
  sta jump_loc_hi
  rts
ppgreen04:
!for i, 0, 9 {
  lda pp_colram+(21*40)+23+i
  sta $d800+(21*40)+23+i
  lda pp_screen+(21*40)+23+i
  sta vidmemb0+(21*40)+23+i
}
  lda #<ppgreen05
  sta jump_loc_lo
  lda #>ppgreen05
  sta jump_loc_hi
  rts
ppgreen05:
!for i, 0, 10 {
  lda pp_colram+(20*40)+23+i
  sta $d800+(20*40)+23+i
  lda pp_screen+(20*40)+23+i
  sta vidmemb0+(20*40)+23+i
}
  lda #<ppgreen06
  sta jump_loc_lo
  lda #>ppgreen06
  sta jump_loc_hi
  rts
ppgreen06:
!for i, 0, 10 {
  lda pp_colram+(19*40)+24+i
  sta $d800+(19*40)+24+i
  lda pp_screen+(19*40)+24+i
  sta vidmemb0+(19*40)+24+i
}
  lda #<ppgreen07
  sta jump_loc_lo
  lda #>ppgreen07
  sta jump_loc_hi
  rts
ppgreen07:
!for i, 0, 11 {
  lda pp_colram+(18*40)+24+i
  sta $d800+(18*40)+24+i
  lda pp_screen+(18*40)+24+i
  sta vidmemb0+(18*40)+24+i
}
  lda #<ppgreen08
  sta jump_loc_lo
  lda #>ppgreen08
  sta jump_loc_hi
  rts
ppgreen08:
!for i, 0, 12 {
  lda pp_colram+(17*40)+24+i
  sta $d800+(17*40)+24+i
  lda pp_screen+(17*40)+24+i
  sta vidmemb0+(17*40)+24+i
}
  lda #<ppgreen09
  sta jump_loc_lo
  lda #>ppgreen09
  sta jump_loc_hi
  rts
ppgreen09:
!for i, 0, 12 {
  lda pp_colram+(16*40)+24+i
  sta $d800+(16*40)+24+i
  lda pp_screen+(16*40)+24+i
  sta vidmemb0+(16*40)+24+i
}
  lda #<ppgreen10
  sta jump_loc_lo
  lda #>ppgreen10
  sta jump_loc_hi
  rts
ppgreen10:
!for i, 0, 11 {
  lda pp_colram+(15*40)+25+i
  sta $d800+(15*40)+25+i
  lda pp_screen+(15*40)+25+i
  sta vidmemb0+(15*40)+25+i
}
  lda #<ppgreen11
  sta jump_loc_lo
  lda #>ppgreen11
  sta jump_loc_hi
  rts
ppgreen11:
!for i, 0, 11 {
  lda pp_colram+(14*40)+25+i
  sta $d800+(14*40)+25+i
  lda pp_screen+(14*40)+25+i
  sta vidmemb0+(14*40)+25+i
}
  lda #<ppgreen12
  sta jump_loc_lo
  lda #>ppgreen12
  sta jump_loc_hi
  rts
ppgreen12:
!for i, 0, 12 {
  lda pp_colram+(13*40)+25+i
  sta $d800+(13*40)+25+i
  lda pp_screen+(13*40)+25+i
  sta vidmemb0+(13*40)+25+i
}
  lda #<ppgreen13
  sta jump_loc_lo
  lda #>ppgreen13
  sta jump_loc_hi
  rts
ppgreen13:
!for i, 0, 13 {
  lda pp_colram+(12*40)+25+i
  sta $d800+(12*40)+25+i
  lda pp_screen+(12*40)+25+i
  sta vidmemb0+(12*40)+25+i
}
  lda #<ppgreen14
  sta jump_loc_lo
  lda #>ppgreen14
  sta jump_loc_hi
  rts
ppgreen14:
!for i, 0, 12 {
  lda pp_colram+(11*40)+26+i
  sta $d800+(11*40)+26+i
  lda pp_screen+(11*40)+26+i
  sta vidmemb0+(11*40)+26+i
}
  lda #<ppgreen15
  sta jump_loc_lo
  lda #>ppgreen15
  sta jump_loc_hi
  rts
ppgreen15:
!for i, 0, 13 {
  lda pp_colram+(10*40)+26+i
  sta $d800+(10*40)+26+i
  lda pp_screen+(10*40)+26+i
  sta vidmemb0+(10*40)+26+i
}
  lda #<ppgreen16
  sta jump_loc_lo
  lda #>ppgreen16
  sta jump_loc_hi
  rts
ppgreen16:
!for i, 0, 11 {
  lda pp_colram+(9*40)+27+i
  sta $d800+(9*40)+27+i
  lda pp_screen+(9*40)+27+i
  sta vidmemb0+(9*40)+27+i
}
  lda #<ppgreen17
  sta jump_loc_lo
  lda #>ppgreen17
  sta jump_loc_hi
  rts
ppgreen17:
!for i, 0, 9 {
  lda pp_colram+(8*40)+28+i
  sta $d800+(8*40)+28+i
  lda pp_screen+(8*40)+28+i
  sta vidmemb0+(8*40)+28+i
}
  lda #<ppgreen18
  sta jump_loc_lo
  lda #>ppgreen18
  sta jump_loc_hi
  rts
ppgreen18:
!for i, 0, 9 {
  lda pp_colram+(7*40)+28+i
  sta $d800+(7*40)+28+i
  lda pp_screen+(7*40)+28+i
  sta vidmemb0+(7*40)+28+i
}
  lda #<ppgreen19
  sta jump_loc_lo
  lda #>ppgreen19
  sta jump_loc_hi
  rts
ppgreen19:
!for i, 0, 5 {
  lda pp_colram+(6*40)+30+i
  sta $d800+(6*40)+30+i
  lda pp_screen+(6*40)+30+i
  sta vidmemb0+(6*40)+30+i
}
  rts

; ______________________________________________________________________
!zone TABLES
random_tab:
  !byte 208, 029, 189, 225, 145, 054, 196, 045
  !byte 091, 136, 126, 165, 236, 103, 128, 106
  !byte 019, 217, 026, 174, 032, 021, 245, 043
  !byte 147, 059, 134, 255, 206, 101, 068, 241
  !byte 016, 015, 035, 067, 239, 024, 227, 011
  !byte 040, 042, 215, 117, 139, 052, 100, 137
  !byte 243, 231, 049, 232, 234, 164, 074, 214
  !byte 194, 072, 150, 030, 143, 069, 046, 051
  !byte 033, 114, 082, 080, 075, 183, 003, 056
  !byte 159, 066, 177, 124, 209, 009, 249, 154
  !byte 031, 093, 008, 077, 251, 004, 220, 195
  !byte 211, 250, 235, 017, 071, 120, 237, 138
  !byte 254, 070, 109, 104, 187, 125, 155, 110
  !byte 179, 127, 204, 170, 178, 006, 153, 201
  !byte 229, 212, 146, 240, 084, 047, 028, 228
  !byte 115, 092, 007, 148, 210, 224, 197, 144
  !byte 246, 090, 089, 062, 001, 161, 121, 184
  !byte 157, 172, 087, 050, 002, 005, 058, 198
  !byte 036, 149, 108, 168, 248, 132, 173, 041
  !byte 095, 202, 158, 186, 166, 130, 116, 238
  !byte 203, 111, 076, 044, 020, 140, 012, 023
  !byte 105, 160, 099, 112, 247, 022, 083, 034
  !byte 135, 025, 244, 096, 185, 060, 053, 102
  !byte 061, 167, 233, 057, 131, 119, 190, 085
  !byte 223, 252, 182, 129, 107, 226, 013, 253
  !byte 133, 010, 200, 169, 063, 181, 175, 221
  !byte 207, 171, 037, 141, 205, 098, 018, 055
  !byte 113, 027, 222, 219, 065, 152, 156, 039
  !byte 123, 142, 038, 081, 199, 162, 216, 078
  !byte 192, 118, 191, 014, 094, 230, 218, 073
  !byte 048, 122, 088, 242, 188, 176, 086, 163
  !byte 000, 180, 213, 079, 151, 064, 097, 193
colchain_01:
  !byte $01, $0d, $03, $0c
  !byte $04, $0b, $06, $0b
  !byte $06, $0b, $04, $0c
  !byte $04, $0b, $06, $00
